<?php
/**
*
* User CP - Handles all User settings and Messaging activites. Will be vastly enhanced in 0.2->0.4
* 
* @package Vikingboard
* @author Jørgen Tellnes <jorgis@jorgis.com>
* @version 0.1
*
* $Id: cp.php,v 1.64 2006/06/20 20:58:11 avalanco Exp $
*
*/
 
require_once('inc/functions.php');

//text class
$lang_cp = new lang_cp;

//just in case there is a nobody here..
if (!$user->id)
	error_msg('You have to log in to use this feature', 1);

//Check to see if the user is 'non-activated'
if ($user->group == '5')
	error_msg($lang_cp->cp_err0, 1);

//Check to see if the user is "banned"
if ($user->group == '4')
	error_msg($lang_cp->cp_err1, 1);

//Check to see if the user is "a ghost.."
if ($user->group == '6')
	error_msg($lang_cp->cp_err2, 1);

//====================
//	SHOWING SOMETHING
//====================
switch(@$_GET['mode']) 
{
	case '00':
	index();
    break;
	
	case '1':
	profile();
    break;
	
    case '2':
    update_profile();
    break;
    
    case '3':
	avatar();
	break;

	case '4':
	signature();
	break;
	
	case '5':
	update_signature();
 	break;
 	
	case '6':
	new_PM();
	break;
	
	case '7':
	inbox_PM();
	break;
	
	case '8':
	send_PM();
	break;
	
	case '9':
	read_PM();
	break;
	
	case '10':
	break;
	
	case '11':
	trace_PM();
	break;
	
	case '13';
	update_avatar();
	break;
	
	case '30':
	test();
	break;
	
	default:
	index();
	break;
}


	/**
	*
	*		PAGE VIEW FUNCTIONS | SHOWS THE PAGE AND DATA TO USER
	*
	*/
	
	//===============================================================================================================
	// User CP menu | Displays the menu in User CP. Nice to have it in one function/file instead of 11 different...
	//===============================================================================================================
	
	
	function view_cp_menu()
	{
		global $screen, $user, $config, $db;
		$lang_cp = new lang_cp;
		
		//how many unread in inbox?
		$db_newpms = $db->get_new_messages_inbox($user->id);
		$db_newpms = $db_newpms->row();
				
		//=============================
		//	Create array of menudata to put in output
		//=============================
		$tohtml = array("img_set" => $user->skin_set,
				"menutitle" => $lang_cp->cp_menu,
				'm-frontpage' => $lang_cp->cp_frtpage,
				'm-frontpage-target' => 'cp.php',
				"m-profile" => $lang_cp->cpm_pro,
				"m-profile-target" => "cp.php?mode=1",
				"m-avatar" => $lang_cp->cpm_avatar,
				"m-avatar-target" => 'cp.php?mode=3',
				"m-signature" => $lang_cp->cpm_sig,
				'm-signature-target' => 'cp.php?mode=4',
				'm-sendpm' => $lang_cp->cpm_send,
				'm-sendpm-target' => 'cp.php?mode=6',
				'm-inbox' => $lang_cp->cpm_inb,
				'm-inbox-target' => 'cp.php?mode=7&amp;f=1',
				'm-inbox-new-pms' => $db_newpms->number,
				'm-drafts' => $lang_cp->cpm_draft,
				'm-drafts-target' => 'cp.php?mode=7&amp;f=2',
				'm-archive' => $lang_cp->cpm_archive,
				'm-archive-target' => 'cp.php?mode=10',
				'm-trace' => $lang_cp->cpm_trace,
				'm-trace-target' => 'cp.php?mode=11',
				"m-profiles" => $lang_cp->cpm_profile,
				"m-pm" => $lang_cp->cpm_pm,
				"m-subs" => $lang_cp->cpm_subs,
				'm-banlist'	=> '',
				'm-sent'	=> '',
				'm-subs-forums'	=> '',
				'm-subs-users'	=> '',
				'm-subs-topics' => '',
				'm-skins'	=> '',
				'm-email'	=> '',
				'm-setup'	=> '',
				'm-change-pass'	=> '',
				'm-change-mail'	=> '',
				"m-settings" => $lang_cp->cpm_settings);
				
		//===================
		// Add menu to output
		//===================		
		$cpmenu = $screen->return_html('user_cp_menu', $tohtml);
		
		//===================
		// Cleaning up a bit
		//===================
		unset($tohtml);
		
		return $cpmenu;
		
	}

	
	//====================
	//	User CP mainpage, this is the CP index and is shown as a default
	//====================
	
	function index()
	{
		global $screen, $db, $user;
		$lang_cp	=	new lang_cp;
	
		//getting some nice user info and avatar info from db
		//Getting user info to put in the fields
		$prof = $db->get_profile_data($user->id);
		$prof = $prof->row();
		
		$ava = $db->get_user_avatar($user->id);
		$current_avatar = $ava->avatar;
		$ava_desc = $lang_cp->cp_avatar_desc;
		
		$sig = $db->get_user_signature($user->id);
		$sig = $sig->row();
		$signature = $sig->signature;
		
		
		//no avatar?
		if (empty($current_avatar)) {
		  $current_avatar = "design/viking/no-avatar.png";
		  $ava_desc = $lang_cp->cp_avatar_desc_noimg;
		}
		
		//no signature ?
		if (empty($signature)) {
			$signature = $lang_cp->cp_sign_nosig;
		}
		
		
		$cpmenu = view_cp_menu();
	
		
		$html = array (
			'title' => $lang_cp->cp_frtpage,
			'frontpage_title' => $lang_cp->cp_frtpage_title,
			'menu' => $cpmenu,
			'welcome_msg' => $lang_cp->cp_frt_welcome_msg,
			'ava_head' => $lang_cp->cpm_avatar,
			'ava_desc' => $ava_desc,
			'current_avatar' => $current_avatar,
			'current_avatar_alt' => $lang_cp->cp_avatar_cur,
			'ava_edit_desc' => $lang_cp->cp_avatar_editdesc,
			'sig_head' => $lang_cp->cpm_sig,
			'sig_desc' => $lang_cp->cp_sign,
			'sig_pre' => $signature,
			'sig_edit_desc' => $lang_cp->cp_sig_editdesc,
			'pro_head' => $lang_cp->cp_prof,
			'pro_desc' => $lang_cp->cp_prof_desc,
			'pro_edit_desc' => $lang_cp->cp_prof_editdesc,
			'location' => $lang_cp->cp_prof_location,
			'location_data' => $prof->location,
			'homepage' => $lang_cp->cp_prof_homepage_url,
			'homepage_data' => $prof->homepage,
			'email' => $lang_cp->cp_prof_em0,
			'email_data' => $prof->email,
			'msn' => $lang_cp->cp_prof_im,
			'msn_data' => $prof->im_msn,
			'interests' => $lang_cp->cp_prof_interests,
			'interests_data' => $prof->interests,
			
			
		);
			
			
		
		$screen->add_html('user_cp_frontpage', $html);
			
		//=============================
		// Add the wrapper
		//=============================
		$navigation	=	array('cp.php' => $lang_cp->cp, 'cp.php?mode=00' => $lang_cp->cp_frtpage);
		
		$screen->add_wrapper($lang_cp->cp_frtpage, $navigation);
	
		//=============================
		// Print page
		//=============================
		$screen->print_page();	
		
		return true;
	}
	
	
	/**
	* Profile setup page 
	*
	* Lets the user change his/her profile information
	* @return void
	*
	*/
	function profile()
	{
		global $db, $user, $screen;
		$lang_cp	=	new lang_cp;
		
		//Getting user info to put in the fields
		$db_uinfo = $db->get_profile_data($user->id);
		$db_uinfo = $db_uinfo->row();
		
		//============================
		// Making the menu
		//============================
		$cpmenu = view_cp_menu();
		
		//=============================
		// Constructing the huge template array
		//=============================
		$vars = array(
					"title" 			=> $lang_cp->cp_prof,
					"title-profile" 	=> $lang_cp->cp_prof_title,
					"profile_descr"		=> $lang_cp->cp_prof_descr,
					"menu" 				=> $cpmenu,
					"homepage_url"		=> $lang_cp->cp_prof_homepage_url,
					"old_homepage_url" 	=> $db_uinfo->homepage,
					"blog_url" 			=> $lang_cp->cp_prof_blog_url,
					"old_blog_url" 		=> $db_uinfo->blog,
					"real_name" 		=> $lang_cp->cp_prof_realname,
					"old_real_name" 	=> $db_uinfo->real_name,
					"im_identity" 		=> $lang_cp->cp_prof_im,
					"old_im_identity" 	=> $db_uinfo->im_msn,
					"birthday" 			=> $lang_cp->cp_prof_birthday,
					"old_birthday" 		=> $db_uinfo->birthday,
					"location" 			=> $lang_cp->cp_prof_location,
					"old_location" 		=> $db_uinfo->location,
					"interests" 		=> $lang_cp->cp_prof_interests,
					"old_interests" 	=> $db_uinfo->interests,
					'uid'				=> $db_uinfo->id,
					'show_profile'		=> $lang_cp->cp_prof_show,
					'submit_value'		=> $lang_cp->cp_prof_submit);
		
		//============================
		// Have we just updated?
		//============================
		if (@$_GET['updated'] == '1')
			$vars['updated'] = $lang_cp->cp_prof_updated;
		else
			$vars['updated'] = '';
					
		$screen->add_html('user_cp_profile', $vars);
		
		//=============================
		// Add the wrapper
		//=============================
		$navigation = array('cp.php' => $lang_cp->cp, 'cp.php?mode=01' => $lang_cp->cpm_pro);
		
		$screen->add_wrapper($lang_cp->cpm_pro, $navigation);
	
		//=============================
		// Print page
		//=============================
		$screen->print_page();
		
		//=============================
		// Clean up
		//=============================
		unset($vars);
		
		
		return true;

	}
	
	/**
	 * Proflie update page
	 *
	 * Updates the user profile. Not a real page, no data is outputted.
	 * @todo Fix slashes problem if you use a quotation mark in your name
	 * @return void
	 */
	function update_profile()
	{
		global $db, $user;
		
		//have someone stumbled in here by accident? Let's stop this right now, then.
		if($_POST) 
		{
			
			//=========================
			// Are our little inputs safe? 
			//=========================
			$homepage_url 	= @$_POST['homepage_url'];
			$blog_url 		= @$_POST['blog_url'];
			$interests 		= @$_POST['interests'];
			$location 		= @$_POST['location'];
			$real_name 		= @$_POST['real_name'];

			//do the URLs
			if (!empty($homepage_url) && !strstr($homepage_url, 'http://'))
			{
				$homepage_url = 'http://' . $homepage_url;
			}
		
			if (!empty($blog_url) && !strstr($blog_url, 'http://'))
			{
				$blog_url= 'http://' . $blog_url;
			}
			
		
			$db->update_profile_data($user->id, addslashes($homepage_url), addslashes($blog_url), htmlentities($real_name, ENT_COMPAT, 'utf-8'), addslashes(@$_POST['im_identity']), addslashes(@$_POST['birthday']), htmlentities(@$_POST['location'], ENT_COMPAT, 'utf-8'), htmlentities(@$_POST['interests'], ENT_COMPAT, 'utf-8'));
		
		}
		
		//return, and display a notice
		header('Location: cp.php?mode=1&amp;updated=1');
		
		return true;
	}
		
	/**
	* Signature displaying page
	*
	* Displays the users signature
	* @todo Include a option in Admin CP for choosing wether smileys are allowed or not
	* @return void
	* 
	*/
	function signature()
	{
		global $db, $screen, $user, $lang_cp;
		
		//including the deparser
		include 'inc/lib/post_parser.php';
		$parse = new post_parser;
		
		//getting signature info
		$db_sign = $db->get_user_signature($user->id);
		$db_sign = $db_sign->row();
				
		//doing the menu
		$cpmenu = view_cp_menu();
		
		//is there no signature to show?
		if (empty($db_sign->signature))
			$signature = $lang_cp->cp_sign_nosig;
		else 
			$signature = $db_sign->signature;
			
		//making the template array
		$vars = array(
					'title' => $lang_cp->cp_signature,
					'title-signature' => $lang_cp->cp_sign_title,
					'menu' => $cpmenu,
					'signature_desc' => $lang_cp->cp_sign,
					'signature' => $signature,
					'signature_edit_desc' => $lang_cp->cp_sign_update,
					'signature_edit' => $parse->post_deparse($db_sign->signature, TRUE),
					'update_button' => $lang_cp->cp_sign_update_btn
					);
		
		$screen->add_html('user_cp_signature', $vars);
		
		
		// Adding the wrapper
		$navigation = array('cp.php' => $lang_cp->cp, 'cp.php?mode=4' => $lang_cp->cpm_sig);
		
		$screen->add_wrapper($lang_cp->cp_signature, $navigation);
	
		
		// And printing the page
		$screen->print_page();
		
		return true;
	}

	/**
	* Signature updating page
	*
	* Updates the users signature
	* @return void
	*
	*/
	
	function update_signature()
	{
		global $db, $user;
		
		//in-clud-i-ng
		include 'inc/lib/post_parser.php';
		$parser = new post_parser;
	
		//parsing it good
		$signature = $parser->post_parse($_POST['new_sig'], TRUE);
		
		
		//=====================
		// Into the DB it goes
		//=====================
		$db->update_user_signature($user->id, $signature);
		
		
		//==========================
		// And returning right away
		//==========================
		header('Location: cp.php?mode=4');
		
	}
	
	

	
	
	/**
	 * New PM page
	 * 
	 * Let's the user construct a PM for sending, and passing it on to a 
	 * sending function, send_PM()
	 *
	 * @return void
	 */
	function new_PM()
	{
		global $db, $user, $config, $screen;
		$lang_cp	=	new lang_cp;
		
		//parsing
		include 'inc/lib/post_parser.php';
		$parser = new post_parser;
		
		//Get user info and smiley settings
		$db_uinfo	=	$db->get_user_choices($user->id);
		$db_uinfo	=	$db_uinfo->row();
		
		//getting smileys
		include 'inc/lib/smiley.php';
		
		//Are we sending to a specific user?
		if (@$_GET['to'] && is_numeric($_GET['to']))
		{
			$db_usr = $db->get_username_from_id($_GET['to']);
			$db_usr = $db_usr->row();
			$from = $db_usr->name;
		}
		else
		{
			$from = '';
		}
		//Are we quoting a previous message?
		if (@$_GET['quote'] && is_numeric($_GET['quote']))
		{
			//first of all, are we allowed to read this?
			$quotedata = $db->can_read_pm($_GET['quote'], $user->id);
			$quotedata = $quotedata->row();
			
			if ($quotedata->belongs_to == $user->id)
			{
				if ($quotedata) //we don't want empty quotes
				{
					//from who?
					$from = $db->get_username_from_id($quotedata->author_id);
					$from = $from->row();
					$from = $from->name;
			
					//what title?
					$title = $lang_cp->cp_spm_re . $quotedata->title;
					
					//when?
					$sendtdate = date($config->timestamp1, $quotedata->date);
				
					//construct quote
					$quoted_message = $parser->post_deparse($quotedata->content, TRUE);
					$quoted_message = "\n[quote=$from @ $sendtdate]\n $quoted_message . \n[/quote]\n";
				}
				else 
				{
					
					$title = '';
					$quoted_message = '';
				}
		
			}
			else 
			{
				$title = '';
				$quoted_message = '';
				
			}
		}
		else 
		{
			$title = '';
			$quoted_message = '';
		}
		
		$cpmenu = view_cp_menu();
		
		//constructing the post buttons
		include 'inc/lib/post_buttons.php';
		
		
		//constructing the template array
		$html = array(
					
			'pm-title' => $lang_cp->cpm_send,
			'pm_info'	=> $lang_cp->cp_spm_info,
			'pm_to' => $lang_cp->cp_spm_to,
			'pm_to_content' => $from, 
			'pm_cc' => $lang_cp->cp_spm_cc,
			'pm_cc_content' => '',
			'pm_title' => $lang_cp->cp_spm_tit,
			'pm_title_content' => $title,
			'post-buttons' => post_buttons(),
			'menu' => $cpmenu,
			'title' => $lang_cp->cp_sendpm,
			'alternatives' => $lang_cp->cp_spm_alt,
			'store_copy' => $lang_cp->cp_spm_store_copy,
			'trace' => $lang_cp->cp_spm_trace,
			'title-send_pm' => $lang_cp->cp_sendpm_title,
			'smileys' => show_smileylist(),
			'submit' => $lang_cp->cp_spm_send,
			'archive' => $lang_cp->cp_spm_archive,
			'content' => $quoted_message
			);
			
		
		//================================
		//	Fetch master template used in page
		//================================
		$screen->add_html('user_cp_pm_send', $html);

		//================================
		//	Navigation and title
		//================================
		$navigation = array('cp.php' => $lang_cp->cp, 'cp.php?mode=6' => $lang_cp->cpm_send);
		$action = $lang_cp->cpm_send;
		
		//================================
		//	Wrap up the page nicely
		//================================
		$screen->add_wrapper($action, $navigation);

		//================================
		//	Print finished parsed page :) (voila, c'est beau!)
		//================================
		$screen->print_page();
		
	}

	/**
	 * Send PM page
	 * 
	 * Sends the message the user has composed, and deal with it as specified.
	 *
	 * @return void
	 */
	function send_PM()
	{
		global $cache, $screen, $db, $user, $config;
		$lang_cp = new lang_cp;
		
		//post parsing going on
		include 'inc/lib/post_parser.php';
		$parser = new post_parser;
		
		//get all data
		if (empty($_POST['to']))
		{
			error_msg($lang_cp->cp_spm_err_to, 1);
		}
		else 
		{
			$to = $_POST['to'];
		}
		
		if (empty($_POST['post']))
		{
			error_msg($lang_cp->cp_spm_err_msg, 1);
		}
		else 
		{
			$message = $parser->post_parse($_POST['post'], 1);
		}
		
		if (empty($_POST['pm_title']))
		{
			error_msg($lang_cp->cp_spm_err_title, 1);
		}
		else 
		{
			$title = $_POST['pm_title'];
		}
		
		//are we storing a personal copy?
		$store_copy = $_POST['store_copy'];

		//tracing?
		$trace = $_POST['trace'];
		
		//are we sending off copies?
		$cc = $_POST['cc'];
		
		//who is it from?
		$from = $user->id;
		
		//who is it to?
		if (!($t = $cache->query("get_userid_from_name", array($to))))
		{
			error_msg($lang_cp->cp_spm_er03, 1);
		}
		$to = $t[0]->id;
		
		//are we copying again? Watch out for copyrights!
		if (!empty($cc))
		{
			//our recipient list
			$recievers = explode("\n", $cc);
			
			if (count($recievers) > $config->max_pm_cc)
				error_msg($lang_cp->cp_spm_err_cc . $config->max_pm_cc, 1);
				
			//looping over the CC recipients
			$cc_to = '';
			foreach ($recievers as $reciever)
			{
				$reciever = rtrim($reciever);
				
				//non-existing recipient?
				if (!($i = $cache->query('get_userid_from_name', array($reciever))))
					error_msg($lang_cp->cp_spm_er03, 1);
					
				$rec_id[] = $i[0]->id;
				$cc_to .= $reciever . "\n";
			}
		}
		
		//Now let's start sending :D
		$date = time();
		
		//putting in the data first
		if ($msg_id = $db->create_new_pm_data($message, $date, $from, $cc_to))
		{
			//putting in Sent Items folder
			if ($store_copy)
				$db->move_new_pm($msg_id, $title, $date, $from, $to, 'sent', $trace, $from);
			
			//sending to reciever
			$db->create_new_pm($msg_id, $title, $date, $from, $to, 'inbox', $trace, $to);
			
			if (!empty($cc))
			{
				//sending CC's
				foreach ($rec_id as $rec)
				{
					$db->create_new_pm($msg_id, $title, $date, $from, $rec, 'inbox', $trace, $rec);
				}
			}
			
		}
		
		//enough with the nonsense, let's notify the user and return to the inbox. :)
		notify($lang_cp->cp_spm_done, 'cp.php?mode=7', "Back to inbox");
		
	}
	
	/**
	 * Delete a pm
	 *
	 * @param int $id
	 * @return void
	 */
	function delete_pm($id)
	{
		global $db, $user, $lang_cp;
	
		//are we allowed to delete?
		$allowed = $db->allowed_to_read_pm($id, $user->id);
		$allowed = $allowed->row();
						
		if ($allowed->belongs_to == $user->id)
		{
			//allright, let's delete this PM
			$db->delete_pm($id, $user->id);
			return true;		
		}
		else 
		{
			error_msg($lang_cp->not_alwd_del_pm, 1);
			return false;
		}
		
	}
	
	/**
	 * Mark a pm read or unread
	 *
	 * @param int $id
	 * @param string $action
	 * @return void
	 */
	function mark_pm($id, $action)
	{
		global $db, $user, $lang_cp;

		//are we allowed to delete?
		$allowed = $db->allowed_to_read_pm($id, $user->id);
		$allowed = $allowed->row();
						
		if ($allowed->belongs_to == $user->id)
		{
			//allright, let's mark stuff
			if ($action == 'markread')
				$db->mark_pm_as_read($id);
			elseif ($action == 'markunread')
				$db->mark_pm_unread($id);
		}
		else 
		{
			error_msg($lang_cp->cp_pm_not_yours, 1);
			return false;
		}
	}
	
	/**
	 * PM Inbox page
	 * 
	 * This is where the user will administrate his messages, read his/hers messages,
	 * archive them and generally do with them as the user likes.
	 * 
	 * This will be designed from the start, as the previous one weren't quite
	 * finished, and were also quite absurd in a peculiar manner. Ladida.
	 * 
	 * @todo Pagination and archive-stuff
	 * @return void
	 */
	function inbox_PM()
	{
		global $cache, $user, $config, $db, $screen;
		$lang_cp	=	new lang_cp;

		//first of all, are we going to delete a message?
		if ($_GET['act'] == 'delete' && is_numeric($_GET['id']))
		{
			delete_pm($_GET['id']);
		}
		
		//are we multi-deleting?
		if ($_POST['action'] == 'delete' && !empty($_POST['marked']))
		{
			
			//looping over the PMs
			foreach ($_POST['marked'] as $marked)
			{
				delete_pm($marked);
			}				
		}
		
		//are we marking stuff?
		if ($_POST['action'] != 'delete' && !empty($_POST['marked']) && !empty($_POST['action']))
		{
			//loop de loop
			foreach ($_POST['marked'] as $marked)
			{
				mark_pm($marked, $_POST['action']);
			}
		}
		//how many messages in inbox?
		$db_data		=	$db->get_num_messages_inbox($user->id);
		$messages_tot	=	$db_data->row();
		
		//or is it no one here?
		if ($messages_tot->number == 0)
			$messages_tot = $lang_cp->cp_inb_no_messages;
		else 
			$messages_tot = $lang_cp->cp_inb_messages . $messages_tot->number;
		
		//how many are we allowed to have?
		$messages_max	=	$config->pm_max;

		//let's get our messages!
		$messages = $db->get_messages_inbox($user->id);
		
		$i = 0;
		$row = '';
		
		while ($msg = $messages->row())
		{
			$i++;
			//who is it from?
			$from_id = $msg->from_id;
			$from = $cache->query("get_username_from_id", array($from_id));
			$from = $from[0];
			
			//read or unread?
			if ($msg->read == 0)
				$img = '';
			else
				$img = '-no';
			$inboxrow = array(
								'id'		=> $msg->id,
								'title'		=> $msg->title,
								'name'		=> $from->name,
								'date'		=> date($config->timestamp1, $msg->date),
								'skin_set'	=> $user->skin_set,
								'msg_id'	=> $msg->msg_id,
								'img'		=> $img);
								
			//insert data into template, and repeat a lot
			$row .= $screen->return_html('user_cp_inbox_row', $inboxrow);
			
			//clean up
			unset($inboxrow);
		
		}
		
		//no messages? 
		if ($i == '0')
		{
			$inboxnopmrow = array('no_pms' => $lang_cp->cp_inb_no_messages);
			$row .= $screen->return_html('user_cp_inbox_nopm', $inboxnopmrow);
		}
		
		//constructing the template array
		$html = array(
			'inbox_title'		=> $lang_cp->cp_inbox,
			'pm_inbox-title'	=> $lang_cp->cpm_inb,
			'inbox_descr'		=> $lang_cp->cp_inb_descr,
			'inbox_th_title'	=> $lang_cp->cp_inb_th_title,
			'content' 			=> $content,
			'reply'				=> $lang_cp->cp_inb_reply,
			'from'				=> $lang_cp->cp_inb_from,
			'date'				=> $lang_cp->cp_inb_date,
			'delete'			=> $lang_cp->cp_inb_del,
			'select'			=> $lang_cp->cp_inb_sel,
			'inbox_row'			=> $row,
			'markread'			=> $lang_cp->cp_inb_mrkread,
			'markunread'		=> $lang_cp->cp_inb_mrkunread,
			'tot_msg'			=> $messages_tot,
			'refresh'			=> $lang_cp->cp_inb_refresh,
			'menu'				=> view_cp_menu()
			);
			
		
		//================================
		//	Fetch master template used in page
		//================================
		$screen->add_html('user_cp_pm_inbox', $html);

		//================================
		//	Navigation and title
		//================================
		$navigation = array('cp.php' => $lang_cp->cp, 'cp.php?mode=7' => $lang_cp->cpm_inb);
		
		//================================
		//	Wrap up the page nicely
		//================================
		$screen->add_wrapper($lang_cp->cpm_inb, $navigation);

		//================================
		//	Print finished parsed page :) (voila, c'est beau!)
		//================================
		$screen->print_page();
		
		//free some mem
		unset($html);
		
		return true;
	}

	/**
	 * Read PM Page
	 * 
	 * This page lets the user read a Personal Message and do with it as he or she
	 * pleases. Delete, archive, move, reply, forward, etc. 
	 * 
	 * Complete rewrite from the old read PM thingy.
	 *
	 * @todo A lot
	 * @return void
	 */
	function read_PM()
	{
		global $db, $screen, $config, $user, $lang_cp;
		
		//booting the menu
		$cp_menu = view_cp_menu();
		
		//what message do we want to show?
		$msg = (int)$_GET['id'];
				
		//are we allowed to show it?
		$read = $db->allowed_to_read_pm($msg, $user->id);
		$read = $read->row();
		
		if ($read->belongs_to != $user->id)
		{
			error_msg($lang_cp->cp_pm_not_yours, 1);
		}
		
		//getting the message data
		$msg_data = $db->get_pm_content($msg);
		
		//who is it from?
		$from = $db->get_username_from_id($msg_data->from_id);
		$from = $from->row();
				
		//when shown for the first time, we'll update the status for this.
		if ($msg_data->read == '0')
			$db->mark_pm_read($msg, time(), $user->id);
		
		//let's find out some stuff about the sender
		$db_user = $db->get_user_stuff($msg_data->author_id);
		
		//constructing the template array
		$html = array(
			'title'		=> $lang_cp->cpm_rpm_title,
			'readpm-title' => $msg_data->title,
			'readpm_date'	=> date($config->timestamp1, forumtime($msg_data->date)),
			'skin_set'		=> $user->skin_set,
			'reply'			=> $lang_cp->cp_inb_reply,
			'delete'		=> $lang_cp->cp_inb_del,
			'id'		=> $msg_data->id,
			'msg_id'	=> $msg_data->msg_id,
			'pm_data' 	=> $msg_data->content,
			'menu'		=> $cp_menu,
			'user_id'	=> $msg_data->author_id,
			'user_name'	=> $db_user->name,
			'user_avatar'	=> $db_user->avatar,
			'user_title'	=> $db_user->title,
			'user_registred'	=> date($config->timestamp2, forumtime($db_user->registred)),
			'user_registred_title'	=> $lang_cp->cp_readpm_joined,
			'user_posts'	=> $db_user->posts,
			'user_posts_title' => $lang_cp->cp_readpm_posts,
			'user_location'	=> $db_user->location,
			'user_location_title' => $lang_cp->cp_readpm_loc,
			'pm_signature'	=> $db_user->signature
			);
			
		
		//================================
		//	Fetch master template used in page
		//================================
		$screen->add_html('user_cp_read_pm', $html);

		//================================
		//	Navigation and title
		//================================
		$navigation = array('cp.php' => $lang_cp->cp, '' => $lang_cp->cp_rpm_title);
		
		//================================
		//	Wrap up the page nicely
		//================================
		$screen->add_wrapper($lang_cp->cp_rpm_title, $navigation);

		//================================
		//	Print finished parsed page :) (voila, c'est beau!)
		//================================
		$screen->print_page();
		
		return true;
	}


	/**
	 * Archive PM
	 * 
	 * This page puts the PM in the archives, instead of posting it.
	 * 
	 * @return void
	 */
	function archive_PM()
	{
		
		
		return true;
	}
	
	/**
	 * Trace PM
	 * 
	 * This is where the user can see if the users PMs have been read or not, or
	 * whether it got deleted or not.
	 * 
	 * @return void
	 */
	function trace_PM()
	{
		global $db, $user, $config, $screen, $lang_cp;
		
		//are we deleting/recalling?
		if ($_GET['act'] == 'delete')
		{
			//is there a specified ID?
			if (!empty($_GET['id']) && is_numeric($_GET['id']))
			{
				//do we own the PM?
				$ownership = $db->allowed_to_recall_pm($_GET['id'], $user->id);
				$test = $ownership->row();
				
				//Let's do it!
				if ($test->trace == '1') {
					$db->recall_pm((int)$_GET['id']);
				}
			}
		}
		//running the query
		$trace = $db->get_traced_pms($user->id);
		
		//instantiating the variables
		$read = '';
		$unread = '';
		
		//looping over the results
		while ($t = $trace->row())
		{
			//a userid is not much good, so we'll find the username
			$to = $db->get_username_from_id($t->to_id);
			$to = $to->row(1);
			
			//and convert the date
			$date = date($config->timestamp1, $t->date);
			
			//read or unread?
			if ($t->read == '0')
			{
				$html = array(
								'name' => $to->name,
								'title' => $t->title,
								'date' => $date,
								'id'	=> $t->id,
								'skin_set'	=> $user->skin_set,
								'delete' => $lang_cp->cp_tracepm_delete);
								
				$unread .= $screen->return_html('user_cp_trace_pm_unreadrow', $html);
				unset($html);
			}
			else 
			{
				$html = array(
								'name' => $to->name,
								'title' => $t->title,
								'date' => $date);
								
				$read .= $screen->return_html('user_cp_trace_pm_readrow', $html);
				unset($html);
			}
		}
		
		//no messages to trace today?
		if (empty($read))
			$read .= $screen->return_html('user_cp_trace_pm_no_trace', array('no_trace' => $lang_cp->cp_tracepm_notrace));
		if (empty($unread))
			$unread .= $screen->return_html('user_cp_trace_pm_no_trace', array('no_trace' => $lang_cp->cp_tracepm_notrace));
			
		//constructing the template array
		$html2 = array(
			'menu'					=> view_cp_menu(),
			'title'					=> $lang_cp->cp_tracepm_long_title,
			'trace-title' 			=> $lang_cp->cp_tracepm_title,
			'trace_descr'			=> $lang_cp->cp_tracepm_tracedescr,
			'read'					=> $lang_cp->cp_tracepm_read_heading,
			'read_description' 		=> $lang_cp->cp_tracepm_read,
			'unread'				=> $lang_cp->cp_tracepm_unread_heading,
			'unread_description' 	=> $lang_cp->cp_tracepm_unread,
			
			'read-row' 				=> $read,
			'unread-row' 			=> $unread,
			
			'to'					=> $lang_cp->cp_tracepm_to,
			'th_title'					=> $lang_cp->cp_tracepm_th_title,
			'date'					=> $lang_cp->cp_tracepm_date,
			'recall'				=> $lang_cp->cp_tracepm_recall
			);
			
		
		//================================
		//	Fetch master template used in page
		//================================
		$screen->add_html('user_cp_trace_pm', $html2);

		//================================
		//	Navigation and title
		//================================
		$navigation = array('cp.php' => $lang_cp->cp, 'cp.php?mode=11' => $lang_cp->cp_tracepm_title);
		
		//================================
		//	Wrap up the page nicely
		//================================
		$screen->add_wrapper($lang_cp->cp_tracepm_title, $navigation);

		//================================
		//	Print finished parsed page :) (voila, c'est beau!)
		//================================
		$screen->print_page();
		
		return true;
	}

	
	function avatar()
	{
		global $db, $config, $user, $screen, $cache;
		$lang_cp	=	new lang_cp;
						
		
		//getting some nice user info and avatar info from db
		$obj = $db->get_user_avatar($user->id);
		$current_avatar = $obj->avatar;
		
		$desc = $lang_cp->cp_avatar_desc;
		
		//no avatar?
		if (empty($current_avatar)) {
		  $current_avatar = "design/viking/no-avatar.png";
		  $desc = $lang_cp->cp_avatar_desc_noimg;
		}
		
		
		//Is it realistic to add logic that checks the MIME-type to avoid it being a disguised exe-file
		//or a PHP-generated image? The MIME-type will be the same even if PHP has generated the image. Probably no real
		//way to find out if an image is PHP-generated (except for checking it's headers and dissecting it thoroughly).
		
		//============================
		// Making the menu
		//============================
		$cpmenu = view_cp_menu();
		
		//=============================
		// Constructing the huge template array
		//=============================
		$html = array(
					"title" 				=> $lang_cp->cp_avatar,
					"menutitle" 			=> $lang_cp->cp_menu,
					"avatar-title" 			=> $lang_cp->cp_avatar_title,
					"menu" 					=> $cpmenu,
					'current_heading'		=> $lang_cp->cp_avatar_cur,
					'current_avatar' 		=> $current_avatar,
					'current_avatar_alt' 	=> $desc,					
					'current_avatar_desc' 	=> $desc,
					'current_avatar_descr' 	=> $lang_cp->cp_avatar_descr,
					'change_avatar'			=> $lang_cp->cp_avatar_change,
					'avatar_edit_desc' 		=> $lang_cp->cp_avatar_update_url,
					'update_button' 		=> $lang_cp->cp_avatar_update_btn
					);
		
		$screen->add_html('user_cp_avatar', $html); 

		
		//=============================
		// Add the wrapper
		//=============================
		$navigation = array('cp.php' => $lang_cp->cp, 'cp.php?mode=13' => $lang_cp->cpm_avatar);
		
		$screen->add_wrapper($lang_cp->cpm_avatar, $navigation);
	
		//=============================
		// Print page
		//=============================
		$screen->print_page();
		
		return true;
		
	}

	
   	function update_avatar() {
	
   		global $db, $config, $user, $lang_cp;
	  
	  
	  
	  
	  //are we even doing a change?
	  if (!empty($_POST['new_avatar'])) {    
		$new_avatar= $_POST['new_avatar'];
		
		//Getting picture size.
		$data = getimagesize($new_avatar);
		
		//how large can we be?
		$max = $config->avatar_size;
		
		list ($max_x, $max_y) = split ("x", $max);
		$Max_size = $max_x * $max_y;
		$x = $data[0];
		$y = $data[1];
		$avatarsize = $x * $y;
		$filetype = $data['mime'];
		
		// Checking the image, if it really is a image
		if ( stristr($filetype, 'image/') !== FALSE ) {
		  
		  // and if it's not to big.
		  if ( $avatarsize <= $Max_size && $x <= $max_x && $y <= $max_y) {	    
			$db->update_user_avatar($user->id, $new_avatar);
		    //==========================
		    // And returning right away
		    //==========================  
  		    header('Location: cp.php?mode=3');		  
		   }
		   else {					
		     error_msg($lang_cp->cp_avatar_err_pixels . $config->avatar_size, 1);
		   }
		}
		else{
		  error_msg($lang_cp->cp_avatar_err_notimg, 1);
		}
	  }
	  else {
	    header('Location: cp.php?mode=3');
	  }
	}

?>