<?php

/**
* @package Vikingboard
* @author Tor Henning Ueland <tor.henning@vikingboard.com>
* @author Marius Pedersen Taule <marius@vikingboard.com>
* @version 0.1b
*
* $Id: config_site.php,v 1.6 2006/06/17 20:52:19 paitrakt Exp $
*/


class admin {

	/**
	 * Class loaded, this is called by the main admin page script.
	 * This script handles the site(s) configuration
	 * 
	 * @param obj screen
	 * @param obj cache
	 * $param obj db
	 * 
	 * @return bool
	 */
    function admin($screen, $cache, $db) {

        //Set "everything"
        $this->lang = new lang_admin_config();
        $this->screen= $screen;
        $this->cache = $cache;
        $this->db    = $db;

        //Lets do something
        switch($_GET['cmd']) {

			//Save config
			case "save";
			$this->saveConfig();
			break;

			//Show config
			default:
			$this->showConfig();
			break;
		}

        //Return html page to the main admin page
        return $this->html;

        //thats all :)

    }


	/**
	 * Saves changes of the configuration
	 * 
	 * @return bool
	 */
	function saveConfig() {
		global $db;

		//Get vars from POST
		$id				= $_POST['id'];
		$forum_name		= $_POST['forum_name'];
		$forum_url		= $_POST['forum_url'];
		$host_name		= $_POST['hostname'];
		$homepage		= $_POST['forum_home'];
		$forum_email	= $_POST['forum_email'];
		$timestamp_1	= $_POST['timestamp1'];
		$timestamp_2	= $_POST['timestamp2'];
		$default_tpl	= $_POST['template'];
		$active			= $_POST['active'];
		$main_cat		= $_POST['category'];
		$main_language	= $_POST['language'];
		$image_folder	= $_POST['imgcat'];
		$topics			= $_POST['numTopics'];
		$posts			= $_POST['numPosts'];
		$prune_time		= $_POST['pruneTime'];

		//If we miss the most important, just redirect to the site configuration again
		if(!$forum_name || !$forum_url || !$host_name) {
			header("location:admin.php?act=config_site&site=$id");
			exit;
		}

		// Update database
		$db->update_site(
			$id, 
			$forum_name, 
			$forum_url, 
			$forum_email, 
			$homepage,
			$host_name, 
			$default_tpl, 
			$main_cat,
			$main_language,
			$active,
			$image_folder,
			$topics,
			$posts,
			$prune_time,
			$timestamp_1, 
			$timestamp_2
		);

		// Reset cache
		$this->cache->reset(md5("get_forum_config"));

		header("location:admin.php?act=config_site&site=$id");
		exit;
	}


	/**
	 * Shows the configuration for site foo
	 * 
	 * @return bool
	 */
    function showConfig() {

		//Construct a list of the different sites/domain on this board
		$sites = $this->cache->query("get_sites");
		if(!is_array($sites)) {
			$this->cache->reset();
			$sites = $this->cache->query("get_sites");
		}

		//Create a sites drop down list
		foreach($sites as $s) {
			$e['value']	=	$s->id;
			$e['name']	=	$s->forum_name;
			$element	.=	$this->screen->return_html('adm_conf_global_drop_content', $e);
		}

		//Make shure we have choosen a website
		if(is_numeric($_GET['site'])) {
			$site = $sites[ ($_GET['site'] - 1) ];
		} else{
			$site = $sites[ 0 ];
		}

		//General/Simple tags
		$html['id']			=	$site->id;
		$html['content']	=	$output;
		$html['site']		=	$site->forum_name;
		$html['siteList']	=	$element;
		$html['act']		=	$_GET['act'];
		$html['forum_name']	=	$site->forum_name;
		$html['forum_url']	=	$site->forum_url;
		$html['hostname']	=	$site->site_host;
		$html['email']		=	$site->forum_email;
		$html['homepage']	=	$site->site_homepage;
		$html['time1']		=	$site->timestamp1;
		$html['time2']		=	$site->timestamp2;
		$html['imageFolder']=	$site->imgcat;
		$html['numTopics']	=	$site->show_maxtopics;
		$html['numPosts']	=	$site->show_maxposts;
		$html['pruneTime']	=	$site->prune_topics;
		
		//Drop down list containing default site template
		unset($element);
		$templates = $this->cache->query("get_template_sets");
		
		foreach($templates as $template) {
			if($template->id == $site->def_tpl) {
				$selected = "SELECTED";
			}
			$e['value']	=	$template->id;
			$e['name']	=	$template->name;
			$e['selected']= $selected;
			unset($selected);
			$element	.=	$this->screen->return_html('adm_conf_global_drop_content', $e);
		}
		
		$html['siteTemplate']	=	$element;
		unset($element);
		
		
		//Drop down to show if the site is activated or not
		if($site->active == 1) {
			$e['selected']= "SELECTED";
		} else {
			$e['selected']= "";
		}
		$e['value']	=	1;
		$e['name']	=	"Yes";
		$element	.=	$this->screen->return_html('adm_conf_global_drop_content', $e);		
		
		if($site->active == 0) {
			$e['selected']= "SELECTED";
		} else {
			$e['selected']= "";
		}
		$e['value']	=	1;
		$e['name']	=	"No";
		$element	.=	$this->screen->return_html('adm_conf_global_drop_content', $e);
		$html['siteActive']	=	$element;
		unset($element);


		//Drop down list containing default site forum category
		unset($element);
		$categories = $this->cache->query("get_forum_categories");
		
		foreach($categories as $c) {
			if($template->id == $site->def_cat) {
				$selected = "SELECTED";
			}
			$e['value']	=	$c->id;
			$e['name']	=	$c->name;
			$e['selected']= $selected;
			unset($selected);
			$element	.=	$this->screen->return_html('adm_conf_global_drop_content', $e);
		}
		
		$html['siteCategory']	=	$element;
		unset($element);		
		

		//Drop down list containing default site language
		unset($element);
		$lang = $this->cache->query("get_languages");
		
		foreach($lang as $l) {
			if($l->id == $site->def_lang) {
				$selected = "SELECTED";
			}
			$e['value']	=	$l->id;
			$e['name']	=	$l->language;
			$e['selected']= $selected;
			unset($selected);
			$element	.=	$this->screen->return_html('adm_conf_global_drop_content', $e);
		}
		
		$html['siteLanguage']	=	$element;
		unset($element);	
		
		//Return finished HTML page
		$this->html         =   $this->screen->return_html('adm_conf_site', $html);
		
		
	}
}
?>