<?php

/**
*
* @package Vikingboard
* @author Tor Henning Ueland <tor.henning@vikingboard.com>
* @version 0.1b
*
* $Id: forums.php,v 1.15 2006/03/24 16:04:49 ueland Exp $
*
*/


class admin {

	/**
	 * Class loaded, this is called by the main admin page script.
	 * This script handles the management of categories and forums
	 * 
	 * @param obj screen
	 * @param obj cache
	 * @param obj db
	 * @param obj config
	 * 
	 * @return bool
	 */
    function admin($screen, $cache, $db, $config) {

        //Set "things"
        $this->lang = new lang_admin_forums();
        $this->screen= $screen;
        $this->cache = $cache;
        $this->db    = $db;
        $this->config= $config;

		//Find out what to do
		switch($_GET['cmd']) {

			//Edit category
			case "editcategory":
			$this->editCategory();
			break;

			//Add forum
			case "newforum":
			$this->addForum();
			break;

			//Show listing
			default:
			$this->listForums();
			break;
  		}

        //Return html page to the main admin page
        return $this->html;
    }

    //=======================
    //  Add a forum or a category
    //=======================
    function addForum() {

		//Save a new forum?
		if($_POST['name']) {

			//Save it if all fields is good
			if($_POST['name'] !="" && is_numeric($_POST['category'])) {

				//Create a forum
				if($_POST['category'] !=0) {
					$this->db->createForum($_POST['name'], $_POST['descr'], $_POST['category']);
					
					$this->cache->reset();
					$html['infoMessage']  =   $this->lang->forumCreated;				
				//Or create a category
				} else {
					$this->db->createCategory($_POST['name'], $_POST['descr'], $_POST['category']);
					$this->cache->reset();
					$html['infoMessage']  =   $this->lang->categoryCreated;
				}



			//Complain if we dont got all the data we need
	  		} else {

                $html['infoMessage']  =   $this->lang->missingData;
                
			}
  		}


		//What ID to add this forum to?
		if(is_numeric($_GET['id'])) {
			$id =   $_GET['id'];
	  	} else {
			$id =   0;
		}
		
		//Get categories
		$categories = $this->cache->query("get_forum_categories");
		
		if($id == 0) {
		  
			$categoryList	=	'<option value="0" selected>'.rootCategory.'</option>';
			
		} else {
		  
			$categoryList	=	'<option value="0">- '.rootCategory.'</option>';
			
			foreach($categories as $category) {
			  	if($category->id == $id) {
				    $categoryList   .=  '<option value="'.$category->id.'" selected>|-- '.$category->name.'</option>';
				} else {
					$categoryList   .=  '<option value="'.$category->id.'">|-- '.$category->name.'</option>';
				}
			}
		}
		
		

		
		//Show the add forum page
		if($id !=0) {
			$html['id']     =   $id;
			$html['name']   =   $this->lang->forumname;
			$html['descr']  =   $this->lang->forumdescr;
			$html['category']=  $this->lang->forumcategory;
			$html['categorylist']= $categoryList;
			$html['create'] =   $this->lang->createForum;
		
		//Or a create category page?
		} else {
			$html['id']     =   $id;
			$html['name']   =   $this->lang->categoryname;
			$html['descr']  =   $this->lang->categorydescr;
			$html['category']=  $this->lang->category;
			$html['categorylist']= $categoryList;
			$html['create'] =   $this->lang->createCategory;		
		}
		
		
		$this->html 			=   $this->screen->return_html("admin_forums_addforum", $html);
	}
    
   /*
   
        Good music to work with (Ueland@01.desember 2005):
            - Alan Jackson
            - The Russian Red Army Choir (i dont understand to much but good music)
            - Weird Al Yankowic
   
   */
    
    //=======================
    //  Edit a category
    //=======================
    function editCategory() {

  		//Category id
		if(is_numeric($_GET['id'])) {
			$id =   $_GET['id'];
			
  		} else {
			$id =   1;
		}
		
		//Should we save some data?
		if(isset($_POST['name'])) {
			//okey then, first update database
			$this->db->updateCategory($id, $_POST['name'], $_POST['descr']);
			
			//Then flush cached data
			$this->cache->reset();
			
			//And redirect
			header("Location:admin.php?act=forums");
  		}
		
		//Fetch information about it
		$info   =   $this->cache->query("get_forum_category", array("0" => $id));
		$info   =   $info[0];

		//Print the edit form
		$html['categoryName']   =   $info->name;
		$html['id']     		=   $info->id;
		$html['descr']  		=   $info->descr;
		$html['name']           =   $this->lang->catName;
		$html['descr']          =   $this->lang->catDescr;
		$html['update']         =   $this->lang->catUpdate;
		$this->html 			=   $this->screen->return_html("admin_forums_editcat", $html);
	}
    
    //=======================
    //  Show forum listing
    //=======================
    function listForums() {


		//Fetch and loop over categories
		$categories = $this->cache->query("get_forum_categories");
		foreach($categories as $category) {

			$html['name']   =   $category->name;
			$html['id']     =   $category->id;
			$html['edit']   =   $this->lang->edit;
			$html['delete'] =   $this->lang->delete;
			$html['move']   =   $this->lang->move;
			$html['new']    =   $this->lang->new;
			
			$output 		.=  $this->screen->return_html("admin_forums_cat", $html);
			unset($html);
			
			    //Then loop over forums in this category
			    $forums =   $this->cache->query("get_forums_in_category", array($category->id));
			    foreach($forums as $forum) {
					$html['name']   =   $forum->name;
					$html['edit']   =   $this->lang->edit;
					$html['delete'] =   $this->lang->delete;
					$html['move']   =   $this->lang->move;
					$html['resync'] =   $this->lang->resync;
					$output 		.=  $this->screen->return_html("admin_forums_forums", $html);
					unset($html);
				}
  		}


		//Fetch the "wrapper" for the forum management
		$html['content'] =   $output;
		$html['createCategory']	=	$this->lang->createCategory;
        $this->html  	=   $this->screen->return_html("admin_forums_main", $html);
	}

}
?>
