<?php

/**
*
* @package Vikingboard
* @author Tor Henning Ueland <tor.henning@vikingboard.com>
* @version 0.1b
*
* $Id: language.php,v 1.4 2006/03/18 00:29:33 ueland Exp $
*
*/


class admin {

	/**
	 * Class loaded, this is called by the main admin page script.
	 * Management of all the words in Vikingboard :)
	 * 
	 * @param obj screen
	 * @param obj cache
	 * @param obj db
	 * @param obj config
	 * 
	 * @return bool
	 */
    function admin($screen, $cache, $db, $config) {

        //Set "things"
        $this->lang = new lang_admin_languages();
        $this->screen= $screen;
        $this->cache = $cache;
        $this->db    = $db;
        $this->config= $config;

		//Find out what to do
		switch($_GET['cmd']) {
		  
		  	case "language":
		  	//Manage language
		  	$this->languageManager();
		  	break;
		  
			default:
			//Show the frontpage
			$this->listWords();
  		}

        //Return html page to the main admin page
        return $this->html;
    }

    //=======================
    //  Manage a language
    //=======================
    function languageManager() {

		//Fetch language bits from a language file
		if(is_numeric($_GET['language']) && is_numeric($_GET['type'])) {

			//Load language file
		  	if($_GET['type'] == 1) {
				$t = "admin";
			} else {
				$t = "index";
			}
			$language = file_get_contents("./inc/lang/{$_GET['language']}/{$t}.php");


			//Write check
			if(is_writeable("./inc/lang/{$_GET['language']}/{$t}.php") === false) {
				error_msg($this->lang->not_writable, 1);
			}

		
			//Should we save the language file?
			if(is_array($_POST) && $_GET['save'] == 1) {
			
				$file	=	"<?php \n";
				foreach($_POST as $category => $array) {
					
					if(strrchr($category, '\r\n') == false) {
					
						//Start class
						$file .= "\nclass lang_{$category}";
						$file .= "{\n";
						
						//Loop over words
						foreach($array as $what => $word) {
						  	$word	=	str_replace('"', '\\"', $word);
							$file .= "\t var \${$what}\t\t=\t\"{$word}\";\n";
						}
						
						//End class
						$file .= "}\n\n";
					}
					
				}
				//End file
				$file	.=	"\n//When adding new words, use \"blablabla\", not 'blablabla' for the string.\n//Dont use spaces but tabs!\n?>";
				
				//Then lets save it! :)
				if(is_writeable("./inc/lang/{$_GET['language']}/{$t}.php")) {
					$handle = fopen("./inc/lang/{$_GET['language']}/{$t}.php", 'w');
					if (fwrite($handle, $file) === FALSE) {
				    	error_msg($this->lang->write_error, 1);
					}
				}
				
				//Reload the data then
				$language = file_get_contents("./inc/lang/{$_GET['language']}/{$t}.php");			
			}

			
			//Find categories, and therefore also the words
			$categories = explode("class ", $language);
			unset($categories[0]);
			foreach($categories as $category) {
				$category = explode("{", $category);
				$categoryName	=	$category[0];
				$categoryName	=	str_replace(" ", "", $categoryName);
				$categoryName	=	str_replace("lang_", "", $categoryName);
				$categoryWords	=	$category[1];
			
				//Time to build some HTML pages
				$row['name']		=	$categoryName;
				$html['wordList']	.=	$this->screen->return_html("admin_languages_lang_category", $row);
				
				//Loop over words and add them to the HTML soup
				$categoryWords	=	explode("\n", $categoryWords);
				
				foreach($categoryWords as $word) {
					$word = explode("\t=\t", $word);
					if(count($word) == 2) {
					  	$word[1]		=	str_replace("\t", "", $word[1]);
					  	$nw				=	explode('";', $word[1]);
					  	$nw				=	str_replace('\\"', "&#34;", $nw[0]);
					  	$nw				=	str_replace('"', '', $nw);
					  	
					  	$name			=	str_replace("var \$", "", $word[0]);
					  	$name			=	str_replace(" ", "", $name);
					  	$name			=	str_replace("\t", "", $name);
						$word['name']	=	$name;
						$word['word']	=	$nw; //htmlentities($nw);
						$word['category']=	$categoryName;
						$html['wordList'].=	$this->screen->return_html("admin_languages_wordRow", $word);
						unset($nw);
						
					}
				}
			}
			
			//Done with the page for now
			$html['language']	=	$_GET['thatname'];
			$html['id']			=	$_GET['language'];
			$html['type']		=	$_GET['type'];
			$this->html  =   $this->screen->return_html('admin_languages_editlang', $html);
		}

	}


    //=======================
    //  Show "frontpage"
    //=======================
    function listWords() {

		//Fetch languages from the database
		$languages = $this->cache->query("get_languages");
		foreach($languages as $language) {

			$row['typeId']	=	0;
			$row['id']		=	$language->id;
			$row['name']	=	"{$language->language} - Forum interface";			
			$html['languageList'].=	$this->screen->return_html('admin_languages_row', $row);

			$row['typeId']	=	1;
			$row['id']		=	$language->id;
			$row['name']	=	"{$language->language} - Admin interface";			
			$html['languageList'].=	$this->screen->return_html('admin_languages_row', $row);

		}
        $this->html  =   $this->screen->return_html('admin_languages', $html);
	}

}
?>