<?PHP


///////////////////////////////////////
//	system:  VikingBoard
//   version: 0.1 alpha
//	author:  Tor Henning Ueland
//	website: www.vikingboard.com
//
////////////////////////////////////////
		

//================================
//	admin user file | checks a users login status
//================================




class admin {
	
	//===========================================
	// Variables
	//===========================================
	var $fields, $data, $html, $multimail, $usr_numcheck, $new_id, $temp_html, $user, $id, $banned, $options; // more to come
	
	
	//============ CONSTRUCTOR ======================\\
	function admin($screen, $cache, $db,  $config) {
		
		//============================================
		// Setting a few variables
		//============================================
		
		$this->data = $_POST;
		$this->screen = $screen;
		$this->cache = $cache;
		$this->db = $db;
		$this->config = $config;
		$this->lang = new lang_admin_user();
		
		//============================================
		//Determinating what to do
		//============================================
		
		switch ($_GET['cmd']) {
			case 1:
			$this->add_user();
			break;
			
			case 2:
			$this->edit_user();
			break;
			
			case 3:
			$this->drop_user();
			break;
			
			case 4:
			$this->ban_user();
			break;
			
			default:
			$this->user_home();
			break;			
		}
	}
	
	
	//===============================
	//Add user
	//===============================
	
	function add_user() {
		
		//Adds the _POST fields to check
		$this->fields = array(
			'name', 
			'password',
			'cpassword', 
			'email', 
			'group',
		);
		
		
		// Checking if all fields are filled in.
		$count = 0;
		
		for($i=0;$i<count($this->fields);$i++) {
			if (empty($this->data[$this->fields[$i]])) {
				$count++;
			}
			
		}
		
		$obj = $this->db->select_get("g_name", "group", "ASC");
		while ($row = $obj->row()) {
			$this->options .= "<option value=\"{$row->id}\"> {$row->g_name} </option> <br> \n";
		}
		
		$fills = array(
			'title' => $this->lang->add_title,
			'submit_btn' => $this->lang->add_btn,
			'name' => $this->lang->add_name,
			'password' => $this->lang->add_password,
			'cpassword' => $this->lang->add_cpassword,
			'email' => $this->lang->add_email,
			'group' => $this->lang->add_group,
			'options' => $this->options,
			);
		
		// If we havent got any data yet, print html.
		if ($count == count($this->fields)) {
			
			
			$this->html		=	$this->screen->return_html('admin-tpl_usermanage_add', $fills);
		}
		elseif ($count != 0) {
			//if some have been filled, but not all; error.
			error_msg($this->lang->add_emptyfields); 
		}
		
		
		//=============================================
		//if all fields are filled in
		//=============================================
		if ($count == 0) {
			
			// validating email
			if (!is_valid_email_address($this->data['email'])) {
				error_msg($this->lang->add_error_nonvalidemail);
			}
		
			//Did you type the correct password twice ?
			if ($this->data['password'] != $this->data['cpassword']) {
				error_msg($this->lang->add_error_pwnomatch);
			}
		
			// Do we allow multiply email ?
			if (!$this->config->multi_reg) {
				$this->multimail	=	$this->db->get_num_emails($this->data['email']);
				if ($this->multimail->rows != 0) {
					error_msg(printf($this->lang->add_error_multimail, $this->data['email']));
				}
			}
			
			
			// No multiply name entries in the db thankyou.
			
			$this->usr_numcheck		=	 $this->db->get_username_from_name($this->data['name']);
			$this->usr_numcheck		=	 $this->usr_numcheck->row();
			if($this->usr_numcheck->id) {
				error_msg(printf($this->lang->add_error_nameistaken, $this->data['name']));
			}
			
			
			//Then we run the query
		
			$this->db->add_user($this->data);
			
			// adding into extra table (member_extra).
			$this->new_id	=	$this->db->get_latest_user();
			$this->new_id	=	$this->new_id->id;
			$this->db->insert_extra_user_data($this->new_id);
			// VISIBLE FOR member list :) 
			$this->db->update_global_stats("users");
		
			//================================================================
			//And notifies the result
			//================================================================
		
			
			$fills['notice'] = printf($this->lang->add_added, $this->data['name']);
			
			$this->html		=	$this->screen->return_html('admin-tpl_usermanage_add', $fills);
			
		}		
		
		return $this->html;
	}
	
	
	
	
	
	//================================================================================================||
	//Edit user																						||	||
	//================================================================================================||
	function edit_user() {
		//=========================
		// Fields are set in conf_extended.php
		//=========================
		global $configEditUserFields;
		$this->fields = $this->config->admincp_user_edit_fields;
		
		
		//========================================
		// Checking if some datas has been sent, if not -> print html
		//========================================
		if (empty($this->data['id'])) {
			
			$go = true;
			
			//==========================
			// Geting user from id
			//==========================
			if (!empty($_GET['id'])) {
				$this->user = $this->db->select_user_from_id($_GET['id']);
				$this->id = $_GET['id'];
			}
			//==========================
			// Or from name
			//==========================
			elseif (!empty($_GET['name'])) {
				$this->user = $this->db->select_user_from_name($_GET['name']);
				$this->id = $this->db->get_id_from_name($_GET['name']);
				$this->id = $this->id->id;
			}
			//==========================
			// If no are specified, let the user input one
			//==========================
			else {
				$fills = array(
				'title' => $this->lang->edit_title,
				'desc' => $this->lang->edit_desc,
				'id' => $this->lang->edit_idlabel,
				'name' => $this->lang->edit_namelabel,
				'submit_btn' => $this->lang->edit_front_btn,
				'action' => $_SERVER['PHP_SELF'],
				'id' => $this->id
				);
				
				$this->html		=	$this->screen->return_html('admin-tpl_user_edit_frontpage', $fills);
				$go = false; //(dummy if)
			}
		 
		 
			
			//===========================
			//Then finaly, the Admin can edit his user.
			//===========================
			if ($go) {
				//============================
				// Are we trying to edit air ?
				//============================
				if (empty($this->user->id)) {
					error_msg($this->lang->edit_error_usernoexists);
				}
				foreach($this->fields as $nameTag => $type) {
					
					//=====================
					// Adding the type
					//=====================
					
					//=====================
					// setting variables
					//=====================
					
					$rows = '';
					$cols = '';
					
					switch($type) {
						case 1:
						$type	=	"password";
						$tpl	=	"admin-tpl_user_input";
						break;
					
						case 2:
						$type	=	"textarea";
						$tpl	=	"admin-tpl_user_textarea";
						break;
						
						case 3:
						$type	=	"select";
						$tpl	=	"admin-tpl_user_select";
						break;
				
						default:
						$type	=	"textfield";
						$tpl	=	"admin-tpl_user_input";
						break;
					}
					
					
					//===================================
					// A temporary photo preview func.
					//===================================
					$photo = ''; // unsetting
					if ($nameTag == 'user_photo' || $nameTag == 'avatar') {
						if (!empty($this->user->{$nameTag})) {
							//=======================
							// Nasty, html in php :(
							//=======================
							$photo = "<img src=\"" . $this->user->{$nameTag} . "\" />";
						}
					}
					
					//=================================
					// You want a select eyh ?
					//=================================
					
					if ($type == "select") {
						// Unsetting
						$this->options = '';
						$temp_select = '';
						//========================
						// Setting select options
						//========================
						switch($nameTag) {
							case 'group':
								$opt_name = 'g_name';
								$opt_value = 'id';
								$table = 'group';
								$order = 'ASC';
							break;
							
							case 'skin_set':
								$opt_name = 'name';
								$opt_value = 'id';
								$table = 'template_sets';
								$order = 'ASC';
							break;
						}
						
						$temp_select = $this->db->select_get($opt_name, $table, $order);	
						
						while ($row = $temp_select->row()) {														
							$this->options .= "<option value=\"" . $row->{$opt_value} . "\">" . $row->{$opt_name} . "</option> \n";
						}
						$row = '';
					}
					
					
					
					
					
					$field_fills = array(
						'type' => $type,
						'value' => $this->user->{$nameTag},
						'name' => $nameTag,
						'options' => $this->options,
					);
			
					$fills = array(
						'for' => $nameTag,
						'label' => $this->lang->edit_labels[$nameTag],
						'field' => $this->screen->return_html($tpl, $field_fills),
						'photo_preview' => $photo,				
					);
					
					
					$this->html .= $this->screen->return_html('admin-tpl_user_edit_field', $fills);
					
				}
			
				
				$fills = array(
				'title' => $this->lang->edit_title,
				'desc' => $this->lang->edit_desc,
				'fields' => $this->html,
				'submit_btn' => $this->lang->edit_submit_btn,
				'id' => $this->id
				);
				//====================================
				//
		
				$this->html = $this->screen->return_html('admin-tpl_user_edit', $fills);
		
			}
		
		
		}
		//========================
		// WOW, the Admin have edited someone! Lets check if he did it properly.
		//========================
		else {
			
			//==========================
			// Examine the likeness f
			//==========================
			
			$this->user = $this->db->select_user_from_id($this->data['id']);
			
			
			//=======================
			// new password ?
			//=======================
			
			if (!empty($this->data['new_password']) && !empty($this->data['new_cpassword'])) {
				if ($this->data['new_password'] == $this->data['new_cpassword']) {
					$this->data['password'] = md5($this->data['new_password']);
				}
				else {
					error_msg(printf($this->lang->edit_error_newpassnomatch, $this->data['new_password'], $this->data['new_cpassword']));
				}
			}
			
			//====================
			// Validation
			//====================
			
			// validating email
			if (!is_valid_email_address($this->data['email']) && !empty($this->data['email'])) {
				error_msg($this->lang->add_error_nonvalidemail);
			}
		
			// Do we allow multiply email ?
			if (!$this->config->multi_reg && $this->user->email != $this->data['email']) {
				$this->multimail	=	$this->db->get_num_emails($this->data['email']);
				if ($this->multimail->rows != 0) {
					error_msg(printf($this->lang->add_error_multimail, $this->data['email']));
				}
			}
			
			
			// No multiply name entries in the db thankyou.
			
			if ($this->user->name != $this->data['name']) {
				$this->usr_numcheck		=	 $this->db->get_username_from_name($this->data['name']);
				$this->usr_numcheck		=	 $this->usr_numcheck->row();
				if($this->usr_numcheck->id) {
					error_msg(printf($this->lang->add_error_nameistaken, $this->data['name']));
				}
			}
			
			//============================
			// Are you still alive packets ?
			//============================
			$this->id = $this->data['id'];
			
			//============================
			// Unsetting non-existing db fields
			//============================
			unset($this->data['new_password']);
			unset($this->data['new_cpassword']);
			unset($this->data['id']);
			
			$ii = 0;
			foreach ($this->data as $column => $datas) {
				if ($datas != $this->user->{$column}) {
				  $ii++;
				}
			}
		
			if ($ii == 0 ) {
				error_msg($this->lang->edit_error_nochange);
			}
			
			$this->db->update_user($this->data, $this->user, $this->id);
			
			//============================
			// Congratulations, here are your diploma
			//============================
			$fills = array(
				'title' => $this->lang->edit_title,
				'desc' => $this->lang->edit_desc,
				'id' => $this->lang->edit_idlabel,
				'name' => $this->lang->edit_namelabel,
				'submit_btn' => $this->lang->edit_front_btn,
				'action' => $_SERVER['PHP_SELF'],
				'id' => $this->id,
				'notice' => $this->lang->edit_updated,
				);
				
				$this->html		=	$this->screen->return_html('admin-tpl_user_edit_frontpage', $fills);
				
		}
		return $this->html;
	}
	
	
	//===============================
	//Drop user
	//===============================
	
	function drop_user() {
		
		// Do we have a user to drop ? If not, print html so we can toss him away.
		if(empty($this->data['id']) && empty($this->data['name'])) {
			$fills =array(
			'title' => $this->lang->drop_title,
			'submit_btn' => $this->lang->drop_btn,
			'id' => $this->lang->drop_id, 
			'name'=> $this->lang->drop_name,
			'drop_desc' => $this->lang->drop_desc
			);
		
			$this->html = $this->screen->return_html('admin-tpl_usermanage_drop', $fills);
		}
		
		
		//===============================
		//You can't choose both little boy
		//===============================
		if (!empty($this->data['id']) && !empty($this->data['name'])) {
			error_msg($this->lang->drop_error_idandname);
		}
		
		//===============================
		// Lets drop him eeh ?
		//===============================
		
		if (!empty($this->data['id'])) {
			
			$this->db->drop_user_from_id($this->data['id']);
			
			//===========================
			// Lets tell them admins shall we ?
			//===========================
			notify(printf($this->lang->drop_deleted_id, $this->data['id']));			
		}
		if (!empty($this->data['name'])) {
			$this->db->drop_user_from_name($this->data['name']);
			
			//===========================
			// Lets tell them admins shall we ?
			//===========================
			
			$fills = array(
				'title' => $this->lang->edit_title,
				'desc' => $this->lang->edit_desc,
				'id' => $this->lang->edit_idlabel,
				'name' => $this->lang->edit_namelabel,
				'submit_btn' => $this->lang->edit_front_btn,
				'action' => $_SERVER['PHP_SELF'],
				'id' => $this->id
				);
				
			$fills['notice'] = printf($this->lang->drop_deleted_name, $this->data['name']);
			$this->html		=	$this->screen->return_html('admin-tpl_user_edit_frontpage', $fills);
		}
		
		return $this->html;
	}
	
	
	//===============================
	//Ban the user
	//===============================
	function ban_user() {
		
		
		if (!empty($_GET['unban'])) {
			$this->id = $_GET['unban'];
			$this->user = $this->db->select_user_from_id($this->id);
			
			
			//===========================
			// Do you exist?
			//===========================
			if (empty($this->user->id)) {
				error_msg($this->lang->ban_error_unban_nouser);
			}
			
			//==========================
			// OK then, welcome back.
			//==========================
			
			$this->db->unban($this->id);
			notify(printf($this->lang->ban_unbanned, $this->user->name));
		}
		
		//=======================
		// decided which user to ban yet ? if not, html.
		//=======================
		elseif(empty($_POST['id']) && empty($_POST['name'])) {
			
			
			//=========================
			// wanna ban someone ?
			//=========================
			
			$fills = array(
				
				'title' => $this->lang->ban_title,
				'desc' => $this->lang->ban_desc,
				'name' => $this->lang->ban_by_name,
				'id'	=> $this->lang->ban_by_id,
				'action_lbl' => $this->lang->ban_action_lbl,
				'name_lbl' => $this->lang->ban_name_lbl,
				'submit_btn' => $this->lang->ban_submit_btn,
				'banlist_title' => $this->lang->ban_banlist_title,
				
				);
			
			
			//=========================
			//Adding the banned list
			//=========================
			
			$this->banned = $this->db->get_banlist();
			
			while ($row = $this->banned->row()) {
				
				$list_fills = array(
					'id' => $row->id,
					'name' => $row->name,					
				);
				
				print $row->id . "hoho";
			
				$this->html .= $this->screen->return_html('admin-tpl_user_ban_list', $list_fills);
			}
			
			$fills['ban_list'] = $this->html;
			
			
			//==============================
			// Printing the screen hallelujah.
			//==============================
			$this->html = $this->screen->return_html('admin-tpl_user_ban', $fills);
			
		}
		
		
		
		else {
			
			//===============================
			// Setting the user obj.
			//===============================
			if (!empty($_POST['id'])) {
				$this->user = $this->db->select_user_from_id($_POST['id']);
			}
			elseif (!empty($_POST['name'])) {
				$this->user = $this->db->select_user_from_name($_POST['name']);
			}
			
			//=========================
			// Baning a nonexisting user is not legal!
			//=========================
			
			if (empty($this->user->id)) {
				error_msg($this->lang->ban_error_nouser);
			}
			
			//==========================
			// Baning the user
			//==========================
			
			$this->db->ban_user($this->user->id);
			
			//==========================
			// He's been banned ;)
			//==========================
			
			notify(printf($this->lang->ban_banned, $this->user->name));// __________________________________________________________________|
	
		}
		
		// teh nr 1. 1337 bug creator :S
		return $this->html;
	}
	
	//===============================
	// User home (index)
	//===============================
	
	function user_home() {
	//=========================================================================
	// Time to add visual. (need some templates)
	//=========================================================================
	
		$msg = $_GET['notice'];
		
		switch($msg) {
			// added a user
			case 1:
			$notice = '';
			break;
			
			default:
			$notice = '';
			break;
		}
		// just an test link.
	
		$html = array();
	
		$link = $_SERVER['PHP_SELF'] . '&lvl=1';
	
	}
	
	
	

}


?>
