<?PHP


/////////////////////////////////////////
//	system :  VikingBoard
//	version:  0.1 alpha
//	author :  Tor Henning Ueland
//	Updated:  12.november.2004
//	website:  www.vikingboard.com
//
///////////////////////////////////////

/*
	DATABASE TYPE:	MySQL
	INFO: Database Abstraction Layer (Contains all queries used in the Admin area)
*/

include ('driver_MySQL.php'); //Zeh datAfilE(t) (yummy).

class sql
{
	// The query-count
	var $queries	=	'0';
	var $database   =   '';
	var $prefix     =   '';

	function sql() {
		global $config;
		$this->database =	new database;
		$this->prefix	=	$this->database->db_prefix;
	}

	//=====================
	//  Custom SQL code
	//=====================
	function manual($query)
	{
		$dbd	=	$this->database;
		$query  =   str_replace("prefix", $this->prefix, $query);
		$dbd->query( $query );

		$this->queries++; //incrementing the query count
		return $dbd;
	}

	//=====================
	// get all the sites on the board
	//=====================
	function get_sites()
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}config ORDER BY id ASC");	 
	
		$this->queries++;
		return $dbd;
	}

	function update_site($id, $forum_name, $forum_url, $forum_email, $site_homepage, $site_host, $def_tpl, $def_cat, $def_lang, $active, $imgcat, $show_maxtopics, $show_maxposts, $prune_topics, $timestamp1, $timestamp2) {
		$dbd	=	$this->database;
		$dbd->query("UPDATE {$this->prefix}config 
			SET forum_name='$forum_name', 
				forum_url='$forum_url', 
				forum_email='$forum_email',
				site_homepage='$site_homepage',
				site_host='$site_host',
				def_tpl='$def_tpl',
				def_cat='$def_cat',
				def_lang='$def_lang',
				active='$active',
				imgcat='$imgcat',
				show_maxtopics='$show_maxtopics',
				show_maxposts='$show_maxposts',
				prune_topics='$prune_topics',
				timestamp1='$timestamp1',
				timestamp2='$timestamp2'
			WHERE id='$id'
			LIMIT 1"
		);

		$this->queries++;
		return $dbd;
	}

	//=====================
	// Getting the bloddymothafucking bad words
	//=====================
	function get_badwords()
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}badword");	 
	
		$this->queries++;
		return $dbd;
	}

	//=====================
	// Delete a nasty word cencor
	//=====================
	function delete_badword($id)
	{
		$dbd	=	$this->database;
		$dbd->query("DELETE FROM {$this->prefix}badword WHERE id='{$id}' LIMIT 1");	 
		$this->queries++;
	}
	
	//=====================
	// Add a word cencor
	//=====================
	function add_badword($before, $after, $type)
	{
		$dbd	=	$this->database;
		$dbd->query("INSERT INTO {$this->prefix}badword (name, nname, filtering) VALUES ('{$before}', '{$after}', '{$type}')");	 
		$this->queries++;
	}

	//=====================
	//  Fetch foo log entries from the task log
	//=====================
	function get_task_log($max)
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT time, ip, task FROM {$this->prefix}log_tasks ORDER BY time DESC LIMIT 0,{$max}");

		$this->queries++; //incrementing the query count
		return $dbd;
	}
	
	//=====================
	//The holy template fetcher SQL (please rise for the king & queen!)
	//=====================
	function get_template($template_set, $template_name)
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT code FROM {$this->prefix}template WHERE set_id='$template_set' AND name='$template_name' LIMIT 1");

		$this->queries++; //incrementing the query count
		return $dbd;
	}


	//=====================
	//  Add a new template tag
	//=====================
	function add_template_tag($tagName, $niceName, $content, $category) {
        $dbd	=	$this->database;
        $dbd->query("SELECT id FROM {$this->prefix}template_sets");
        $this->queries++;
        
        //Add it to each set
        while($row = $dbd->row()) {
            $dbd->query("INSERT INTO {$this->prefix}template (set_id, code, name, nice_name, cat)
						VALUES ('{$row->id}', '{$content}', '{$tagName}', '{$niceName}', '{$category}')");
            $this->queries++;
 		}
	}
	
	//=====================
	//  Add a new template category
	//=====================
	function add_template_category($name) {
        $dbd	=	$this->database;
        $dbd->query("INSERT INTO {$this->prefix}template_category (name) VALUES ('{$name}')");
            $this->queries++;
	}

	//=====================
	//  Update a template
	//=====================
	function update_template_code($template_id, $html, $category)
	{
		$dbd	=	$this->database;
		$dbd->query("UPDATE {$this->prefix}template SET code='$html', cat='$category' WHERE id='$template_id' LIMIT 1");

		$this->queries++; //incrementing the query count
		return $dbd;
	}
	
	//=====================
	//  Get template from ID
	//=====================
	function get_template_from_id($template_id)
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}template WHERE id='$template_id' LIMIT 1");

		$this->queries++;
		return $dbd;
	}
	
	//=====================
	//	Get sites that are using the board today
	//=====================
	function get_all_sites()
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}config");
	    $this->queries++;
		return $dbd;
	}	
	
	//=====================
	//Get the forum/site`s configuration
	//=====================
	function get_forum_config()
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}config
				WHERE site_host = '".$_SERVER['HTTP_HOST']."' LIMIT 1");
	    $this->queries++;
		return $dbd;
	}
	
	//=====================
	//SQL for updating the sessions table
	//=====================
	function session_updater($session_id)
	{
		$dbd	=	$this->database;
		$dbd->query("UPDATE {$this->prefix}sessions SET time ='".forumtime()."',
	 			ip ='".$_SERVER['REMOTE_ADDR']."' 
				WHERE sid ='".$session_id."' LIMIT 1"); 
        $this->queries++;
	}

	
	//=====================
	//SQL for inserting into the sessions table
	//=====================s
	function session_inserter($session_id)
	{
		$dbd	=	$this->database;
		$dbd->query("INSERT INTO {$this->prefix}sessions (sid, time, ip)
	 			VALUES ('".$session_id."', '".forumtime()."',	
				'".$_SERVER['REMOTE_ADDR']."')");
        $this->queries++;
	}


	//=====================
	// Fetch template sets
	//=====================
	function get_template_sets() {
        $dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}template_sets ORDER BY name ASC");
        $this->queries++;
		return $dbd;
    }
    
	//=====================
	// Fetch template categories
	//=====================
	function get_template_categories() {
        $dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}template_category ORDER BY name ASC");
        $this->queries++;
		return $dbd;
    }
	//=====================
	// Fetch forums in category
	//=====================
	function get_forums_in_category($id) {
        $dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}forum WHERE cat='{$id}' ORDER BY `order` DESC");
        $this->queries++;
		return $dbd;
    }

	//=====================
	// Update a forum category
	//=====================
	function updateCategory($id, $name, $descr) {
        $dbd	=	$this->database;
		$dbd->query("UPDATE {$this->prefix}category SET name='{$name}', descr='{$descr}' WHERE id='{$id}' LIMIT 1");
        $this->queries++;
		return $dbd;
    }
    
	//=====================
	// Fetch forum categories
	//=====================
	function get_forum_categories() {
        $dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}category ORDER BY `name` DESC");
        $this->queries++;
		return $dbd;
    }
    
	//=====================
	// Fetch a forum categor
	//=====================
	function get_forum_category($id) {
        $dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}category WHERE id='$id' LIMIT 1");
        $this->queries++;
		return $dbd;
    }

	//=====================
	// Fetch templates in set and category
	//=====================
	function get_templates_in_set_and_cat($set, $cat) {
        $dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}template WHERE cat='{$cat}' AND set_id='{$set}' ORDER BY name ASC");
        $this->queries++;
		return $dbd;
    }


	//=====================
	//Mothafucka large Query that gets all the data about the user.
	//=====================
	function get_user_info($session)
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT s.uid, s.time AS updateTime, m.*, g.*
				FROM {$this->prefix}sessions s, {$this->prefix}member m, {$this->prefix}group g
				WHERE s.sid = '".$session."' AND m.id = s.uid AND g.id=s.group LIMIT 1");
        $this->queries++;
		return $dbd->row();
	}
	
	//=====================
	//Create a new forum
	//=====================
	function createForum($name, $descr, $parent) {
        $dbd	=	$this->database;
        $dbd->query("INSERT INTO {$this->prefix}forum (name, descr, cat) VALUES ('{$name}', '{$descr}' , '{$parent}')");
        $this->queries++;
	 }
	
	//=====================
	//Create a new category
	//=====================
	function createCategory($name, $descr) {
        $dbd	=	$this->database;
        $dbd->query("INSERT INTO {$this->prefix}category (descr, name) VALUES ('{$descr}', '{$name}')");
        $this->queries++;
	}

	//=====================
	// Get total users
	//=====================
	function countUsers() {
        $dbd	=	$this->database;
        $dbd->query("SELECT COUNT(*) AS total FROM {$this->prefix}member WHERE id !=1");
        $this->queries++;
        return $dbd->row();
	}		
	 
	//=====================
	// Get total posts
	//=====================
	function countPosts() {
        $dbd	=	$this->database;
        $dbd->query("SELECT COUNT(*) AS total FROM {$this->prefix}post");
        $this->queries++;
        return $dbd->row();
	 }

	//=====================
	// Get total topics
	//=====================
	function countTopics() {
        $dbd	=	$this->database;
        $dbd->query("SELECT COUNT(*) AS total FROM {$this->prefix}topic");
        $this->queries++;
        return $dbd->row();
	 }

	//=====================
	// Get total reports
	//=====================
	function countReports() {
        $dbd	=	$this->database;
        $dbd->query("SELECT COUNT(*) AS total FROM {$this->prefix}reported WHERE status=1");
        $this->queries++;
        return $dbd->row();
	 }

	//=====================
	// Get languages
	//=====================	 
	function get_languages() {
        $dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}languages ORDER BY language ASC");
        $this->queries++;
		return $dbd;	
	}
	
	
	//==================== USER PART
	// Add user
	//====================
	function add_user($data) {
		$dbd	=	$this->database;
		$name = $data['name'];
		$pw = md5($data['password']);
		$email = $data['email'];
		$group = $data['group'];
				
		$dbd->query("INSERT INTO {$this->prefix}member (`name`, `password`, `email`, `registred`, `group`) VALUES
		('$name', '$pw', '$email', '" . forumtime() . "', '$group');");
		$this->queries++;
		return $dbd;
	}
	
	//=====================
	// Doing a check to se if somebody is using the email adress
	//=====================
	function get_num_emails($email)
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT id FROM {$this->prefix}member WHERE email='$email' LIMIT 1");
		$this->queries++;
		return $dbd;
	}
	
	//=====================
	// Checking a username to make shure that we dont register a user width double names.
	//=====================
	function get_username_from_name($username)
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT id FROM {$this->prefix}member WHERE name ='$username'");	 
	
		$this->queries++;
		return $dbd;
	}
	
	//=====================
	// Finding the newest ID/name in the member table
	//=====================
	function get_latest_user()
	{
		$dbd	=	$this->database;
		$dbd->query("SELECT id, name FROM {$this->prefix}member ORDER BY id DESC LIMIT 1");
		$this->queries++;
		return $dbd;
	}

	//=====================
	// Adding a ID to the member_extra table
	//=====================
	function insert_extra_user_data($user_id)
	{
		$dbd	=	$this->database;
		$dbd->query("INSERT INTO {$this->prefix}member_extra (`mid`) VALUES ('$user_id')");
		$this->queries++;
	}
	
	//=====================
	// Update global stats
	//=====================
	function update_global_stats($type="topics") {
        $dbd	=	$this->database;
        if($type=="topics") {
			$dbd->query("UPDATE {$this->prefix}stats SET total_topics = (total_topics +1) LIMIT 1");
            $this->queries++;
		}
		if($type =="posts") {
			$dbd->query("UPDATE {$this->prefix}stats SET total_posts = (total_posts +1) LIMIT 1");
            $this->queries++;
		}
		if($type =="users") {
			$dbd->query("UPDATE {$this->prefix}stats SET total_users = (total_users +1) LIMIT 1");
            $this->queries++;
		}
	}


	//====================
	// Drop the users (who wants them anyway?)
	//====================
	function drop_user_from_id($id) {
		$dbd 	=	$this->database;
		$dbd->query("DELETE FROM {$this->prefix}member WHERE `id` = '$id' LIMIT 1;");
		$this->queries++;
		
		$dbd->query("DELETE FROM {$this->prefix}member_extra WHERE `mid` = '$id' LIMIT 1;");
		$this->queries++;
		return $dbd;
	}
	
	function drop_user_from_name($name) {
		$dbd	=	$this->database;
		$id = $dbd->query("SELECT `id` FROM {$this->prefix}member WHERE `name` = '$name' LIMIT 1;");
		$this->queries++;
		$id = $id->id;
		$dbd->query("DELETE FROM {$this->prefix}member WHERE `id` = '$id' LIMIT 1;");
		$this->queries++;
		
		$dbd->query("DELETE FROM {$this->prefix}member_extra WHERE `mid` = '$id' LIMIT 1;");
		$this->queries++;
		return $dbd;	
	}
	
	//==================
	// Edit user ?
	//==================
	function select_user_from_id($id) {
		$dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}member WHERE `id` = '$id' LIMIT 1");
		$this->queries++;
		return $dbd->row();
	}
	
	function select_user_from_name($name) {
		$dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}member WHERE `name` = '$name' LIMIT 1");
		$this->queries++;
		return $dbd->row();
	}
	
	function update_user($data, $old_data, $id) {
		$dbd	=	$this->database;
		$ctrl = 0;
		$len = count($data);
		
		//===============================
		// Generating the query
		//===============================
		foreach ($data as $column => $input) {
			//================================
			// Filter away non-updated updates
			//================================
			
			if ($data[$column] != $old_data->{$column}) {
				$updates .= '`' . $column . '` = \'' . $input . '\', ';
			}
			
			
		}
		//$updates .= "&";
		$updates = rtrim($updates, ", ");
		$updates .= " ";		
		
		$dbd->query("UPDATE {$this->prefix}member SET {$updates} WHERE `id` = '$id' LIMIT 1;");
		$this->queries++;
		return $dbd;
	}
	
	function get_id_from_name($name) {
		$dbd	=	$this->database;
		$dbd->query("SELECT `id` FROM {$this->prefix}member WHERE `name` = '$name' LIMIT 1;");
		$this->queries++;
		return $dbd->row();
	}
	
	//=====================
	// Select functions
	//=====================

    
    function select_get($name, $table, $order) {
		$dbd	=	$this->database;
		$dbd->query("SELECT * FROM {$this->prefix}{$table} ORDER BY {$name} {$order};");
		$this->queries++;
		return $dbd;
    }
	
	//==============
	// the users been (B)ad (A)nd (N)eeds some slaping.
	//==============
	
	function ban_user($id) {
		$dbd	=	$this->database;
		$dbd->query("UPDATE {$this->prefix}member SET `group` = '4' WHERE `id` = '$id' LIMIT 1;");
		$this->queries++;
		return $dbd;
	}
	
	function get_banlist() {
		$dbd	=	$this->database;
		$dbd->query("SELECT `name`, `id` FROM {$this->prefix}member WHERE `group` = '4';");
		$this->queries++;
		return $dbd;
	}
	
	function unban($id) {
		$dbd	=	$this->database;
		$dbd->query("UPDATE {$this->prefix}member SET `group` = '3' WHERE `id` = '$id' LIMIT 1;");
		$this->queries++;
		return $dbd;
	}
}
?>