<?php
/**
 * This is the primary function for handling multiple
 * pages. When you need to have page navigation, use
 * this, please, in order to keep a consistant look
 * and feel.
 * 
 * This file may look unsophisticated and plain, but
 * this is done on purpose, as it is supposed to be
 * as fast and cheap on CPU time as possible.
 * 
 * The performance of this function appear to be allright,
 * and it appears to be performing linearly, with the
 * run time doubling for a double sized dataset.
 * 
 * @author Jørgen Tellnes <jorgis@jorgis.com>
 * @package vikingboard
 * @name pages.php
 * @version 0.1
 * @todo have the ability to use a custom scheme for this,
 * so that the board admin/skin dude can let the pagination
 * look like whatever he wants
 * 
 * @param int $current
 * @param int $last
 * @param string $href
 * @param int multiplier
 * @return string $html
 * 
 * $Id: pages.php,v 1.5 2006/06/17 18:56:41 paitrakt Exp $
 */
function pages($current, $last, $href, $multiplier)
{
	/*we'll display the first two entries (if they exist),
	and then have a blank space, and then display the current
	entry and the two that surrounds it. If the current is not
	the last, we'll display the last two as well. */

	//we'll assume that our inputs are safe, as this is an internal function
	
	//first pages
	if ($current == 1) 
		$pages[] = $current;
	elseif ($current >= 2)
		$pages = array(1, 2);
	else
		$pages[] = 1;
	
	//around the current
	if (($current != 1) && ($current != 2) && ($current != 3) && ($current != $last))
		$pages[] = $current - 1;
	if (($current != 1) && ($current != 2) && ($current != $last) && ($current != ($last - 1)))
		$pages[] = $current;
	if (($current != $last) && ($current != ($last - 1)))
		$pages[] = $current + 1;
		
	//at the end
	if (($current != ($last -2)) && ($current != ($last -1)) && ($current != $last))
		$pages[] = $last - 1;
	if (($last != 1)) 
		$pages[] = $last;
		
	//then we'll translate the $pages array into a full HTML thingy
	$html = '';
	foreach ($pages as $page)
	{
		if ($page == $current)
			$display = '<strong>' . $page . '</strong>';
		else 
			$display = $page;
		
		
		$page = ($multiplier * $page) - $multiplier;
		
		$html .= ' <a href="' . $href . $page . '">' . $display . '</a> ';
	}
	
	return $html;
}

?>