<?php
/**
*
* This is the Vikingboard template handler file
* 
* @package Vikingboard
* @author Tor Henning Ueland <tor.henning@vikingboard.com>
* @version 0.1
* @copyright Copyright (c) 2004-2006 The Vikingboard Project
* @license GPL {@link http://www.gnu.org/licenses/gpl.html}
* @link http://www.vikingboard.com
* 
* $Id: screen.php,v 1.22 2006/06/12 15:03:58 ueland Exp $
*/
	


class screen
{

	//	Start with nothing (doh)
	var $html_body		=	'';	//Data within the wrapper
	var $html_wrapper	=	'';	//Wrapper to the forum
	var $cached         =   array(); //html cache
	var $cachedHTML     =   array(); //html actual cache


	/**
	 * Returns a parsed template
	 * 
	 * @return bool
	 */
	function return_html($templatename, $data) {
		global $config, $cache;
		
		//	Load in templates to function	
		//got a template?
		if(!$templatename) {
			echo "The template system was activated but did not get any templates to load in.\n<br />";
		}
			
		//Check if we have the template in memory already
		if(isset($this->cached[$templatename])) {
			$html[0]->code   =   $this->cachedHTML[$templatename];
  		} else {

			//get it from cache
			$html = $cache->query('get_template', array($config->def_tpl, $templatename));

			//put it in memory
			$this->cached[$templatename] 		=   true;
			$this->cachedHTML[$templatename]    =   $html[0]->code;
	    }
	    
		//really got it?
		if($html[0]->code =="") {
			echo "Vikingboard Error: The template named \"{$templatename}\" does not exist!.\n<br />";
		}
		//yeah
		$html = str_replace('"', '\"', $html[0]->code);
		
		
		//	Parse tags and return it
		$return_it = '';
		eval("\$return_it =\"$html\";");
		return $return_it;	
	}

	/**
	 * Parse a template and add the content to output buffer
	 * 
	 * @return bool
	 */	
	function add_html($templatename, $data) {
		global $config, $cache;
		
		//	Load in templates to function
		//got a template?
		if(!$templatename) {
			echo "The template system was activated but did not get any templates to load in.\n<br />";
		}
		
		//Check if we have the template in memory already
		if(isset($this->cached[$templatename])) {
			$html[0]->code   =   $this->cachedHTML[$templatename];
  		} else {
			
			//get it from cache
			$html = $cache->query('get_template', array($config->def_tpl, $templatename));
			
			//put it in memory
			$this->cached[$templatename] 		=   true;
			$this->cachedHTML[$templatename]    =   $html[0]->code;
	    }
	    
		//really got it?
		if($html[0]->code == "") {
			echo "Vikingboard Error: The template named \"{$templatename}\" does not exist!.\n<br />";
		}	
	
		//yup
		$html = str_replace('"', '\"', $html[0]->code);
		#$html	=	$html[0]->code;
		
		//add to template
		eval("\$this->html_body .=\"$html\";");
	}

	/**
	 * Add the main forum menu to the output buffer
	 * 
	 * @return none
	 */
	function add_menu()
	{
		global $user;
		$lang_header	=	new lang_header;
	

		//  Menu for a guest that is not logged in
		if ($user->group =="6" || $user->group =="5" || $user->group =="4" ||  !$user->group)
		{

			// Create an array of words to use here
			$words = array( 
					"frontpage" => $lang_header->menu_frtpage, 
					"register" => $lang_header->menu_register, 
					"login" => $lang_header->menu_login,
					"members" => $lang_header->menu_members, 
					"search" => $lang_header->menu_search, 
					"help" => $lang_header->menu_help, 
					"rules" =>$lang_header->menu_rules,
					"guidelines" => $lang_header->menu_guidelines,
					"active_posts" => $lang_header->menu_active);		
		

			// add template to output
			return $this->return_html('mainmenu_guest', $words);
		}
		else
		{
			//  Boink menu for a logged in user


			//Power links?
			if($user->g_is_mod =="0")
			{
				$staff_link = '';
			}
			else
			{
				$staff_link = $lang_header->menu_staff;
			}

			// Create an array of words to use here
			$words = array( 
					"frontpage" => $lang_header->menu_frtpage, 
					"logout" => $lang_header->menu_logout, 
					"usercp" => $lang_header->menu_cp,
					"members" => $lang_header->menu_members, 
					"search" => $lang_header->menu_search, 
					"help" => $lang_header->menu_help, 
					"rules" => $lang_header->menu_rules,
					"newPMs" => $user->new_pms.' '.$lang_header->menu_newpm, 
					"guidelines" => $lang_header->menu_guidelines,
					"active_posts" => $lang_header->menu_active, 
					"Staff" => "$staff_link");		
		

			// add template to output	
			return $this->return_html('mainmenu_member', $words);
		}
	}


	/**
	 * Adds a admin wrapper to output buffer, used in admin CP
	 * 
	 * @return none
	 */
	function add_admin_wrapper($menu, $htmlCode)
	{
		$templatename ="adminwrapper";
		global $config, $cache, $user;

		$template = $cache->query('get_template', array($config->def_tpl, $templatename));
		$template = str_replace('"', '\"', $template[0]->code);
		
		//Debug info is nice :)
        global $timer, $db;
		$runtime = '' . $timer->stop_and_display(3) . ' seconds';
		$queries = 'Queries: ' . $db->queries . '';

		//Show copyright information
		$copyright	=	'Powered by <a href="index.php?act=credits">VikingBoard</a> ('.$config->version.' '.$config->version_patch.')';

		//show debug?
		if($config->show_debuginfo && $_GET['debug'])
		{
			global $debug;
			$debugdata = '';
			foreach($debug->debugdata as $row)
			{
				$debugdata	.=	$row;
			}
		}
		
        //define array witch contains global wrapper variables
		$data = array(
				'title' 	=> 'Vikingboard ADMIN CP',
				'adminmenu' => $menu,
				'body' 		=> $htmlCode,
				'runtime' 	=> $runtime,
				'queries' 	=> $queries,
				'debugdata' => $debugdata,
				'copyright' => $copyright);

        //and run the code
		eval("\$this->html_body =\"".$template."\";");
    }
	
	/**
	 * Adds a forum wrapper to the main forum pages, which again is added to output buffer.
	 * 
	 * @return none
	 */
	function add_wrapper($title, $nav=array())
	{
		$templatename ="wrapper";
		global $config, $cache, $user;

		//get it!, good doggie :)
		$template = $cache->query('get_template', array($config->def_tpl, $templatename));
		$template = str_replace('"', '\"', $template[0]->code);


		//	Create a navigation line
		//Define $navigation
		$navigation = '';
		//Start of navigation
		$navigation			=	$navigation .= $this->return_html('navigation_start', array("forumname" => $config->forum_name));
		
		//The navigation links
		foreach($nav as $row => $value) {
			$thisRow['url']	= $row;
			$thisRow['name']= $value;
			$navigation .= $this->return_html('navigation_link', $thisRow);
		}
		
		// Commented since it's now defined in the template wrapper
		// $navigation .= $this->return_html('navigation_end', $thisRow);
		
		//	Parse the body template and add in needed thingies

		
		//show run time and queries?
		if ($config->exec && $user->g_is_mod)
		{			
			global $timer, $db;
			$runtime = 'Run time: ' . $timer->stop_and_display(3) . ' seconds';
			$queries = 'Queries: ' . $db->queries . '';
			$acp_link = '<p><a href="admin.php">Admin CP</a></p>';
		}
		else 
		{
			$runtime = '';
			$queries = '';
		}

		//show debug?
		if($config->show_debuginfo && (isset($_GET['debug'])) && $user->g_is_mod)
		{
			global $debug;
			$debugdata = '';
			foreach($debug->debugdata as $row)
			{
				$debugdata	.=	$row;
			}
		}

		//Show copyright information
		$copyright	=	'Powered by <a href="http://www.vikingboard.com/">Vikingboard</a> ('.$config->version.''.$config->version_patch.')';

		if(!isset($acp_link))
		{
			$acp_link = '';
		}
		if(!isset($debugdata))
		{
			$debugdata = '';
		}
		//define array witch contains global wrapper variables
		$data = array(  
				'title' 	=> $title . ' - ' . $config->forum_name,
				'navigation'=> $navigation,
				'body' 		=> $this->html_body,
				'menu' 		=> $this->add_menu(), 
				'runtime' 	=> $runtime,
				'queries' 	=> $queries,
				'acp_link' 	=> $acp_link,
				'debugdata' => $debugdata, 
				'copyright' => $copyright);

		eval("\$this->html_body =\"".$template."\";");
		#$this->html_body ="".$template."";
	}
	
	/**
	 * Flushes output buffer to the webclient
	 * 
	 * @return none
	 */
	function print_page()
	{
		echo $this->html_body;
		$this->html_body = '';
		flush();
	}
}

?>
