#languages
DROP TABLE IF EXISTS `PREFIX|languages`;
CREATE TABLE `PREFIX|languages` (
`id` INT( 4 ) NOT NULL AUTO_INCREMENT ,
`language` VARCHAR( 255 ) NOT NULL ,
PRIMARY KEY ( `id` ) 
);

INSERT INTO `PREFIX|languages` ( `id` , `language` ) VALUES ('1', 'English');



#TEMPLATE CATEGORIES

DROP TABLE IF EXISTS `PREFIX|template_category`;
CREATE TABLE `PREFIX|template_category` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=18;


INSERT INTO `PREFIX|template_category` VALUES (2, 'Admin CP - Template administration');
INSERT INTO `PREFIX|template_category` VALUES (3, 'Admin CP - Global/general');
INSERT INTO `PREFIX|template_category` VALUES (4, 'User CP');
INSERT INTO `PREFIX|template_category` VALUES (5, 'Navigation');
INSERT INTO `PREFIX|template_category` VALUES (6, 'Topic view');
INSERT INTO `PREFIX|template_category` VALUES (7, 'Post view');
INSERT INTO `PREFIX|template_category` VALUES (8, 'Admin CP - Configuration');
INSERT INTO `PREFIX|template_category` VALUES (9, 'Admin CP - Cachemanagement');
INSERT INTO `PREFIX|template_category` VALUES (10, 'Admin CP - Forums');
INSERT INTO `PREFIX|template_category` VALUES (11, 'Global template bits');
INSERT INTO `PREFIX|template_category` VALUES (12, 'View Forum');
INSERT INTO `PREFIX|template_category` VALUES (13, 'Frontpage');
INSERT INTO `PREFIX|template_category` VALUES (14, 'Search');
INSERT INTO `PREFIX|template_category` VALUES (15, 'Admin CP -  Task log');
INSERT INTO `PREFIX|template_category` VALUES (16, 'Admin CP - Word Cencor');
INSERT INTO `PREFIX|template_category` VALUES (17, 'Admin CP - Languages');
INSERT INTO `PREFIX|template_category` VALUES (18, 'Admin CP - User Managment');






#Template sets
DROP TABLE IF EXISTS `PREFIX|template_sets`;
CREATE TABLE `PREFIX|template_sets` (
  `id` int(11) NOT NULL auto_increment,
  `active` int(1) NOT NULL default '0',
  `name` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;



# --------------------------------------------------------

#
# Table structure for table `PREFIX|badword`
#

DROP TABLE IF EXISTS `PREFIX|badword`;
CREATE TABLE `PREFIX|badword` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `nname` varchar(50) default NULL,
  `filtering` enum('strict','loose') NOT NULL default 'strict',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|category`
#

DROP TABLE IF EXISTS `PREFIX|category`;
CREATE TABLE `PREFIX|category` (
  `id` int(11) NOT NULL auto_increment,
  `descr` varchar(250) NOT NULL default '',
  `name` varchar(50) default NULL,
  `order` int(3) default'0' NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|config`
#

DROP TABLE IF EXISTS `PREFIX|config`;
CREATE TABLE `PREFIX|config` (
  `id` int(3) NOT NULL auto_increment,
  `forum_name` varchar(50) default NULL,
  `forum_url` varchar(50) default NULL,
  `forum_email` varchar(75) NOT NULL default '',
  `site_homepage` varchar(50) default NULL,
  `site_host` varchar(50) default NULL,
  `def_tpl` varchar(50) default '1',
  `def_cat` varchar(50) default NULL,
  `def_lang` int(3) default '1',
  `active` char(1) NOT NULL default '0',
  `imgcat` char(3) NOT NULL default '1',
  `show_maxtopics` varchar(5) NOT NULL default '50',
  `show_maxposts` varchar(5) NOT NULL default '15',
  `prune_topics` varchar(5) NOT NULL default '30',
  `timestamp1` varchar(25) NOT NULL default 'd.m.y g:i',
  `timestamp2` varchar(25) NOT NULL default 'd.m.Y g:i',
  PRIMARY KEY  (`id`),
  KEY `site_host` (`site_host`),
  KEY `active` (`active`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|forum`
#

DROP TABLE IF EXISTS `PREFIX|forum`;
CREATE TABLE `PREFIX|forum` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `descr` varchar(250) NOT NULL default '',
  `cat` int(50) default NULL,
  `order` int(4) NOT NULL default '0',
  `lpost_title` varchar(60) default NULL,
  `lpost_tid` int(11) NOT NULL default '0',
  `lpost_pid` int(11) NOT NULL default '0',
  `lpost_uid` int(11) NOT NULL default '0',
  `lpost_time` varchar(50) default NULL,
  `lpost_name` varchar(50) NOT NULL default '',
  `stat_threads` int(11) default '0',
  `stat_posts` int(11) default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|group`
#

DROP TABLE IF EXISTS `PREFIX|group`;
CREATE TABLE `PREFIX|group` (
  `id` int(3) NOT NULL auto_increment,
  `g_name` varchar(75) NOT NULL default 'Unamed',
  `g_view_offline` int(1) NOT NULL default '0',
  `g_viewforum` int(1) NOT NULL default '1',
  `g_can_search` int(1) NOT NULL default '1',
  `g_can_delete_own_posts` int(1) NOT NULL default '0',
  `g_can_delete_own_topics` int(1) NOT NULL default '0',
  `g_can_edit_own_posts` int(1) NOT NULL default '0',
  `g_create_new_posts` int(1) NOT NULL default '1',
  `g_create_new_polls` int(1) NOT NULL default '1',
  `g_is_admin` int(1) NOT NULL default '0',
  `g_is_mod` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

#
# Dumping data for table `PREFIX|group`
#

INSERT INTO `PREFIX|group` (`id`, `g_name`, `g_view_offline`, `g_viewforum`, `g_can_search`, `g_can_delete_own_posts`, `g_can_edit_own_posts`, `g_create_new_posts`, `g_create_new_polls`, `g_is_admin`, `g_is_mod`) VALUES 
(1, 'Administrators', 1, 1, 1, 1, 1, 1, 1, 1, 1),
(2, 'Moderators', 0, 1, 1, 1, 1, 1, 1, 0, 1),
(3, 'Members', 0, 1, 1, 1, 1, 1, 1, 0, 0),
(4, 'Banned', 0, 0, 0, 0, 0, 0, 0, 0, 0),
(5, 'Validating', 0, 0, 0, 0, 0, 0, 0, 0, 0),
(6, 'Guests', 0, 1, 1, 0, 0, 0, 0, 0, 0);


# --------------------------------------------------------

#
# Table structure for table `PREFIX|help`
#

DROP TABLE IF EXISTS `PREFIX|help`;
CREATE TABLE `PREFIX|help` (
  `id` int(4) NOT NULL auto_increment,
  `location` varchar(50) NOT NULL default '',
  `content` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

#
# Dumping data for table `PREFIX|help`
#

INSERT INTO `PREFIX|help` (`id`, `location`, `content`) VALUES (1, 'help', 'This is the help manual'),
(2, 'rules', 'this is the forum rules'),
(3, 'guidelines', 'This is the forum guidelines.');


# --------------------------------------------------------

#
# Table structure for table `PREFIX|log_tasks`
#

DROP TABLE IF EXISTS `PREFIX|log_tasks`;
CREATE TABLE `PREFIX|log_tasks` (
  `id` int(11) NOT NULL auto_increment,
  `time` int(11) NOT NULL default '0',
  `ip` varchar(255) NOT NULL default '',
  `task` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|mail_queue`
#

DROP TABLE IF EXISTS `PREFIX|mail_queue`;
CREATE TABLE `PREFIX|mail_queue` (
  `id` int(11) NOT NULL auto_increment,
  `to_email` varchar(250) NOT NULL default '',
  `title` varchar(250) NOT NULL default '',
  `message` text NOT NULL,
  `headers` text NOT NULL,
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `message` (`message`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|member`
#

DROP TABLE IF EXISTS `PREFIX|member`;
CREATE TABLE `PREFIX|member` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `password` varchar(50) default NULL,
  `email` varchar(50) default NULL,
  `lang` int(3) NOT NULL default '1',
  `skin_set` int(3) NOT NULL default '1',
  `signature` text,
  `avatar` varchar(50) default NULL,
  `posts` varchar(50) NOT NULL default '0',
  `registred` varchar(50) default NULL,
  `location` varchar(200) NOT NULL default '',
  `interests` text  NOT NULL default '',
  `homepage` varchar(255) NOT NULL default '',
  `blog` varchar(255) NOT NULL default '',
  `real_name` varchar(255) NOT NULL default '',
  `birthday` date NOT NULL default '0000-00-00',
  `user_photo` varchar(255) NOT NULL default '',
  `im_msn` varchar(255) NOT NULL default '',
  `group` char(1) default '3',
  `title` varchar(75) NOT NULL default '',
  `use_smiley` char(1) NOT NULL default '0',
  `use_sig` char(1) NOT NULL default '1',
  `use_emailer` char(1) NOT NULL default '0',
  `show_sig` char(1) NOT NULL default '1',
  `show_avatars` char(1) NOT NULL default '1',
  `new_pms` int(3) unsigned NOT NULL default '0',
  `warnlevel` int(1) NOT NULL default '0',
  `show_pmpopup` int(1) NOT NULL default '1',
  `done_pmpopup` int(11) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `group` (`group`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


#
# Dumping data for table `PREFIX|member`
#

INSERT INTO `PREFIX|member` (`id`, `name`, `password`, `email`, `lang`, `signature`, `avatar`, `posts`, `registred`, `location`, `interests`, `homepage`, `blog`, `real_name`, `birthday`, `user_photo`, `im_msn`, `group`, `title`, `use_smiley`, `use_sig`, `use_emailer`, `show_sig`, `show_avatars`, `new_pms`, `warnlevel`, `show_pmpopup`, `done_pmpopup`) VALUES (1, NULL, NULL, NULL, 0, NULL, NULL, '0', NULL, '', '', '', '', '', 0x303030302d30302d3030, '', '', '6', '', '1', '1', '0', '1', '1', 0, 0, 1, 1);

# --------------------------------------------------------

#
# Table structure for table `PREFIX|member_extra`
#

DROP TABLE IF EXISTS `PREFIX|member_extra`;
CREATE TABLE `PREFIX|member_extra` (
  `mid` int(10) NOT NULL default '0',
  `act_key` varchar(255) NOT NULL default '',
  `admin_act_waiting` int(1) NOT NULL default '0',
  `conf_key` varchar(32) NOT NULL default '',
  `reactivation_group` int(1) NOT NULL default '0',
  KEY `mid` (`mid`)
) TYPE=MyISAM;

#
# Dumping data for table `PREFIX|member_extra`
#

INSERT INTO `PREFIX|member_extra` (`mid`, `act_key`, `admin_act_waiting`) VALUES (1, '', 0);




#
# Table structure for table `PREFIX|pm_data`
# 

DROP TABLE IF EXISTS `PREFIX|pm_data`;
CREATE TABLE `PREFIX|pm_data` (
  `id` int(11) NOT NULL auto_increment,
  `date` varchar(32) default NULL,
  `content` text NOT NULL,
  `author_id` int(11) NOT NULL default '0',
  `cc_to` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

# --------------------------------------------------------

# 
# Table structure for table `PREFIX|pm`
# 

DROP TABLE IF EXISTS `PREFIX|pm`;
CREATE TABLE `PREFIX|pm` (
  `id` int(11) NOT NULL auto_increment,
  `msg_id` int(11) NOT NULL default '0',
  `date` varchar(32) default NULL,
  `title` varchar(255) NOT NULL default '',
  `from_id` int(11) NOT NULL default '0',
  `to_id` int(11) NOT NULL default '0',
  `in_folder` varchar(64) NOT NULL default '',
  `read` tinyint(1) NOT NULL default '0',
  `read_date` varchar(32) default NULL,
  `trace` tinyint(1) NOT NULL default '0',
  `belongs_to` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `msg_id` (`msg_id`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Table structure for table `PREFIX|poll`
#

DROP TABLE IF EXISTS `PREFIX|poll`;
CREATE TABLE `PREFIX|poll` (
  `tid` int(11) NOT NULL default '0',
  `name` varchar(250) NOT NULL default '',
  `votes` int(11) NOT NULL default '0',
  UNIQUE KEY `tid` (`tid`)
) TYPE=MyISAM COMMENT='tid=topic id, name=poll question/name, votes=int votes';


# --------------------------------------------------------

#
# Table structure for table `PREFIX|poll_choices`
#

DROP TABLE IF EXISTS `PREFIX|poll_choices`;
CREATE TABLE `PREFIX|poll_choices` (
  `id` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `question` varchar(250) NOT NULL default '',
  `votes` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pid` (`pid`)
) TYPE=MyISAM COMMENT='id=choice id, pid=poll id, question=the question, votes=int ' AUTO_INCREMENT=1 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|post`
#

DROP TABLE IF EXISTS `PREFIX|post`;
CREATE TABLE `PREFIX|post` (
  `id` int(11) NOT NULL auto_increment,
  `tid` int(11) NOT NULL,
  `author_name` varchar(50) default NULL,
  `author_id` int(11) NOT NULL,
  `posted` int(11) default NULL,
  `post` text,
  `use_sig` tinyint(1) NOT NULL default '1',
  `ip` varchar(15) NOT NULL default '',
  `queued` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `tid` (`tid`,`id`,`queued`),
  KEY `author_id` (`author_id`),
  FULLTEXT KEY `post` (`post`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|reg_antispam`
#

DROP TABLE IF EXISTS `PREFIX|reg_antispam`;
CREATE TABLE `PREFIX|reg_antispam` (
  `id` int(9) unsigned NOT NULL auto_increment,
  `ip` varchar(50) NOT NULL default '',
  `browser` varchar(100) NOT NULL default '',
  `time` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip`,`browser`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|reported`
#

DROP TABLE IF EXISTS `PREFIX|reported`;
CREATE TABLE `PREFIX|reported` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `message` text NOT NULL,
  `url` text NOT NULL,
  `status` int(1) NOT NULL default '0',
  `reply` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`,`status`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|sessions`
#

DROP TABLE IF EXISTS `PREFIX|sessions`;
CREATE TABLE `PREFIX|sessions` (
  `sid` varchar(100) NOT NULL default '',
  `uid` int(11) NOT NULL default '1',
  `time` int(11) default NULL,
  `stayin` int(1) default '0',
  `hide` char(1) NOT NULL default '0',
  `ip` varchar(16) NOT NULL default '',
  `browser` varchar(50) NOT NULL default '',
  `user` varchar(32) NOT NULL default '',
  `group` char(1) NOT NULL default '6',
  PRIMARY KEY  (`sid`),
  KEY `browser` (`browser`),
  KEY `ip` (`ip`),
  KEY `group` (`group`)
) TYPE=HEAP;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|smiley`
#

DROP TABLE IF EXISTS `PREFIX|smiley`;
CREATE TABLE `PREFIX|smiley` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) default NULL,
  `url` varchar(250) default NULL,
  `code` varchar(50) NOT NULL default '',
  `show` char(1) default '1',
  PRIMARY KEY  (`id`),
  KEY `code` (`code`),
  KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=13 ;

#
# Dumping data for table `PREFIX|smiley`
#

INSERT INTO `PREFIX|smiley` (`id`, `name`, `url`, `code`, `show`) VALUES 
	(1, 'Angel', 'img/smiley/face-angel.png', ':angel:', '1'),
	(2, 'Crying', 'img/smiley/face-crying.png', ':cry:', '1'),
	(3, 'Devil', 'img/smiley/face-devil-grin.png', ':devil:', '1'),
	(4, 'Nerd', 'img/smiley/face-glasses.png', ':nerd:', '1'),
	(5, 'Grin', 'img/smiley/face-grin.png', ':grin:', '1'),
	(6, 'Kiss', 'img/smiley/face-kiss.png', ':love:', '1'),
	(7, 'Plain', 'img/smiley/face-plain.png', ':|', '1'),
	(8, 'Sad', 'img/smiley/face-sad.png', ':(', '1'),
	(9, 'Smile', 'img/smiley/face-smile.png', ':)', '1'),
	(10, 'Big Smile', 'img/smiley/face-smile-big.png', ':D', '1'),
	(11, 'Surprised', 'img/smiley/face-surprise.png', ':o', '1'),
	(12, 'Wink', 'img/smiley/face-wink.png', ';)', '1');

# --------------------------------------------------------

#
# Table structure for table `PREFIX|stats`
#

DROP TABLE IF EXISTS `PREFIX|stats`;
CREATE TABLE `PREFIX|stats` (
  `id` int(11) NOT NULL auto_increment,
  `total_posts` varchar(50) default NULL,
  `total_topics` varchar(50) default NULL,
  `total_users` varchar(50) default NULL,
  `max_users_online` int(6) NOT NULL default '0',
  `max_users_date` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

#
# Dumping data for table `PREFIX|stats`
#

INSERT INTO `PREFIX|stats` (`id`, `total_posts`, `total_topics`, `total_users`, `max_users_online`, `max_users_date`) VALUES (1, '1', '1', '1', 0, 0);


# --------------------------------------------------------

#
# Table structure for table `PREFIX|subscr_forum`
#

DROP TABLE IF EXISTS `PREFIX|subscr_forum`;
CREATE TABLE `PREFIX|subscr_forum` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `fid` int(6) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `fid` (`fid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|template`
#

DROP TABLE IF EXISTS `PREFIX|template`;
CREATE TABLE `PREFIX|template` (
  `id` int(11) NOT NULL auto_increment,
  `set_id` int(11) NOT NULL default '0',
  `code` text NOT NULL,
  `name` varchar(200) NOT NULL default '',
  `nice_name` varchar(250) NOT NULL default 'unnamed',
  `cat` int(3) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `set_id` (`set_id`,`name`),
  KEY `cat` (`cat`)
) TYPE=MyISAM AUTO_INCREMENT=105 ;


# --------------------------------------------------------

#
# Table structure for table `PREFIX|topic`
#

DROP TABLE IF EXISTS `PREFIX|topic`;
CREATE TABLE `PREFIX|topic` (
  `id` int(11) NOT NULL auto_increment,
  `forum` int(6) NOT NULL default '0',
  `cat` int(6) default '0',
  `title` varchar(75) default NULL,
  `status` tinyint(1) default NULL,
  `replys` int(10) default NULL,
  `views` int(10) default NULL,
  `sticky` tinyint(1) NOT NULL default '0',
  `starter_id` int(10) default NULL,
  `starter_name` varchar(50) default NULL,
  `started` int(11) NOT NULL default '0',
  `lpost_name` varchar(50) default NULL,
  `lpost_id` int(10) NOT NULL default '0',
  `lpost_uid` int(11) NOT NULL default '0',
  `lpost_time` int(11) default NULL,
  `has_poll` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`,`forum`),
  KEY `status` (`status`),
  KEY `lpost_time` (`lpost_time`)
) TYPE=MyISAM;



#TEMPLATE SETS
INSERT INTO `PREFIX|template_sets` VALUES (1, '1', 'Vikingboard default template');



#TEMPLATE HTML CODE
INSERT INTO `PREFIX|template` VALUES (1, 1, '<ul id="main_menu">\n	<li><a href="./"><span class="before"></span>{$data[\'frontpage\']}<span class="after"></span></a></li>\n	<li><a href="login.php?t=02"><span class="before"></span>{$data[\'logout\']}<span class="after"></span></a></li>\n	<li><a href="cp.php"><span class="before"></span>{$data[\'usercp\']}<span class="after"></span></a></li>\n	<li><a href="help.php"><span class="before"></span>{$data[\'help\']}<span class="after"></span></a></li>\n	<li><a href="help.php?act=rules"><span class="before"></span>{$data[\'rules\']}<span class="after"></span></a></li>\n	<li><a href="help.php?act=guidelines"><span class="before"></span>{$data[\'guidelines\']}<span class="after"></span></a></li>\n	<li><a href="cp.php?mode=07"><span class="before"></span>{$data[\'newPMs\']}<span class="after"></span></a></li>\n	<li><a href="search.php?search=active:20&act=dosearch"><span class="before"></span>{$data[\'active_posts\']}<span class="after"></span></a></li>\n	<li><a href="members.php"><span class="before"></span>{$data[\'members\']}<span class="after"></span></a></li>\n	<li><a href="search.php"><span class="before"></span>{$data[\'search\']}<span class="after"></span></a></li>\n</ul>', 'mainmenu_member', 'Menu for members', '11');

INSERT INTO `PREFIX|template` VALUES (2, 1, '		<!--FORUM #{$data[\'forumId\']}-->\n		<tr id="row_{$data[\'forumId\']}">\n			<td class="forum_new_posts">\n				{$data[\'newpost\']} \n			</td>\n			<td class="forum_name">\n				<p><a href="forum.php?f={$data[\'forumId\']}">{$data[\'forumName\']}</a></p>\n				<p class="descr">{$data[\'forumdesc\']}</p>\n			</td>\n			<td class="forum_topics">\n				<!-- <a href="stats.php?f={$data[\'forumId\']}&amp\;act=topics"> --> {$data[\'threads\']} <!-- </a> -->\n			</td>\n			<td class="forum_posts">\n				<!-- <a href="stats.php?f={$data[\'forumId\']}&amp\;act=posts"> --> {$data[\'posts\']} <!-- </a> --> \n			</td>\n			<td class="forum_last_post">\n				<p>{$data[\'lastpost\']}</p>\n			</td>\n		</tr> \n		<!--/FORUM #{$data[\'forumId\']}-->', 'list_forum', 'Forumrow', '13');

INSERT INTO `PREFIX|template` VALUES (3, 1, '<!DOCTYPE html \n     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"\n"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml" lang="no" xml:lang="no">\n<head>\n	<title>{$data[\'title\']}</title>\n	<meta http-equiv="Content-Type" content="text/html\; charset=utf-8" />\n	<link href="design/viking/viking.css" rel="stylesheet" type="text/css" />\n	<script type="text/javascript" src="html/general.js"></script>\n	<script type="text/javascript" src="html/post.js"></script>\n</head>\n<body>\n<div id="container">\n<h1 id="header"><a href="./" id="top"><span class="header_link">{$data[\'forumname\']}</span></a></h1>\n<div id="quick_search">\n	<form action="search.php" method="get">\n		<p><input type="text" value="Search ..." class="quick_search" onfocus="clearField(this)\;" name="search" />\n<input type="hidden" name="act" value="dosearch" />\n		<input type="submit" value="Go" class="submit" /></p>\n	</form>\n</div>\n	<p id="navigation">{$data[\'navigation\']}</p>\n{$data[\'menu\']}\n	<div id="new_pm">\n{$data[\'newPMmessage\']}\n	</div>\n<div id="main_body">\n	<!--main body-->\n{$data[\'body\']}\n	<!--/main body-->\n</div>\n<div id="footer">\n	<p class="to_top"><a href="#top"><img src="design/viking/go-up.png" alt="{$data[\'to_top\']}" title="{$data[\'to_top\']}" /></a></p>\n	{$data[\'acp_link\']}\n	<p id="powered_by">{$data[\'copyright\']}</p>\n	<p>{$data[\'runtime\']} {$data[\'queries\']}</p>\n</div>\n</div>\n</body>\n{$data[\'debugdata\']}\n</html>', 'wrapper', 'Forum wrapper', '11');

INSERT INTO `PREFIX|template` VALUES (4, 1, '	<table class="forums" cellpadding="1" cellspacing="1">\n		<caption class="category_extended"><a href="index.php?c={$data[\'categoryId\']}">{$data[\'categoryName\']}</a><img src="design/viking/category_extended_arrow.png" alt="{$data[\'extended\']}" /></caption>\n		<tr id="row_00_00">\n			<th></th>\n			<th class="table_header_forum">Forums</th>\n			<th class="table_header_topics">Topics</th>\n			<th class="table_header_posts">Posts</th>\n			<th class="table_header_last_posts">Last post</th>\n		</tr>\n		<!--FORUMVIEW-->\n{$data[\'list_forums\']}\n		<!--/FORUMVIEW-->\n	</table>\n<!--other categories-->\n{$data[\'list_categories\']}\n<!-- /other categories-->\n{$data[\'quick_login\']}\n	<div id="board_info">\n		<div id="stats">\n			<h3 id="board_stats_header">{$data[\'title_boardstats\']}</h3>\n			<p id="board_stats">{$data[\'boardstats\']}</p>\n		</div>\n		<div id="history">\n			<h3 id="board_history_header">{$data[\'history_title\']}</h3>\n			<p id="board_history">{$data[\'history_data\']}</p>\n		</div>\n	</div>', 'frontpage', 'Frontpage', '13');

INSERT INTO `PREFIX|template` VALUES (5, 1, '	<ul id="main_menu">\n		<li><a href="./"><span class="before"></span>{$data[\'frontpage\']}<span class="after"></span></a></li>\n		<li><a href="register.php"><span class="before"></span>{$data[\'register\']}<span class="after"></span></a></li>\n		<li><a href="login.php"><span class="before"></span>{$data[\'login\']}<span class="after"></span></a></li>\n		<li><a href="help.php"><span class="before"></span>{$data[\'help\']}<span class="after"></span></a></li>\n		<li><a href="help.php?act=rules"><span class="before"></span>{$data[\'rules\']}<span class="after"></span></a></li>\n		<li><a href="help.php?act=guidelines"><span class="before"></span>{$data[\'guidelines\']}<span class="after"></span></a></li>\n		<li><a href="search.php?search=active:20&act=dosearch"><span class="before"></span>{$data[\'active_posts\']}<span class="after"></span></a></li>\n		<li><a href="members.php"><span class="before"></span>{$data[\'members\']}<span class="after"></span></a></li>\n		<li><a href="search.php"><span class="before"></span>{$data[\'search\']}<span class="after"></span></a></li>\n	</ul>', 'mainmenu_guest', 'Menu for guests', '11');

INSERT INTO `PREFIX|template` VALUES (6, 1, '<p id="error"> <img src="img/{$data[\'imgset\']}/dialog-error.png" alt="{$data[\'message\']}" /> <br /> {$data[\'message\']}\n</p>', 'message', 'Error-message page', '11');

INSERT INTO `PREFIX|template` VALUES (7, 1, '<h2 class="category_contracted"><a href="index.php?c={$data[\'categoryid\']}">{$data[\'categoryname\']}</a> <img src="design/viking/category_contracted_arrow.png" alt="{$data[\'contracted\']}" /></h2>', 'list_category', 'Categoryrow', '0');

INSERT INTO `PREFIX|template` VALUES (8, 1, '	<h3 id="quick_login_header">{$data[\'login_quick\']}</h3>\n	<form method="post" action="login.php?t=01" id="quick_login_form">\n		<fieldset>\n			<p><label for="textinput">{$data[\'username\']}</label>\n			<input type="text" id="textinput" name="username" class="textinput" value="{$data[\'username\']}" maxlength="50" onfocus="clearField(this)\;" />\n			<label for="passwordinput">{$data[\'password\']}</label>\n			<input type="password" id="passwordinput" name="password" class="textinput" value="{$data[\'password\']}" maxlength="50" onfocus="clearField(this)\;" />\n			<input type="submit" value="{$data[\'do_login\']}" class="login_button" /></p>\n		</fieldset>\n	</form>', 'quick_login', 'Quick login-box', '9');

INSERT INTO `PREFIX|template` VALUES (9, 1, '<a name="top"></a>\n<!--showtopic_header-->\n<br />\n   <h2>\n      <img src="img/{$data[\'skin_set\']}/topic_{$data[\'topic_status\']}.png" />\n      {$data[\'topic_title\']}\n      <div class="newbuttons">\n          {$data[\'newtopic\']}&nbsp\;\n          <!--{$data[\'newpoll\']}&nbsp\;-->\n          {$data[\'reply\']}\n      </div>\n   </h2>\n<br />\n<table cellpadding="0" cellspacing="0" style="width:100%\; border:0 solid #000\;">\n  <tr>\n    <td>\n<!--showtopic_header-->\n{$data[\'posts\']}\n<!--showtopic_footer-->\n</td>\n  </tr>\n</table>\n<script type="text/javascript">\n<!--\nfunction quick_reply() {\n  if (document.getElementById("quick_reply").style.display != "none") {\n      document.getElementById("quick_reply").style.display = "none"\;\n  }\n  else {\n      document.getElementById("quick_reply").style.display = "block"\;\n  }\n}\n// -->\n</script>\n<script type="text/javascript">\ndocument.getElementById("quick_reply").style.display = "none"\;\n</script>\n<div id="quick_reply" style="display:none\; text-align: center\;">\n<h3>{$data[\'title-quick-reply\']}</h3>\n{$data[\'quick-reply-area\']}\n</div>\n<p class="pagination">{$data[\'navigation\']}</p>\n<!--showtopic_footer-->', 'showtopic_body', 'Topic page', '6');

INSERT INTO `PREFIX|template` VALUES (10, 1, '<!--START OF POST ID:{$data[\'post_id\']}-->\n<div id="user_cp_body">\n	<h3 class="small_no_margin"><a href="user.php?u={$data[\'user_id\']}">{$data[\'user_name\']}</a> - {$data[\'post_date\']}</h3>\n	<div class="pm_pm">\n		<div class="pm_left">\n			{$data[\'user_avatar\']}<br />\n			<strong>{$data[\'user_title\']}</strong> <br />\n			<dl class="dl_post">\n				<dt>{$data[\'user_registred_title\']}</dt>\n				<dd>{$data[\'user_registred\']}</dd>\n				<dt>{$data[\'user_location_title\']}</dt>\n				<dd>{$data[\'user_location\']}</dd>\n				<dt>{$data[\'user_posts_title\']}</dt>\n				<dd>{$data[\'user_posts\']}</dd>\n			</dl> \n		</div>\n		<div class="pm_right">\n			<p class="post_top" style="margin: 10px 10px 0 10px\;">  \n				{$data[\'post_edit\']} \n				{$data[\'post_delete\']} \n				{$data[\'post_report\']} \n				{$data[\'post_quote\']} \n				{$data[\'post_mquote\']}\n			</p>\n		\n			<p class="pm_data">\n				 {$data[\'post_post\']}\n			</p> \n			<p class="pm_signature">\n				{$data[\'post_signature\']}\n			</p>\n		</div>\n	\n	</div>\n</div>\n<p class="clearfloat">&nbsp\;</p>\n<!--END OF POST ID:{$data[\'post_id\']}-->', 'showtopic_post', 'Postrow', '6');

INSERT INTO `PREFIX|template` VALUES (11, 1, '<!--start topic-->\n			<tr id="topic_row_{$data[\'rowID\']}"> \n				<td>{$data[\'\']}</td>\n				<td class="topic_name"><a href="topic.php?t={$data[\'topicID\']}">{$data[\'topicName\']}</a><div class="pagination">{$data[\'pages\']}</div></td>\n				<td class="topic_author"><a href="user.php?u={$data[\'authorID\']}">{$data[\'author\']}</a></td>\n				<td class="topic_replies">{$data[\'replies\']}</td>\n				<td class="topic_views">{$data[\'views\']}</td>\n				<td class="topic_last_post"><a href="topic.php?t={$data[\'topicID\']}&act=lastpost">{$data[\'lastPost\']}</a> {$data[\'by\']} {$data[\'lastAuthor\']}, {$data[\'lastPostDate\']}</td>\n			</tr>\n<!--end topic-->', 'list_topic', 'Topicrow', '12');

INSERT INTO `PREFIX|template` VALUES (12, 1, '<h2 class="category_extended">\n    {$data[\'forumname\']}\n    <div class="newbuttons">\n        {$data[\'newtopic\']}\n        <!--{$data[\'newpoll\']}-->\n    </div>\n</h2>\n		<table class ="topics" cellpadding="1" cellspacing="1">\n			<tr>\n				<th></th>\n				<th class="table_header_topic">{$data[\'topic\']}</th>\n				<th class="table_header_author">{$data[\'author\']}</th>\n				<th class="table_header_replies">{$data[\'replies\']}</th>\n				<th class="table_header_views">{$data[\'views\']}</th>\n				<th class="table_header_last_post">{$data[\'lastpost\']}</th>\n			</tr>\n			<!-- list topics -->\n				{$data[\'topiclist\']}\n			<!-- /list topics -->\n		</table>\n		<p class="pagination">{$data[\'navigation\']}</p>\n		<p class="topics_subscribe"><a href="forum.php?mode=subscribe&f={$data[\'forumID\']}">{$data[\'subscribe\']}</a></p>', 'forum', 'Forum page', '12');

INSERT INTO `PREFIX|template` VALUES (13, 1, '<p id="notification"> <img src="img/{$data[\'imgset\']}/dialog-information.png" alt="{$data[\'message\']}" /> <br /> {$data[\'message\']}<br /><br />\n<a href="{$data[\'target\']}">{$data[\'link\']}</a>\n</p>', 'notification', 'Notification Page', '11');

INSERT INTO `PREFIX|template` VALUES (14, 1, '<h2>{$data[\'title\']}</h2>\n<p>{$data[\'content\']}</p>', 'help', 'Help Pages', '11');

INSERT INTO `PREFIX|template` VALUES (15, 1, '<!--POST BUTTONS-->\n<div id="post_buttons">\n	<script language="javascript" src="html/post.js" type="text/javascript"></script>\n	<select name="font" onChange="insert_font(this.options[this.selectedIndex].value)">\n		<option value="Verdana" selected="selected">Verdana</option>\n		<option value="Times">Times</option>\n		<option value="Courier">Courier</option>\n		<option value="Impact">Impact</option>\n		<option value="Geneva">Geneva</option>\n		<option value="Optima">Optima</option>\n	</select> \n  \n	<select name="fontsize" onChange="insert_size(this.options[this.selectedIndex].value)">\n		<option value="8">8pt</option>\n		<option value="10" selected="selected">10pt</option>\n		<option value="12">12pt</option>\n		<option value="14">14pt</option>\n	</select> \n   <button id="b" type="button" onClick="insert_bold()"><img src="img/{$data[\'img_cat\']}/format-text-bold.png" alt="{$data[\'bold\']}" /></button>\n   <button id="u" type="button" onClick="insert_underline()"><img src="img/{$data[\'img_cat\']}/format-text-underline.png" alt="{$data[\'underline\']}" /></button>\n   <button id="i" type="button" onClick="insert_italic()"><img src="img/{$data[\'img_cat\']}/format-text-italic.png" alt="{$data[\'italic\']}" /></button>\n   <button id="q" type="button" onClick="insert_quote()"><img src="img/{$data[\'img_cat\']}/p_quote.gif" alt="{$data[\'quote\']}" /></button>\n   <button id="p" type="button" onClick="quote_splitter()"><img src="img/{$data[\'img_cat\']}/p_quoteqplit.gif" alt="{$data[\'quote-end\']}" /></button>\n  \n   <button id="align_left" type="button" onClick="do_align_left()"><img src="img/{$data[\'img_cat\']}/format-justify-left.png" alt="{$data[\'align-left\']}" /></button>\n   <button id="align_full" type="button" onClick="do_align_full()"><img src="img/{$data[\'img_cat\']}/format-justify-fill.png" alt="{$data[\'align-justify\']}" /></button>\n   <button id="align_center" type="button" onClick="do_align_center()"><img src="img/{$data[\'img_cat\']}/format-justify-center.png" alt="{$data[\'align-center\']}" /></button>\n   <button id="align_right" type="button" onClick="do_align_right()"><img src="img/{$data[\'img_cat\']}/format-justify-right.png" alt="{$data[\'align-right\']}" /></button>\n \n   <button id="url" type="button" onClick="insert_url()"><img src="img/{$data[\'img_cat\']}/world_link.png" alt="{$data[\'link\']}" /></button>\n   <button id="img" type="button" onClick="insert_img()"><img src="img/{$data[\'img_cat\']}/image-x-generic.png" alt="{$data[\'image\']}" /></button>\n</div>\n<!--/POST BUTTONS-->', 'post_buttons', 'Posting buttons', '7');

INSERT INTO `PREFIX|template` VALUES (16, 1, '<h2>{$data[\'title\']}</h2>\n<form name="newpost" method="post" action="post.php?mode=01">\n<div style="padding:1em\;">\n{$data[\'topic_area\']}\n{$data[\'poll_area\']}\n<style type="text/css">\n.button     { width: 22px\; height: 22px\; border: 1px solid buttonface\; margin: 0\; padding: 0\; }\;\n</style> \n{$data[\'post_buttons\']}\n<textarea name="post" id="post_content" cols="110" rows="25">{$data[\'content\']}</textarea><br />\n{$data[\'smileys\']}\n<h2>{$data[\'alternatives\']}</h2>\n      <input type="checkbox" name="use_smileys" value="1" checked="checked" /> {$data[\'show_smileys\']}<br />\n      <input type="checkbox" name="sig" value="1" checked="checked" /> {$data[\'show_signature\']}<br />\n      <input type="submit" value="{$data[\'submit_button\']} " name="send" />\n      <!--<input type="button" value="{$data[\'preview_button\']} " name="preview" />-->\n{$data[\'post_footer\']}\n</div>\n  <input type="hidden" name="do" value="{$data[\'do_what\']}" />\n  <input type="hidden" name="cat" value="{$data[\'category\']}" />\n  <input type="hidden" name="forum" value="{$data[\'forum_id\']}" />\n  <input type="hidden" name="topic" value="{$data[\'topic_id\']}">\n  <input type="hidden" name="postID" value="{$data[\'post_id\']}" />\n  <input type="hidden" name="sid" value="{$data[\'sid\']}" />\n  <input type="hidden" name="user" value="{$data[\'user_id\']}" />\n</form>', 'post_body', 'Post page', '7');

INSERT INTO `PREFIX|template` VALUES (17, 1, '<tr> \n      <td width="19%" id="title2">{$data[\'poll_title\']}<br /> </td>\n      <td width="81%" id="title2"> <input name="pollquestion" type="text" size="50"></td>\n </tr>\n<tr> \n      <td width="19%" id="title2">{$data[\'poll_options\']}<br />{$data[\'poll_infotext\']}</td>\n      <td width="81%" id="title2"> <textarea rows="6" name="pollchoices" cols="70"></textarea></td></tr>\n<b></b>', 'post_poll', 'Post page | poll', '7');

INSERT INTO `PREFIX|template` VALUES (18, 1, '<h2>{$data[\'register\']}</h2>\n<form name="register" method="post" action="register.php?mode=01">\n<fieldset>\n	<legend>{$data[\'required_info\']}</legend>\n	<p><label for="user">{$data[\'username\']}</label><br class="nobr" />\n	<input type="text" name="user" id="user" size="32" maxlength="50" /></p>\n	<p><label for="pwd">{$data[\'password\']}</label><br class="nobr" />\n	<input type="password" name="pwd" id="pwd" size="32" maxlength="50" /><br />\n	<label for="pwd_confirmation">{$data[\'password_confirmation\']}</label><br class="nobr" />\n	<input type="password" name="pwd2" id="pwd_confirmation" size="32" maxlength="50" /></p>\n	<p><label for="email">{$data[\'email_adress\']}</label><br class="nobr" />\n	<input type="text" name="email" id="email" size="32" maxlength="255" /><br />\n	<label for="email">{$data[\'email_adress_confirm\']}</label><br class="nobr" />\n	<input type="text" name="email2" id="email_confirmation" size="32" maxlength="255" /></p>\n</fieldset>\n<fieldset>\n	<legend>{$data[\'rules_title\']}</legend>\n	<p><label for="accepted">{$data[\'accept\']}<br class="nobr" />\n	<input type="checkbox" name="accepted" id="accepted" value="1" /></label>\n	<textarea cols="30" rows="10">{$data[\'rules\']}</textarea></p>\n</fieldset>\n<p><input type="submit" value="{$data[\'submit\']}" /></p>\n</form>', 'registerpage', 'Registration page', '0');

INSERT INTO `PREFIX|template` VALUES (19, 1, '	<h2>{$data[\'login_title\']}</h2>\n	\n	<form name="login" method="post" action="login.php?t=01">\n	\n	<fieldset>\n		<p><label for="username">{$data[\'username\']}</label><br class="nobr" />\n		<input type="text" name="username" id="username" size="32" /><br />\n	\n		<label for="password">{$data[\'password\']}</label><br class="nobr" />\n		<input type="password" name="password" id="password" size="32" /></p>\n	\n		<p><label for="hideme">{$data[\'hideme\']}</label>\n		<input type="checkbox" name="hideme" id="hideme" value="1" /><br class="nobr" />\n	\n		<label for="remember">{$data[\'remember_login\']}</label>\n		<input type="checkbox" name="remember" id="remember" value="1" /></p>\n	</fieldset>\n	\n	<p><input type="submit" value="{$data[\'do_login\']}" /></p>\n	\n	</form>\n<p>{$data[\'link_lostpwd\']} | {$data[\'link_newuser\']}</p>', 'login', 'Login page', '0');

INSERT INTO `PREFIX|template` VALUES (20, 1, '<div class="user_cp_menu">\n	<h2>{$data[\'menutitle\']}</h2>\n<ul>\n<li><a href="{$data[\'m-frontpage-target\']}"><img src="img/{$data[\'img_set\']}/go-home.png" alt="{$data[\'m-frontpage\']}" /> {$data[\'m-frontpage\']}</a></li>\n        <li>{$data[\'m-banlist\']}</li>\n</ul>\n<h4>{$data[\'m-profiles\']}</h4>\n<ul>\n<li><a href="{$data[\'m-profile-target\']}"><img src="img/{$data[\'img_set\']}/contact-new.png" alt="{$data[\'m-profile\']}" /> {$data[\'m-profile\']}</a></li>\n<li><a href="{$data[\'m-avatar-target\']}"><img src="img/{$data[\'img_set\']}/image-x-generic.png" alt="{$data[\'m-avatar\']}" /> {$data[\'m-avatar\']}</a></li>\n<li><a href="{$data[\'m-signature-target\']}"><img src="img/{$data[\'img_set\']}/accessories-text-editor.png" alt="{$data[\'m-signature\']}" /> {$data[\'m-signature\']}</a></li>\n</ul>\n<h4>{$data[\'m-pm\']}</h4>\n<ul>\n<li><a href="{$data[\'m-sendpm-target\']}"><img src="img/{$data[\'img_set\']}/mail-message-new.png" alt="{$data[\'m-sendpm\']}" /> {$data[\'m-sendpm\']}</a></li>\n<li><a href="{$data[\'m-inbox-target\']}"><img src="img/{$data[\'img_set\']}/mail-reply-sender.png" alt="{$data[\'m-inbox\']}" /> {$data[\'m-inbox\']} ({$data[\'m-inbox-new-pms\']})</a></li>\n      <!-- <li><a href="{$data[\'m-drafts-target\']}"><img src="img/{$data[\'img_set\']}/text-x-generic.png" alt="{$data[\'m-drafts\']}" /> {$data[\'m-drafts\']}</a></li>  \n<li>{$data[\'m-sent\']} </li> -->\n<li><a href="{$data[\'m-trace-target\']}"><img src="img/{$data[\'img_set\']}/start-here.png" alt="{$data[\'m-trace\']}" /> {$data[\'m-trace\']}</a></li>  \n<!-- <li><a href="{$data[\'m-archive-target\']}"><img src="img/{$data[\'img_set\']}/document-open.png" alt="{$data[\'m-archive\']}" /> {$data[\'m-archive\']}</a></li> -->  \n<li>{$data[\'m-sent\']} </li>\n</ul>\n<!-- <h4>{$data[\'m-subs\']}</h4>\n<ul>\n      <li>{$data[\'m-subs-topics\']}</li>\n      <li>{$data[\'m-subs-forums\']}</li>\n      <li>{$data[\'m-subs-users\']}</li>\n</ul>\n<h4>{$data[\'m-settings\']}</h4>\n<ul>\n<li>{$data[\'m-skins\']}</li>\n<li>{$data[\'m-email\']}</li>\n        <li>{$data[\'m-setup\']}</li>\n<li>{$data[\'m-change-pass\']}</li>\n<li>{$data[\'m-change-mail\']}</li>\n</ul> -->\n</div>', 'user_cp_menu', 'User CP | Menu', '4');

INSERT INTO `PREFIX|template` VALUES (21, 1, '<h2 id="user_cp_header">{$data[\'title\']}</h2>\n    {$data[\'menu\']}\n<!-- User CP body -->\n<div id="user_cp_body">\n	<h2>{$data[\'frontpage_title\']}</h2>\n<p class="trace_descr">\n		{$data[\'welcome_msg\']}\n	</p>\n<!-- \n	<!-- Profile preview !-->\n	<h3 class="small_heading">{$data[\'pro_head\']}</h3>\n	<p class="trace_descr">\n		{$data[\'pro_desc\']}\n	</p>\n	\n	<div id="user_info">\n				\n    	<dl>\n			<dt>{$data[\'location\']}</dt>\n			<dd>{$data[\'location_data\']}</dd>\n							\n			<dt>{$data[\'homepage\']}</dt>\n			<dd>{$data[\'homepage_data\']}</dd>\n			<dt>{$data[\'email\']}</dt>\n			<dd>{$data[\'email_data\']}</dd>\n			<dt>{$data[\'msn\']}</dt>\n			<dd>{$data[\'msn_data\']}</dd>\n			<dt>{$data[\'interests\']}</dt>\n			<dd>{$data[\'interests_data\']}</dd>\n		</dl>\n				\n	</div>\n	\n	<p class="trace_descr" style="clear:both;">\n		{$data[\'pro_edit_desc\']}\n	</p>\n-->\n	<!-- Avatar preview !-->\n	\n	<h3 class="small_heading">{$data[\'ava_head\']}</h3>\n	<p class="trace_descr">\n		{$data[\'ava_desc\']}\n	</p>\n	<div id="avatar_content"> \n		<img src="{$data[\'current_avatar\']}" alt = "{$data[\'current_avatar_alt\']}" \n		link="{$data[\'current_avatar_alt\']}" class="clearfloat" /> \n	</div>\n	<p class="trace_descr">\n		{$data[\'ava_edit_desc\']}\n	</p>\n	\n	<!-- Signature preview !-->\n	\n	<h3 class="small_heading">{$data[\'sig_head\']}</h3>\n	<p class="trace_descr">\n		{$data[\'sig_desc\']}\n	</p>\n	<div class="signature_preview">\n		{$data[\'sig_pre\']}\n	</div>\n	<p class="trace_descr">\n		{$data[\'sig_edit_desc\']}\n	</p>\n	\n	\n</div>\n<!-- /User CP body -->\n<p class="clearfloat">\n	&nbsp;\n</p>', 'user_cp_frontpage', 'User CP | Frontpage', 4);

INSERT INTO `PREFIX|template` VALUES (22, 1, '<h2 id="user_cp_header">{$data[\'title\']}</h2>\n    {$data[\'menu\']}\n<div id="user_cp_body">\n<h2>{$data[\'title-profile\']}</h2>\n  <p class="trace_descr">{$data[\'profile_descr\']}</p>\n<form action="cp.php?mode=2" method="POST" class="profile">\n <label for="homepage_url">{$data[\'homepage_url\']}</label> <input type="text" id="homepage_url" name="homepage_url" value="{$data[\'old_homepage_url\']}" /><br />\n<label for="blog_url">{$data[\'blog_url\']}</label> <input type="text" id="blog_url" name="blog_url" value="{$data[\'old_blog_url\']}" /><br />\n<label for="real_name">{$data[\'real_name\']}</label> <input type="text" id="real_name" name="real_name" value="{$data[\'old_real_name\']}" /><br />\n<label for="im_identity">{$data[\'im_identity\']}</label> <input type="text" id="im_identity" name="im_identity" value="{$data[\'old_im_identity\']}" /><br />\n<label for="birthday">{$data[\'birthday\']}</label> <input type="text" id="birthday" name="birthday" value="{$data[\'old_birthday\']}" /><br />\n<label for="location">{$data[\'location\']}</label> <input type="text" id="location" name="location" value="{$data[\'old_location\']}" /><br />\n<label for="interests">{$data[\'interests\']}</label> <input type="text" id="interests" name="interests" value="{$data[\'old_interests\']}" /><br />\n    \n<p>{$data[\'updated\']}</p>\n<input type="submit" value="{$data[\'submit_value\']}" name="update" class="clearfloat" />\n</form>\n<p style="clear:both\; margin-top:3em\;">\n<a href="user.php?u={$data[\'uid\']}">{$data[\'show_profile\']}</a>\n</p>\n</div>\n<p style="clear:both\;">&nbsp\;</p>', 'user_cp_profile', 'User CP | Profile', '4');

INSERT INTO `PREFIX|template` VALUES (23, 1, '<h2>{$data[\'username\']}</h2>\n	\n	<div id="profile_view">	\n	\n    	<p id="avatar_preview"><img src="{$data[\'avatar\']}" /><br /> <strong>{$data[\'title_data\']}</strong></p>\n	\n    	<div id="user_info">\n				\n    		<dl>\n				<dt>{$data[\'totalposts\']}</dt>\n				<dd><strong>{$data[\'totalposts_data\']}</strong> ({$data[\'totalposts_extra\']})</dd>\n					\n				<dt>{$data[\'location\']}</dt>\n				<dd>{$data[\'location_data\']}</dd>\n				<dt>{$data[\'regdate\']}</dt>\n				<dd>{$data[\'regdate_data\']} ({$data[\'regdays\']})</dd>\n					\n				<dt>{$data[\'homepage\']}</dt>\n				<dd>{$data[\'homepage_data\']}</dd>\n				<dt>{$data[\'email\']}</dt>\n				<dd>{$data[\'email_data\']}</dd>\n				<dt>{$data[\'msn\']}</dt>\n				<dd>{$data[\'msn_data\']}</dd>\n<dt>{$data[\'interests\']}</dt>\n<dd>{$data[\'interests_data\']}</dd>\n			</dl>\n				\n		</div>\n	\n		<div id="actions">\n			<p id="buttons">\n				{$data[\'find-userposts\']}\n{$data[\'find-userthreads\']}\n				\n				{$data[\'edit-self\']}\n{$data[\'send-pm\']}\n{$data[\'ignore_user\']}\n			</p>\n		</div>\n     \n	\n		<div id="signature_preview">\n			<h3 class="block_header">{$data[\'title-signature\']}</h3>\n       		<p id="signature">{$data[\'signature\']}</p>\n		</div>\n	</div>', 'profile', 'User profile page', '0');

INSERT INTO `PREFIX|template` VALUES (24, 1, '<h2 id="user_cp_header">{$data[\'title\']}</h2>\n    {$data[\'menu\']}\n<div id="user_cp_body">\n<h2>{$data[\'title-signature\']}</h2>\n<form action="cp.php?mode=5" method="POST">\n  <p class="trace_descr">{$data[\'signature_desc\']}</p>\n<div class="signature_preview">{$data[\'signature\']}</div><br />\n<label for="new_sig" class="trace_descr">{$data[\'signature_edit_desc\']}</label> <br /> <textarea cols="80" rows="7" id="new_sig" name="new_sig">{$data[\'signature_edit\']}</textarea>\n    <br /><input type="submit" value="{$data[\'update_button\']}" />\n</form>\n</div>\n<p style="clear:both\;">&nbsp\;</p>', 'user_cp_signature', 'User CP | Signature', '4');

INSERT INTO `PREFIX|template` VALUES (25, 1, '	<h2 id="user_cp_header">{$data[\'title\']}</h2>\n{$data[\'menu\']}\n<div id="user_cp_body">\n	<h2>{$data[\'pm-title\']}</h2>\n	\n	<form name="newpost" method="post" action="cp.php?mode=8">\n<fieldset class="pm_info">\n	<legend>{$data[\'pm_info\']}</legend>\n	<label for="pm_title" class="float">{$data[\'pm_title\']}</label> <input type="text" name="pm_title" id="pm_title" maxlength="255" value="{$data[\'pm_title_content\']}" /><br />\n	<label for="to" class="float">{$data[\'pm_to\']}</label> <input type="text" name="to" id="to" value="{$data[\'pm_to_content\']}" /> <!-- <img src="images/system-search.png" /> --><br />\n	<label for="cc" class="float">{$data[\'pm_cc\']}</label> <textarea rows="5" cols="25" name="cc" id="cc"></textarea>\n</fieldset>\n{$data[\'post-buttons\']}\n	<textarea name="post" id="post_content" cols="75" rows="15">{$data[\'content\']}</textarea><br />\n         \n{$data[\'smileys\']}\n   \n		\n		<h2>{$data[\'alternatives\']}</h2>\n      <label for="store_copy"><input type="checkbox" id="store_copy" name="store_copy" value="1" checked="checked" />{$data[\'store_copy\']}</label> <br />\n      <label for="trace"><input type="checkbox" id="trace" name="trace" value="1" />{$data[\'trace\']}</label>\n     \n      	<p align="center">\n      		<input type="submit" value="{$data[\'submit\']}" name="send" /> <input type="button" value="{$data[\'archive\']}" name="B2" />\n   		</p>\n</form>\n</div> \n<!--/usercp body-->\n	<p style="clear:both\;"></p>\n	\n</div>', 'user_cp_pm_send', 'User CP | Send PM', '4');

INSERT INTO `PREFIX|template` VALUES (26, 1, '<!--===================\nPOSTING DATA/BUTTONS\n=======================-->\n<script language="javascript" src="html/post.js">\nvar txtareaname = "pm"\;\nvar formname = "post_pm"\;\n</script>\n  <select name="font">\n<option value="Verdana" selected="selected">Verdana</option>\n<option value="Times">Times</option>\n<option value="Courier">Courier</option>\n<option value="Impact">Impact</option>\n<option value="Geneva">Geneva</option>\n<option value="Optima">Optima</option>\n  </select> <select name="fontsize">\n<option value="8">8pt</option>\n<option value="10" selected>10pt</option>\n<option value="12">12pt</option>\n<option value="14">14pt</option>\n  </select> \n  \n  <img src="img/{$data[\'img_cat\']}/p_split.gif" border="0" heigt="18" width="2"> \n   <button id="b" border="0" type="button" onClick="insert_bold()"><img src="img/{$data[\'img_cat\']}/p_bold.gif" border="0"></button>\n   <button id="u" border="0" type="button" onClick="insert_underline()"><img src="img/{$data[\'img_cat\']}/p_underline.gif" border="0"></button>\n   <button id="i" border="0" type="button" onClick="insert_italic()"><img src="img/{$data[\'img_cat\']}/p_italic.gif" border="0"></button>\n  <img src="img/{$data[\'img_cat\']}/p_split.gif" border="0" heigt="18" width="2">\n   <button id="q" border="0" type="button" onClick="insert_quote()"><img src="img/{$data[\'img_cat\']}/p_quote.gif" border="0"></button>\n   <button id="p" border="0" type="button" onClick="quote_splitter()"><img src="img/{$data[\'img_cat\']}/p_quoteqplit.gif" border="0"></button>\n  <br />\n   <button id="align_left" border="0" type="button" onClick="do_align_left()"><img src="img/{$data[\'img_cat\']}/p_align_left.gif" border="0"></button>\n   <button id="align_full" border="0" type="button" onClick="do_align_full()"><img src="img/{$data[\'img_cat\']}/p_align_full.gif" border="0"></button>\n   <button id="align_center" border="0" type="button" onClick="do_align_center()"><img src="img/{$data[\'img_cat\']}/p_align_center.gif" border="0"></button>\n   <button id="align_right" border="0" type="button" onClick="do_align_right()"><img src="img/{$data[\'img_cat\']}/p_align_right.gif" border="0"></button>\n   <img src="img/{$data[\'img_cat\']}/p_split.gif" border="0" heigt="18" width="2">\n   <button id="url" border="0" type="button" onClick="insert_url()"><img src="img/{$data[\'img_cat\']}/p_url.gif" border="0"></button>\n   <button id="img" border="0" type="button" onClick="insert_img()"><img src="img/{$data[\'img_cat\']}/p_img.gif" border="0"></button>\n', 'post_buttons_pm', 'PM | Posting buttons', '4');

INSERT INTO `PREFIX|template` VALUES (27, 1, '<h2 id="user_cp_header">{$data[\'inbox_title\']}</h2>\n\n{$data[\'menu\']}\n<!-- User CP body -->\n<div id="user_cp_body">\n	<h2>{$data[\'pm_inbox-title\']}</h2>\n<p class="trace_descr">{$data[\'inbox_descr\']}</p>\n<form action="cp.php?mode=7" method="post" name="inbox">\n<table class="inbox">\n<tr>\n	<th> </th>\n<th style="text-align:left; padding-left:1em;">{$data[\'inbox_th_title\']}</th>\n<th>{$data[\'from\']}</th>\n<th>{$data[\'date\']}</th>\n<th>{$data[\'reply\']}</th>\n<th>{$data[\'delete\']}</th>\n<th>{$data[\'select\']}</th>\n</tr>\n{$data[\'inbox_row\']}\n\n{$data[\'content\']}\n\n</table>\n<p id="pm_tot_msg">{$data[\'tot_msg\']}</p>\n<fieldset class="pm_action"><label for="action">With selected: </label><select name="action" id="action">\n	<option value="delete" onClick="inbox.submit();">{$data[\'delete\']}</option>\n	<option value="markread" onClick="inbox.submit();">{$data[\'markread\']}</option>\n	<option value="markunread" onClick="inbox.submit();">{$data[\'markunread\']}</option>\n	<!-- <option value="archive">Archive</option> -->\n	</select>\n</fieldset>\n</form>\n\n<p id="pm_refresh"><a href="cp.php?mode=7&amp;f=1">{$data[\'refresh\']}</a></p>\n		', 'user_cp_pm_inbox', 'User CP | PM Inbox', 4);

INSERT INTO `PREFIX|template` VALUES (28, 1, '<h2 id="user_cp_header">{$data[\'title\']}</h2> \n \n{$data[\'menu\']}\n\n<div id="user_cp_body">\n	<h2>{$data[\'avatar-title\']}</h2>\n<form action="cp.php?mode=13" method="POST">   <p class="trace_descr"> {$data[\'current_avatar_descr\']}</p> \n<h3 class="small_heading">{$data[\'current_heading\']}</h3>\n<p class="trace_descr">\n{$data[\'current_avatar_desc\']}</p>\n\n<div id="avatar_content"> <img src="{$data[\'current_avatar\']}" alt = "{$data[\'current_avatar_alt\']}" link="{$data[\'current_avatar_alt\']}" class="clearfloat" /> </div>\n\n<h3 class="small_heading">{$data[\'change_avatar\']}</h3>\n<label for="new_avatar">{$data[\'avatar_edit_desc\']}    <input type="textfield" id="new_avatar" name="new_avatar" value="{$data[\'avatar_edit\']}"> </label>\n\n<input type="submit" value="{$data[\'update_button\']}" class="avatar_submit" />\n</form>\n</div>\n<p class="clearfloat"> &nbsp; </p>', 'user_cp_avatar', 'User CP | Avatar', 4);

INSERT INTO `PREFIX|template` VALUES (29, 1, '<h2 id="user_cp_header">{$data[\'title\']}</h2>\n{$data[\'menu\']}\n<!- User CP body -->\n<div id="user_cp_body">\n	<h2>{$data[\'trace-title\']}</h2>\n<p class="trace_descr">{$data[\'trace_descr\']}</p>\n<h3 class="small_heading">{$data[\'unread\']}</h3>\n<p class="trace_descr">{$data[\'unread_description\']}</p>\n<table class="trace">\n<tr><th>{$data[\'to\']}</th><th>{$data[\'th_title\']}</th><th>{$data[\'date\']}</th><th>{$data[\'recall\']}</th></tr>\n{$data[\'unread-row\']}\n</table>\n<h3 class="small_heading">{$data[\'read\']}</h3>\n<p class="trace_descr">{$data[\'read_description\']}</p>\n<table class="trace">\n<tr><th>To</th><th>Title</th><th>Date</th></tr>\n{$data[\'read-row\']}\n</table>\n</div>\n<!-- /User CP body -->\n	<p style="clear:both\;"></p>', 'user_cp_trace_pm', 'User CP | Trace PM', '4');

INSERT INTO `PREFIX|template` VALUES (30, 1, '<tr><td class="left">{$data[\'name\']}</td><td class="left">{$data[\'title\']}</td><td>{$data[\'date\']}</td></tr>\n', 'user_cp_trace_pm_readrow', 'User CP | Trace PM | Read messages row', '4');

INSERT INTO `PREFIX|template` VALUES (31, 1, '<tr><td class="left">{$data[\'name\']}</td><td class="left">{$data[\'title\']}</td><td>{$data[\'date\']}</td><td><a href="cp.php?mode=11&amp\;act=delete&amp\;id={$data[\'id\']}"><img src="img/{$data[\'skin_set\']}/edit-delete.png" /> {$data[\'delete\']}</a></td></tr>\n', 'user_cp_trace_pm_unreadrow', 'User CP | Trace PM | Unread messages row', '4');

INSERT INTO `PREFIX|template` VALUES (32, 1, '<tr><td colspan="4">{$data[\'no_trace\']}</td></tr>\n', 'user_cp_trace_pm_no_trace', 'User CP | Trace PM | Nothing to trace row', 4);

INSERT INTO `PREFIX|template` VALUES (33, 1, '<tr><td class="icon"><img src="img/{$data[\'skin_set\']}/mail-message{$data[\'img\']}-new.png" /></td>\n			<td class="title"><a href="cp.php?mode=9&amp;id={$data[\'id\']}">{$data[\'title\']}</a></td><td>{$data[\'name\']}</td>\n			<td class="date">{$data[\'date\']}</td>\n			<td class="icon"><a href="cp.php?mode=6&amp;quote={$data[\'msg_id\']}"><img src="img/{$data[\'skin_set\']}/mail-reply-sender.png" /></td>\n			<td class="icon"><a href="cp.php?mode=7&amp;act=delete&amp;id={$data[\'id\']}"><img src="img/{$data[\'skin_set\']}/mail-mark-junk-small.png" /></a></td>\n			<td class="icon"><input type="checkbox" name="marked[]" value="{$data[\'id\']}" /></td></tr>', 'user_cp_inbox_row', 'User CP | PM Inbox row', 4);

INSERT INTO `PREFIX|template` VALUES (34, 1, '<tr><td colspan="7">{$data[\'no_pms\']}</td></tr>', 'user_cp_inbox_nopm', 'User CP | PM Inbox | No pm row', 4);

INSERT INTO `PREFIX|template` VALUES (35, 1, '<a href="index.php">{$data[\'forumname\']}</a>', 'navigation_start', 'Navigation | start', '5');

INSERT INTO `PREFIX|template` VALUES (36, 1, ' &raquo\; <a href="{$data[\'url\']}">{$data[\'name\']}</a>', 'navigation_link', 'Navigation | link', '5');

INSERT INTO `PREFIX|template` VALUES (37, 1, '</div>', 'navigation_end', 'Navigation | end', '5');

INSERT INTO `PREFIX|template` VALUES (38, 1, '<form name="newpost" method="post" action="post.php?mode=01">\n  <style type="text/css">\n.button     { width: 22px\; height: 22px\; border: 1px solid buttonface\; margin: 0\; padding: 0\; }\;\n      </style> \n            <textarea name="post" cols="76" rows="10"></textarea> \n              <br /> <br />\n  \n      <p style="text-align:center\;"><input type="checkbox" name="use_smileys" value="1" checked> {$data[\'show_smileys\']} |\n      <input type="checkbox" name="sig" value="1" checked> {$data[\'show_signature\']} </p>\n  \n  <p style="text-align:center\;">\n  <input type="submit" value="{$data[\'submit_button\']} " name="send" /> | <input type="button" value="{$data[\'preview_button\']} " name="B2" />\n  </p>\n  \n  <input type="hidden" name="do" value="{$data[\'do_what\']}">\n  <input type="hidden" name="cat" value="{$data[\'category\']}">\n  <input type="hidden" name="forum" value="{$data[\'forum_id\']}">\n  <input type="hidden" name="topic" value="{$data[\'topic_id\']}">\n  <!-- <input type="hidden" name="postID" value="{$data[\'post_id\']}"> -->\n  <input type="hidden" name="sid" value="{$data[\'sid\']}">\n  <input type="hidden" name="user" value="{$data[\'user_id\']}">\n</form>', 'post_quick_reply', 'Post | Quick Reply', '6');

INSERT INTO `PREFIX|template` VALUES (39, 1, '<h2>{$data[\'memberlist_title\']}</h2>\n<form method="post" action="members.php">  \n<p style="text-align:right\; margin:0.5em\;">{$data[\'l_sort_after\']}Â \;\n<select name="orderby">\n	<option value="registred" selected="selected">{$data[\'l_registred\']}</option>\n	<option value="name">{$data[\'l_username\']}</option><option value="posts">{$data[\'l_posts\']}</option>\n	<option value="email">{$data[\'l_group\']}</option><option value="homepage">{$data[\'l_homepage\']}</option>\n</select>{$data[\'l_sort\']}\n<select name="order">\n	<option value="up" selected="selected">{$data[\'l_up\']}</option>\n	<option value="DESC">{$data[\'l_down\']}</option>\n</select>\n<input type="submit" name="submit" value="{$data[\'l_sort_button\']}" class="liteoption" />\n</p>\n</form>\n<table id="memberlist" style="width:100%\; text-align:center\; line-height:1.5em\;">\n	<tr>\n		<th style="width:3%">{$data[\'l_id\']}</th>\n		<th style="width:20%">{$data[\'l_username\']}</th>\n		<th style="width:10%">{$data[\'l_posts\']}</th>\n		<th style="width:15%">{$data[\'l_registred\']}</th>\n		<th style="width:15%">{$data[\'l_title\']}</th>\n		<th style="width:15%">{$data[\'l_homepage\']}</th>\n		<th style="width:15%">{$data[\'l_group\']}</th>\n		<th style="width:7%">{$data[\'l_status\']}</th>\n	</tr>\n	{$data[\'memberlist\']}\n</table>', 'Memberlist', 'Memberlist', '0');

INSERT INTO `PREFIX|template` VALUES (40, 1, '<tr> <td class="forum2" style="width:5%"><div class="center">{$data[\'id\']}</div></td><td class="forum2" style="width:9%"><div class="center"><a href="user.php?u={$data[\'id\']}">{$data[\'name\']}</a></div></td><td class="forum2" style="width:9%"><div class="center">{$data[\'posts\']}</div></td><td class="forum2" style="width:9%"><div class="center">{$data[\'reg\']}</div></td><td class="forum2" style="width:9%"><div class="center">{$data[\'title\']}</div></td><td class="forum2" style="width:9%"><div class="center"><a href="{$data[\'homepage\']}">{$data[\'homepage\']}</a></div></td> <td class="forum2" style="width:9%"><div class="center">{$data[\'group\']}</div></td><td class="forum2" style="width:9%"><div class="center">{$data[\'status\']}</div></td> </tr>', 'memberlist_data', 'memberlist_data', '0');

INSERT INTO `PREFIX|template` VALUES (41, 1, '<h2>{$data[\'send-report\']}</h2>\n<p id="report_descr">{$data[\'help-text\']}</p>\n<fieldset id="report">\n      <legend>{$data[\'topic-title\']}</legend>\n<form method="POST" action="report.php?act=send">     \n<textarea rows="7" name="report" cols="60" id="report_content"></textarea><br />\n<input type="submit" value="{$data[\'send-report\']}" name="send">\n<input type="hidden" name="url" value="{$data[\'post-url\']}">\n</form>\n</fieldset>\n<p id="clear"></p>', 'report_post', 'Report post', '7');

INSERT INTO `PREFIX|template` VALUES (42, 1, '<h2 id="user_cp_header">{$data[\'title\']}</h2>\n{$data[\'menu\']}\n<!- User CP body -->\n<div id="user_cp_body">\n	<h3 class="small_no_margin">{$data[\'readpm-title\']} - {$data[\'readpm_date\']}</h3>\n  <div class="pm_pm">\n<div class="pm_left">\n    <h3>\n      <a href="user.php?u={$data[\'user_id\']}">{$data[\'user_name\']}</a>\n    </h3>\n    <img src="{$data[\'user_avatar\']}" /><br />\n    <strong>{$data[\'user_title\']}</strong> <br />\n    <dl class="dl_post">\n      <dt>{$data[\'user_registred_title\']}</dt>\n      <dd>{$data[\'user_registred\']}</dd>\n      <dt>{$data[\'user_location_title\']}</dt>\n      <dd>{$data[\'user_location\']}</dd>\n      <dt>{$data[\'user_posts_title\']}</dt>\n      <dd>{$data[\'user_posts\']}</dd>\n   </dl> \n  </div>\n<div class="pm_right">\n <p class="pm_data">\n      {$data[\'pm_data\']}\n </p> \n<hr class="signature" />\n<p class="pm_signature">\n{$data[\'pm_signature\']}\n    </p>\n</div>\n\n</div>\n<p class="clearfloat" style="float:left;margin-left:17em;padding-top:1em;">\n<a class="reply" href="cp.php?mode=6&amp;quote={$data[\'msg_id\']}"><img src="img/{$data[\'skin_set\']}/mail-reply-sender-big.png" />{$data[\'reply\']}</a>\n<a class="delete" href="cp.php?mode=7&amp;act=delete&amp;id={$data[\'id\']}">\n<img src="img/{$data[\'skin_set\']}/mail-mark-junk.png" />{$data[\'delete\']}</a></p>\n</div>\n<p class="clearfloat">&nbsp;</p>', 'user_cp_read_pm', 'User CP | Read PM', 4);

INSERT INTO `PREFIX|template` VALUES (45, 1, '<html>\n  \n<head>\n  <meta http-equiv="Content-Language" content="no-bok">\n  <meta http-equiv="Content-Type" content="text/html\; charset=windows-1252">\n  <style type="text/css" media="all">\n    @import "design/viking/admin.css"\;\n  </style>\n  <title>{$data[\'title\']}</title>\n</head>\n<body>\n  <table border="1" width="100%" id="table1">\n    <tr>\n      <td width="160" valign="top">\n        <div id="admin_menu">\n          {$data[\'adminmenu\']}\n        </div>\n      </td>\n      <td valign="top">\n        <div id="adminContainer">\n          {$data[\'body\']}\n        </div>\n</td>\n</tr>\n</table>\n<p>\n  <div align="center">\n    run time: {$data[\'runtime\']}<br />\n    queries: {$data[\'queries\']}</br />\n    {$data[\'copyright\']}\n    {$data[\'debugdata\']}\n  </div>\n</p>\n</body>\n</html>\n', 'adminwrapper', 'Admin - Wrapper', '3');

INSERT INTO `PREFIX|template` VALUES (46, 1, '<!--LOGO-->\n<div id="logo">\n</div>\n<!--general-->\n<div id="menuCat">{$data[\'general\']}</div>\n<ul>\n<li><a href="admin.php">{$data[\'adminIndex\']}</a></li>\n<li><a href="index.php">{$data[\'forumIndex\']}</a></li>\n</ul>\n<!--system settings-->\n<div id="menuCat">{$data[\'system\']}</div>\n<ul>\n<li><a href="admin.php?act=config_global">{$data[\'globalConfig\']}</a></li>\n<li><a href="admin.php?act=config_site">{$data[\'siteConfig\']}</a></li>\n<li><a href="admin.php?act=cachemanager">{$data[\'cachemanager\']}</a></li>\n</ul>\n<!--forum settings-->\n<div id="menuCat">{$data[\'forums\']}</div>\n<ul>\n<li><a href="admin.php?act=forums">{$data[\'manageForums\']}</a></li>\n</ul>\n<!--language settings-->\n<div id="menuCat">{$data[\'language\']}</div>\n<ul>\n<li><a href="admin.php?act=cencor">{$data[\'wordCencor\']}</a></li>\n<li><a href="admin.php?act=language">{$data[\'language\']}</a></li>\n</ul>\n<!--user settings--> <div id="menuCat">{$data[\'users\']}</div> <ul> <li><a href="admin.php?act=user&error=1">{$data[\'user_home\']}</a></li> <li> <li><a href="admin.php?act=user&cmd=1">{$data[\'add_user\']}</a></li> <li><a href="admin.php?act=user&cmd=2">{$data[\'edit_user\']}</a></li> <li><a href="admin.php?act=user&cmd=3">{$data[\'drop_user\']}</a></li> <li><a href="admin.php?act=user&cmd=4">{$data[\'ban_user\']}</a></li> </ul>\n<!--Template settings-->\n<div id="menuCat">{$data[\'templates\']}</div>\n<ul>\n<li><a href="admin.php?act=templates">{$data[\'template_manager\']}</a></li>\n</ul>\n<!--Log settings-->\n<div id="menuCat">{$data[\'logs\']}</div>\n<ul>\n<li><a href="admin.php?act=log_tasks">{$data[\'task_log\']}</a></li>\n<li><a href="admin.php?act=email_queue">{$data[\'email_queue\']}</a></li>\n</ul>\n<!--Developer settings-->\n<div id="menuCat">developer tools</div>\n<ul>\n<li><a href="admin.php?act=stressflooder">Magic content maker</a></li>\n<li><a href="admin.php?act=dev_sqlmaker">Create install SQL</a></li>\n</ul>', 'adminmenu', 'Admin - Menu', '3');

INSERT INTO `PREFIX|template` VALUES (47, 1, '<p>{$data[\'info\']}</p>\n<p><b>Template sets</b><br />\n<table border="0" width="100%" id="table1" align="top">\n{$data[\'listtemplatesets\']}\n</table\n/p>\n<p>\n<b>Template tools</b><br />\n<ul>\n<li><a href="admin.php?act=templates&cmd=addcategory">Add template category</a></li>\n<li><a href="admin.php?act=templates&cmd=newset">Create new template set</a></li>\n<li><a href="admin.php?act=templates&cmd=newcode">Add new template code</a></li>\n</ul>\n</p>', 'admin_tpl_main', 'Template admin - mainpage', '2');

INSERT INTO `PREFIX|template` VALUES (48, 1, '<tr>\n<td colspan="4"><a href="admin.php?act=templates&active={$data[\'id\']}">{$data[\'name\']}</a></td>\n</tr>\n', 'admin_tpl_listset', 'Template admin - list template set', '2');

INSERT INTO `PREFIX|template` VALUES (49, 1, '<!--category-->\n<tr>\n <td width="20"></td>\n <td><b>|--&nbsp\;{$data[\'name\']}</b></td>\n</tr>\n<!--category-->', 'admin-tpl_listcat', 'List categories in active set', '2');

INSERT INTO `PREFIX|template` VALUES (50, 1, '<tr>\n <td width="20"></td>\n <td>|------&nbsp\;<a href="admin.php?act=templates&cmd=editor&id={$data[\'id\']}">{$data[\'name\']}</a></td>\n</tr>', 'admin-tpl_listtpl', 'Template admin - List templates in category', '2');

INSERT INTO `PREFIX|template` VALUES (51, 1, '<form method="POST" action="admin.php?act=templates&cmd=editor&id={$data[\'templateId\']}">\n<p><b>Editing "{$data[\'niceName\']}" (</b>{$data[\'systemName\']}<b>)<br />\nTemplate set: Foo<br />\nCategory: {$data[\'category\']}</b></p>\n<p><b>HTML Code:</b><br />\n<textarea rows="30" name="html" cols="120">{$data[\'html\']}</textarea><br />\n<br />\n<input type="submit" value="Update this code" name="B1">\n<input type="hidden" value="{$data[\'systemName\']}" name="systemName">\n</p>\n</form>', 'admin-tpl_editor', 'Template editor page', '2');

INSERT INTO `PREFIX|template` VALUES (52, 1, '<form method="POST" action="admin.php?act=templates&cmd=addNewCode">\n<p>{$data[\'info\']}<br />\n<br />\n{$data[\'niceName\']} <input type="text" name="niceName" size="20"><br />\n{$data[\'tagName\']} <input type="text" name="tagName" size="20"><br />\n{$data[\'cat\']} <select size="1" name="category">{$data[\'dropDown\']} </select><br />\n<br />\n{$data[\'html\']} <br />\n<textarea rows="12" name="content" cols="63"></textarea><br />\n<br />\n<input type="submit" value="Send" name="thisisjustthatbuttonthatyouhavetopressonsometimes"></p>\n</form>', 'admin-tpl_addcode', 'Add template code form', '2');

INSERT INTO `PREFIX|template` VALUES (54, 1, '<form method="POST" action="admin.php?act=templates&cmd=addNewCategory">\n<p>{$data[\'info\']}<br />\n<br />\n{$data[\'name\']} <input type="text" name="catName" size="20"><br />\n<br />\n<input type="submit" value="Send" name="thisisjustthatbuttonthatyouhavetopressonsometimes"></p>\n</form>', 'admin-tpl_addcategory', 'Add template category form', '2');

INSERT INTO `PREFIX|template` VALUES (55, 1, '<table cellspacing="0" cellpadding="0" width="600" border="1">\n  <tr bgcolor="#cccccc">\n    <td width="440"><b>{$data[\'groupName\']}</b></td>\n    <td width="150"></td><td width="50"></td></tr>', 'adm_conf_global_startgroup', 'Global config - startGroup', '8');

INSERT INTO `PREFIX|template` VALUES (56, 1, '<input type="textbox" value="{$data[\'value\']}" name="{$data[\'name\']}" size="{$data[\'size\']}" /> {$data[\'descr\']}', 'adm_conf_global_textbox', 'Global config - a textbox', '8');

INSERT INTO `PREFIX|template` VALUES (58, 1, '<option value="{$data[\'value\']}" {$data[\'selected\']}>{$data[\'name\']}</option>\n', 'adm_conf_global_drop_content', 'Global config - a drop down content', '8');

INSERT INTO `PREFIX|template` VALUES (59, 1, '<select name="{$data[\'name\']}">\n{$data[\'content\']}\n</select>', 'adm_conf_global_drop_wrap', 'Global config - a drop down wrapper', '8');

INSERT INTO `PREFIX|template` VALUES (60, 1, '<tr>\n  <td>\n    <b>{$data[\'title\']}</b><br />\n    {$data[\'descr\']}</td><td >\n    {$data[\'foo\']}\n  </td>\n  <td>\n    <div align="center">[edit]</div>\n  </td>\n</tr>', 'adm_conf_global_setting_wrap', 'Global config - showSetting', '8');

INSERT INTO `PREFIX|template` VALUES (61, 1, '</table>', 'adm_conf_global_endSubGroup', 'Global config - endSubGroup', '8');

INSERT INTO `PREFIX|template` VALUES (62, 1, '<br />\n', 'adm_conf_global_endGroup', 'Global config - endGroup', '8');

INSERT INTO `PREFIX|template` VALUES (63, 1, '<h2>General forum configuration</h2>\n<form method="POST" action="admin.php?act=config_global" name="config">\n<!--content-->\n{$data[\'content\']}\n<!--/content-->\n<table width="660"><tr><td><br /><br /><div align="center">\n<a href="javascript:config.submit()">Save configuration</a>\n</div></td></tr></table>', 'adm_conf_global', 'Global config - wrapper', '8');

INSERT INTO `PREFIX|template` VALUES (64, 1, '<h2>{$data[\'welcome\']}</h2>\nWelcome and thank you for choosing the Vikingboard forum solution. This part of the forum is dedicated for configuration and management of the whole system. The main menu is located at the left side, and you can quickly come back to this site by clicking the "Admin Index" link.<br />\n<br />\n<br />\n<h2>{$data[\'stats\']}</h2>\n<table width="100%" cellspacing="0" cellpadding="5" align="center" border="1">\n<tr>\n<td width=\'25%\' align=\'center\'><b>{$data[\'name\']}</b></td>\n<td width=\'25%\' align=\'center\'><b>{$data[\'value\']}</b></td>\n<td width=\'25%\' align=\'center\'><b>{$data[\'name\']}</b></td>\n<td width=\'25%\' align=\'center\'><b>{$data[\'name\']}</b></td>\n</tr>\n<tr>\n<td width=\'25%\'  valign=\'middle\' align=\'center\'><b>{$data[\'totalUsers\']}</b></td>\n<td width=\'25%\'  valign=\'middle\' align=\'center\'><b>{$data[\'totalUsersNum\']}</b></td>\n<td width=\'25%\'  valign=\'middle\' align=\'center\'><b>{$data[\'totalTopics\']}</b></td>\n<td width=\'25%\'  valign=\'middle\' align=\'center\'><b>{$data[\'totalTopicsNum\']}</b></td>\n</tr>\n<tr>\n<td width=\'25%\'  valign=\'middle\' align=\'center\'><b>{$data[\'totalReports\']}</b></td>\n<td width=\'25%\'  valign=\'middle\' align=\'center\'><b>{$data[\'totalReportsNum\']}</b></td>\n<td width=\'25%\'  valign=\'middle\' align=\'center\'><b>{$data[\'totalPosts\']}</b></td>\n<td width=\'25%\'  valign=\'middle\' align=\'center\'><b>{$data[\'totalPostsNum\']}</b></td>\n</tr>\n</table>\n<br />\n<br />\n<h2>{$data[\'quickstart\']}</h2>\n<br />\n<div align="center">\n  <img src="http://www.vikingboard.com/versionImages/{$data[\'version\']}.png" />\n</div>', 'admin_index', 'Frontpage', '3');

INSERT INTO `PREFIX|template` VALUES (65, 1, '<h2>Cachestatus</h2>\nThis page shows a list of everything that has been cached to disk, Vikingboard uses theese files instead of going through the database system to save resources. If you dont know what all this is, you dont need to touch anything.<br /><br />\nIf you delete a cachefile, it will be removed but will appear again as soon as the data is cached again, the time it takes for the file to appear is based on how much traffic it is on the board.<br /><br />\n{$data[\'content\']}', 'admin_cachemanager', 'Cachemanager - wrapper', '9');

INSERT INTO `PREFIX|template` VALUES (66, 1, '<table cellspacing="0" cellpadding="0" width="80%" border="1">\n  <tr bgcolor="#cccccc">\n    <td>\n        <b>{$data[\'name\']}</b></td><td></td></tr>', 'admin_cache_startList', 'Cachemanager - startRow', '9');

INSERT INTO `PREFIX|template` VALUES (67, 1, '<tr>\n <td>{$data[\'file\']} ({$data[\'size\']})</td>\n  <td><center><a href="admin.php?act=cachemanager&cmd=delete&remove={$data[\'file\']}">{$data[\'delete\']}</a> - <a href="admin.php?act=cachemanager&cmd=show&view={$data[\'file\']}">{$data[\'view\']}</a></center></td>\n</tr>', 'admin_cache_row', 'Cachemanager - Row', '9');

INSERT INTO `PREFIX|template` VALUES (68, 1, '</tr></table><br />', 'admin_cache_endtList', 'Cachemanager - endRow', '9');

INSERT INTO `PREFIX|template` VALUES (69, 1, '<h2>Manage forums</h2>\n*some nice description here*<br />\n<br />\n<!--StartCategorylisting-->\n<table border="1" width="100%" id="table1">\n  <tr>\n    <td>\n        <p align="center">\n          <b>Forum and category management</b>\n        </p>\n          <table border="0" width="100%" id="table2">\n    <!--startContent-->\n{$data[\'content\']}\n    <!--endContent-->\n          </table>\n   \n    </td>\n  </tr>\n</table>\n<!--done-->\n<!--New category-->\n<br />\n<table border="1" width="100%" id="table1">\n  <tr>\n    <td>\n        <p align="center">\n          <b><a href="admin.php?act=forums&cmd=newforum&id=0">{$data[\'createCategory\']}</a></b>\n        </p>\n    </td>\n  </tr>\n</table> \n<!--done-->', 'admin_forums_main', 'Forums - Forumlisting', '10');

INSERT INTO `PREFIX|template` VALUES (70, 1, '<!--renderCategory START-->\n  <tr>\n    <td align="left" colspan="2"><br /><b>{$data[\'name\']}</b></td>\n    <td align="center"><br /><b><a href="admin.php?act=forums&cmd=editcategory&id={$data[\'id\']}">Edit</a></b></td>\n    <td align="center"><br /><b>{$data[\'delete\']}</b></td>\n    <td align="center"><br /><b>{$data[\'move\']}</b></td>\n    <td align="center"><br /><b><a href="admin.php?act=forums&cmd=newforum&id={$data[\'id\']}">{$data[\'new\']}</a></b></td>\n  </tr>\n<!--renderCategory END-->', 'admin_forums_cat', 'Forums - renderCategory', '10');

INSERT INTO `PREFIX|template` VALUES (71, 1, '<!--renderForum START-->\n  <tr>\n    <td align="left"></td>\n    <td align="left">{$data[\'name\']}</td>\n    <td align="center">{$data[\'edit\']}</td>\n    <td align="center">{$data[\'delete\']}</td>\n    <td align="center">{$data[\'move\']}</td>\n    <td align="center">{$data[\'resync\']}</td>\n  </tr>\n<!--renderForum END-->', 'admin_forums_forums', 'Forums - renderForum', '10');

INSERT INTO `PREFIX|template` VALUES (72, 1, '<form method="POST" action="admin.php?act=forums&cmd=editcategory&id={$data[\'id\']}">\n<table border="0" width="100%" id="table1" cellspacing="0" cellpadding="0">\n<tr>\n<td>\n<p align="right">{$data[\'name\']}</td>\n<td></td>\n<td><input type="text" name="name" size="50" value="{$data[\'categoryName\']}"></td>\n</tr>\n<tr>\n<td>\n<p align="right">{$data[\'descr\']}</td>\n<td></td>\n<td><textarea name="descr" cols="50" rows="12">{$data[\'descr\']}</textarea></td>\n</tr>\n</table>\n<p>\n  <div align="center">\n    <input type="submit" value="{$data[\'update\']}&quot\; name="B1">\n  </div>\n</p>\n</form>\n', 'admin_forums_editcat', 'Forums - Edit Category', '10');

INSERT INTO `PREFIX|template` VALUES (73, 1, '<select name="{$data[\'name\']}" size="1">', 'dropdown_start', 'Dropdown - start', '11');

INSERT INTO `PREFIX|template` VALUES (74, 1, '</select>', 'dropdown_end', 'Dropdown - end', '11');

INSERT INTO `PREFIX|template` VALUES (75, 1, '<option value="{$data[\'value\']}" {$data[\'selected\']}>{$data[\'name\']}</option>', 'dropdown_option', 'Dropdown - Row', '11');

INSERT INTO `PREFIX|template` VALUES (76, 1, '<tr> \n      <td width="19%" id="title2">{$data[\'topic_help\']}<br /> </td>\n      <td width="81%" id="title2"> <input name="title" type="text" size="50" value="{$data[\'topic_name\']}"></td>\n</tr>', 'post_topic', 'Post page | topic name', '7');

INSERT INTO `PREFIX|template` VALUES (77, 1, '<form method="POST" action="admin.php?act=forums&cmd=newforum&id={$data[\'id\']}">\n<table border="0" width="100%" id="table1" cellspacing="0" cellpadding="0">\n<tr>\n<td>\n<p align="right">{$data[\'name\']}</td>\n<td></td>\n<td><input type="text" name="name" size="50"></td>\n</tr>\n<tr>\n<td>\n<p align="right">{$data[\'descr\']}</td>\n<td rowspan="5"></td>\n<td><textarea name="descr" cols="42" rows="7"></textarea></td>\n</tr>\n<tr>\n<td>\n&nbsp\;</td>\n<td></td>\n</tr>\n<tr>\n<td>\n<p align="right">{$data[\'category\']}</td>\n<td><select name="category">{$data[\'categorylist\']}</select></td>\n</tr>\n<tr>\n<td>\n&nbsp\;</td>\n<td></td>\n</tr>\n<tr>\n<td>\n&nbsp\;</td>\n<td></td>\n</tr>\n</table>\n<p>\n  <div align="center">\n    <input type="submit" value="{$data[\'create\']}" name="B1">\n<br /><br />\n<b>{$data[\'infoMessage\']}</b>\n</br />\n  </div>\n</p>\n</form>\n', 'admin_forums_addforum', 'Forums - Add forum', '10');

INSERT INTO `PREFIX|template` VALUES (78, 1, '<img src="img/{$data[\'templateId\']}/internet-group-chat-new.png" alt="New posts in this forum" />', 'gotnewposts_code', 'Forum - new posts html', '13');

INSERT INTO `PREFIX|template` VALUES (79, 1, '<img src="img/{$data[\'templateId\']}/internet-group-chat.png" alt="No new posts in this forum" />', 'donthavenewposts_code', 'Forum - no new posts html', '13');

INSERT INTO `PREFIX|template` VALUES (80, 1, '{$data[\'in\']} <a href="{$data[\'topicLink\']}">{$data[\'title\']}</a> {$data[\'by\']} <a href="{$data[\'authorLink\']}">{$data[\'author\']}</a><br />\n				{$data[\'date\']}', 'forum_lastpostlink', 'Forum - Lastpost link', '13');

INSERT INTO `PREFIX|template` VALUES (81, 1, '<h2>\n	<img src="img/{$data[\'skin_set\']}/system-search-small.png" />\n	{$data[\'search\']}\n</h2>\n<div id="search_form">\n	<form method="get" action="search.php">\n	<fieldset class="center">\n		<input type="text" name="search" id="search" size="55" value="{$data[\'query\']}" />\n		<input type="submit" value="{$data[\'search\']}" class="submit" />\n		<input type="hidden" name="act" value="dosearch" />\n	</fieldset>\n	</form>\n</div>', 'search_frontpage', 'Search - Frontpage', '14');

INSERT INTO `PREFIX|template` VALUES (82, 1, '<h2>\n	<img src="img/{$data[\'skin_set\']}/system-search-small.png" />\n	{$data[\'search\']}\n	<span class="search_info">{$data[\'infoLine\']}</span>\n</h2>\n<div id="search_form">\n	<form method="get" action="search.php">\n	<fieldset class="center">\n		<input type="text" name="search" id="search" size="55" value="{$data[\'query\']}" />\n		<input type="submit" value="{$data[\'search\']}" class="submit" />\n		<input type="hidden" name="act" value="dosearch" />\n	</fieldset>\n	</form>\n</div>\n<div id="search_results">\n	<h3>{$data[\'posts_found\']}</h3>\n	<div class="search_result">\n{$data[\'result\']}\n	</div>\n</div>\n<div id="search_topics">\n	<h3>{$data[\'topics_found\']}</h3>\n	<ul id="topics_found">\n{$data[\'topics\']}\n	</ul>\n</div>\n<hr style="visibility: hidden\; clear: both\;" />', 'search_result_wrapper', 'Search - Resultswrapper', '14');

INSERT INTO `PREFIX|template` VALUES (83, 1, '		<h4><a href="{$data[\'link\']}">{$data[\'title\']}</a></h4>\n		<p>{$data[\'post\']}</p>\n		<p class="search_result_link"><a href="{$data[\'link\']}">{$data[\'link\']}</a> - <span class="search_result_date">{$data[\'date\']}</span></p>', 'search_result_defaultrow', 'Search - ResultRow - Standard', '14');

INSERT INTO `PREFIX|template` VALUES (84, 1, '		<div class="search_result_inline">\n			<h4><a href="{$data[\'link\']}">{$data[\'title\']}</a></h4>\n			<p>{$data[\'post\']}</p>\n			<p class="search_result_link"><a href="{$data[\'link\']}">{$data[\'link\']}</a> - <span class="search_result_date">{$data[\'date\']}</span></p>\n		</div>', 'search_result_extendedrow', 'Search - ResultRow - Inline', '14');

INSERT INTO `PREFIX|template` VALUES (85, 1, '<h2>{$data[\'title\']}</h2>\n{$data[\'helptext\']}<br />\n<table border="1" width="100%" id="table1" cellspacing="0" cellpadding="0">\n	<tr>\n		<td align="center"><b>{$data[\'date\']}</b></td>\n		<td align="center"><b>{$data[\'task\']}</b></td>\n		<td align="center"><b>{$data[\'ip\']}</b></td>\n	</tr>\n  \n     {$data[\'rows\']}\n</table>', 'admin_tasklog_main', 'Task log - wrapper/main', '15');

INSERT INTO `PREFIX|template` VALUES (86, 1, '<tr>\n		<td>{$data[\'date\']}</td>\n		<td>{$data[\'task\']}</td>\n		<td>{$data[\'ip\']}</td>\n</tr>', 'admin_tasklog_row', 'Task log - Row', '15');

INSERT INTO `PREFIX|template` VALUES (87, 1, '<h2>{$data[\'view_cache\']}</h2>\n<hr>\n<textarea ROWS="50" COLS="100">\n{$data[\'cache\']}\n</textarea>\n<br />\n<hr>', 'admin_cache_viewraw', 'Cachemanager - View cache data', '9');

INSERT INTO `PREFIX|template` VALUES (88, 1, '<h2>{$data[\'title\']}</h2>\n{$data[\'description\']}<br />\n<table width="100%" cellspacing="0" cellpadding="5" align="center" border="1">\n<tr>\n<td width=\'30%\' align=\'center\'><b>{$data[\'word_before\']}</b></td>\n<td width=\'30%\' align=\'center\'><b>{$data[\'word_after\']}</b></td>\n<td width=\'20%\' align=\'center\'><b>{$data[\'word_type\']}</b></td>\n<td width=\'20%\' align=\'center\'><b>{$data[\'action\']}</b></td>\n</tr>\n{$data[\'wordlist\']}\n</table>\n<h2>{$data[\'addword\']}</h2>\n<form method="POST" action="admin.php?act=cencor&cmd=addword">\n{$data[\'word_before\']} <input type="text" name="before" /><br />\n{$data[\'word_after\']} <input type="text" name="after" /><br />\n{$data[\'word_type\']}: \n    <select name="type">\n        <option value="strict">Strict</option>\n        <option value="loose">Loose</option>\n    </select>\n<br />\n<input type="submit" value="{$data[\'addWord\']}" />\n</form>', 'admin_cencor_list', 'Word Cencor - main page', '16');

INSERT INTO `PREFIX|template` VALUES (89, 1, '<h2>Language Manager</h2>\nPlease select the language you wish to manage.<br />\n{$data[\'languageList\']}', 'admin_languages', 'Frontpage', '17');

INSERT INTO `PREFIX|template` VALUES (90, 1, '<a href="admin.php?act=language&cmd=language&language={$data[\'id\']}&thatname={$data[\'name\']}&type={$data[\'typeId\']}">\n{$data[\'name\']}\n</a><br />', 'admin_languages_row', 'Frontpage - languageRow', '17');

INSERT INTO `PREFIX|template` VALUES (91, 1, '<h2>Manage language: {$data[\'language\']}</h2>\nThis page contains all words currently in the spesified language file, sorted in groups.<br />\n<br />\n<form method="POST" action="admin.php?act=language&cmd=language&save=1&language={$data[\'id\']}&thatname={$data[\'language\']}&type={$data[\'type\']}">\n<br />\n<div align="center">\n    <input type="submit" name="" value="update words" />\n</div>\n<br />\n<table width="100%" cellspacing="0" cellpadding="5" align="center" border="1">\n{$data[\'wordList\']}\n</table>\n<br />\n<br />\n<br />\n<div align="center">\n    <input type="submit" name="" value="update words" />\n</div>\n<br />\n<br />\n</form>', 'admin_languages_editlang', 'Language - Edit language file', '17');

INSERT INTO `PREFIX|template` VALUES (92, 1, '</table>\n<br />\n<b>{$data[\'name\']}</b>\n<table width="100%" cellspacing="0" cellpadding="5" align="center" border="1">', 'admin_languages_lang_category', 'Language - language Category', '17');

INSERT INTO `PREFIX|template` VALUES (93, 1, '<tr>\n<td width=\'50%\'  valign=\'middle\' align=\'center\'>\n    <b>{$data[\'name\']}</b>\n</td>\n<td width=\'50%\'  valign=\'middle\' align=\'center\'>\n    <input type="textarea" rows="3" cols="50" name="{$data[\'category\']}[{$data[\'name\']}]" value="{$data[\'word\']}" />\n</td>\n</tr>', 'admin_languages_wordRow', 'language - wordRow', '17');

INSERT INTO `PREFIX|template` VALUES (94, 1, '<form action="lostpass.php?mode=01" method="post">\n<p><label for="email">{$data[\'email\']}</label><br>\n<input type="text" name="email" id="email"></p>\n<p><input type="submit" value="{$data[\'go\']}"></p>\n</form>\n', 'lostpass_frontpage', 'Lost password frontpage', '0');

INSERT INTO `PREFIX|template` VALUES (95, 1, '<form action="lostpass.php?mode=03" method="post">\n<p><input type="hidden" name="conf_key" value="{$data[\'confirmation_key\']}">\n<label for="email">{$data[\'email\']}</label><br>\n<input type="text" name="email" id="email"></p>\n<p><label for="newpass">{$data[\'new_password\']}</label><br>\n<input type="password" name="newpass" id="newpass"><br>\n<label for="retypepass">{$data[\'retype_password\']}</label><br>\n<input type="password" name="retypepass" id="retypepass"></p>\n<p><input type="submit" value="{$data[\'go\']}"></p>\n</form>\n', 'lostpass_new_pass', 'Lost password, new password form', '0');

INSERT INTO `PREFIX|template` VALUES (96, 1, '<form action="lostpass.php?mode=01" method="post">\n<p><label for="email">{$data[\'email\']}</label><br>\n<input type="text" name="email" id="email"><br>\n<label for="name">{$data[\'name\']}</label><br>\n<input type="text" name="name" id="name"></p>\n<p><input type="submit" value="{$data[\'go\']}"></p>\n</form>\n', 'lostpass_multi_frontpage', 'Lost password frontpage (with multi_reg on)', '0');

INSERT INTO `PREFIX|template` VALUES (97, 1, '<form action="lostpass.php?mode=03" method="post">\n<p><input type="hidden" name="conf_key" value="{$data[\'confirmation_key\']}">\n<label for="email">{$data[\'email\']}</label><br>\n<input type="text" name="email" id="email"><br>\n<label for="name">{$data[\'name\']}</label><br>\n<input type="text" name="name" id="name"></p>\n<p><label for="newpass">{$data[\'new_password\']}</label><br>\n<input type="password" name="newpass" id="newpass"><br>\n<label for="retypepass">{$data[\'retype_password\']}</label><br>\n<input type="password" name="retypepass" id="retypepass"></p>\n<p><input type="submit" value="{$data[\'go\']}"></p>\n</form>\n', 'lostpass_multi_new_pass', 'Lost password, new password form (with multi_reg on)', '0');

INSERT INTO `PREFIX|template` VALUES (98, 1, '<tr>\n<td width=\'30%\' align=\'center\'>{$data[\'before\']}</td>\n<td width=\'30%\' align=\'center\'>{$data[\'after\']}</td>\n<td width=\'20%\' align=\'center\'>{$data[\'type\']}</td>\n<td width=\'20%\' align=\'center\'><a href="admin.php?act=cencor&cmd=delete&id={$data[\'id\']}">{$data[\'delete\']}</a></td>\n</tr>', 'admin_cencor_row', 'Word Cencor - row', '16');

INSERT INTO `PREFIX|template` VALUES (99, 1, '<h2>Site configuration</h2>\nWelcome to the site configuration, this lets you set up different domains that uses your forum, each domain can have its own main category, and its own primary template. If you want to add a new domain/site, just follow the link below.<br />\n<br />\nSelect site to view or change the configuration for:\n<form method="GET" action="admin.php">\n  <select name="site">{$data[\'siteList\']}</select>\n  <input type="hidden" name="act" value="{$data[\'act\']}" />\n  <input type="submit" />\n</form>\n<br /><hr>\n<b>Configuration for {$data[\'site\']}</b>\n<br /><br />\n<form method="POST" action="admin.php?act=config_site&cmd=save&site={$data[\'id\']}">\n<table cellspacing="0" cellpadding="0" width="600" border="1">\n  <tr bgcolor="#cccccc">\n    <td width="440"><b>Site name / hostname</b></td>\n    <td width="150"></td></tr><tr>\n  <td>\n    <b>Forum name</b><br />\n    Name of the websites forum.</td><td >\n    <input type="textbox" value="{$data[\'forum_name\']}" name="forum_name" size="20" /> \n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Forum URL</b><br />\n    URL/Path to the forum (example: http://forum.vikingboard.com).</td><td >\n    <input type="textbox" value="{$data[\'forum_url\']}" name="forum_url" size="20" /> \n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Forum hostname</b><br />\n    Domain name for the board (example: forum.vikingboard.com).</td><td >\n    <input type="textbox" value="{$data[\'hostname\']}" name="hotname" size="20" /> \n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Forum E-Mail address</b><br />\n    Forum E-mail address, used as a sender of e-mail from the forum</td><td >\n    <input type="textbox" value="{$data[\'email\']}" name="forum_email" size="20" /> \n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Forum homepages</b><br />\n    Path to the websites homepage. (example:http://www.vikingboard.com).</td><td >\n    <input type="textbox" value="{$data[\'homepage\']}" name="forum_home" size="20" /> \n  </td>\n</tr>\n</table>\n<table cellspacing="0" cellpadding="0" width="600" border="1">\n  <tr bgcolor="#cccccc">\n    <td width="440"><b>Date and time formatting</b></td>\n    <td width="150"></td></tr><tr>\n  <td>\n    <b>Timestamp 1</b><br />\n    Formatting of the clock #1.</td><td >\n    <input type="textbox" value="{$data[\'time1\']}" name="timestamp1" size="10" /> <a href="http://php.net/date">Help</a>\n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Timestamp 2</b><br />\n    Formatting of the clock #2.</td><td >\n    <input type="textbox" value="{$data[\'time2\']}" name="timestamp2" size="10" /> <a href="http://php.net/date">Help</a> \n  </td>\n</tr>\n</table>\n<table cellspacing="0" cellpadding="0" width="600" border="1">\n  <tr bgcolor="#cccccc">\n    <td width="440"><b>General options</b></td>\n    <td width="150"></td></tr><tr>\n  <td>\n    <b>Default template</b><br />\n    What template should the users see when not logged in / just registred?.</td><td >\n     <select name="template"> {$data[\'siteTemplate\']} </select>\n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Site activation</b><br />\n    Is this website active?</td><td >\n    <select name="active"> {$data[\'siteActive\']} </select>\n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Default category</b><br />\n    What category should be open as default?</td><td >\n    <select name="category"> {$data[\'siteCategory\']} </select>\n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Default language</b><br />\n    What language should be used as default?</td><td >\n    <select name="language"> {$data[\'siteLanguage\']} </select>\n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Default image folder</b><br />\n    What folder should the images be loaded from?</td><td >\n    <input type="textbox" value="{$data[\'imageFolder\']}" name="imgcat" size="2" /> \n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Topis per page</b><br />\n    How many topics should be shown per page?</td><td >\n    <input type="textbox" value="{$data[\'numTopics\']}" name="numTopics" size="4" /> \n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Posts per page</b><br />\n    How many posts should be shown per page?</td><td >\n    <input type="textbox" value="{$data[\'numPosts\']}" name="numPosts" size="4" /> \n  </td>\n</tr>\n<tr>\n  <td>\n    <b>Topic pruning</b><br />\n    How long should the topics be inactive before not showing on the topic list?</td><td >\n    <input type="textbox" value="{$data[\'pruneTime\']}" name="pruneTime" size="4" /> \n  </td>\n</tr>\n</table>\n<div align="center">\n <input type="submit" />\n</div>\n</form>\n<br />\n<br />', 'adm_conf_site', 'Site config - Wrapper', '8');

INSERT INTO `PREFIX|template` VALUES (101, 1, '		<li><a href="topic.php?t={$data[\'id\']}">{$data[\'title\']}</a></li>', 'search_topic_row', 'Search - TopicRow', '14');

INSERT INTO `PREFIX|template` VALUES (102, 1, '<a href="post.php?mode=00&amp\;f={$data[\'forumID\']}&amp\;poll=0">\n  <img src="img/{$data[\'skin_set\']}/internet-group-chat-new.png" /> {$data[\'newtopic\']}\n</a>', 'button_newtopic', 'New Topic button', '12');

INSERT INTO `PREFIX|template` VALUES (103, 1, '<a href="post.php?mode=00&amp\;f={$data[\'forumID\']}&amp\;poll=1">\n  <img src="img/{$data[\'skin_set\']}/x-office-presentation.png" /> {$data[\'newpoll\']}\n</a>', 'button_newpoll', 'New Polll button', '12');

INSERT INTO `PREFIX|template` VALUES (104, 1, '<a href="post.php?mode=03&amp\;t={$data[\'topicID\']}&amp\;poll=0">\n  <img src="img/{$data[\'skin_set\']}/document-new.png" /> {$data[\'reply\']}\n</a>\n \n<a href="topic.php?t={$data[\'topicID\']}#footer" onClick="quick_reply()\;">\n  <img src="img/{$data[\'skin_set\']}/window-new.png" /> {$data[\'quickReply\']}\n</a>', 'buttons_newpost', 'New post buttons', '6');

INSERT INTO `PREFIX|template` VALUES (105, 1, '<div id="admincp_user"><h1> {$data[\'title\']} </h1> <br /> \n<p class="admin_notice">\n{$data[\'notice\']}\n</p>\n<form action="" method="POST">\n<div class="edit_fields"> <label for="name">  {$data[\'name\']}<input type="textfield" name="name"></label></div>\n<div class="edit_fields"> <label for="password"> {$data[\'password\']}  <input type="password" name="password"></label></div>\n<div class="edit_fields">\n <label for="cpassword">   {$data[\'cpassword\']} <input type="password" name="cpassword"></label></div>\n<div class="edit_fields"> <label for="email"> {$data[\'email\']} <input type="textfield" name="email"></label></div>\n<div class="edit_fields"> <label for="group"> {$data[\'group\']} <select name="group">\n{$data[\'options\']}\n</select>\n</label></div> <br /> <input type="submit" value="{$data[\'submit_btn\']}"> </form></div>', 'admin-tpl_usermanage_add', 'Form for add_user in admincp.', '18');

INSERT INTO `PREFIX|template` VALUES (106, 1, '<h1> {$data[\'title\']} </h1> <br /> <p> {$data[\'drop_desc\']} </p>\n<p class="admin_notice">\n{$data[\'notice\']}\n</p>\n <form action="" method="POST"> <label for="name"> {$data[\'name\']}  <input type="textfield" name="name" /> </label> <label for="id"> {$data[\'id\']}  <input type="textfield" name="id" /> </label> <input type="submit" value="{$data[\'submit_btn\']}"> </form>', 'admin-tpl_usermanage_drop', 'Drop user in ADMIN CP', '18');

INSERT INTO `PREFIX|template` VALUES (107, 1, '<div class="edit_field"><label for="{$data[\'for\']}"> {$data[\'label\']} {$data[\'field\']} </label> {$data[\'photo_preview\']}</div>', 'admin-tpl_user_edit_field', 'Admin CP - Edit User loop fields', '18');

INSERT INTO `PREFIX|template` VALUES (108, 1, '<h1> {$data[\'title\']} </h1> <p> {$data[\'desc\']} </p> <form action="" method="POST"> \n <div id="admincp_user_edit_fields">{$data[\'fields\']} <input type="hidden" name="id" value="{$data[\'id\']}"> <input type="submit" value="{$data[\'submit_btn\']}"> </div></form>', 'admin-tpl_user_edit', 'Admin CP - Edit User', '18');

INSERT INTO `PREFIX|template` VALUES (109, 1, '<h1> {$data[\'title\']} </h1> <p>{$data[\'desc\']} </p> \n<p class="admin_notice">\n{$data[\'notice\']}\n</p>\n<form action="{$data[\'action\']}" method="GET"> <label for="id"> {$data[\'id\']} <input type="textfield" name="id" /> </label> <label for="name"> {$data[\'name\']} <input type="textfield" name="name" /> </label> <input type="hidden" name="act" value="user" /> <input type="hidden" name="cmd" value="2" /> <input type="submit" value="{$data[\'submit_btn\']}" /> </form>', 'admin-tpl_user_edit_frontpage', 'Edit user front page on Admin CP', '18');

INSERT INTO `PREFIX|template` VALUES (110, 1, '<input type="{$data[\'type\']}" name="{$data[\'name\']}" value="{$data[\'value\']}" />', 'admin-tpl_user_input', 'input for Admin CP user mng.', '18');

INSERT INTO `PREFIX|template` VALUES (111, 1, '<textarea name="{$data[\'name\']}" rows="{$data[\'rows\']}" cols="{$data[\'cols\']}">{$data[\'value\']}</textarea>', 'admin-tpl_user_textarea', 'Textarea input for Admin CP user mng.', '18');

INSERT INTO `PREFIX|template` VALUES (112, 1, '<h1> {$data[\'title\']} </h1>\n<p> {$data[\'desc\']} </p>\n<p class="admin_notice">\n{$data[\'notice\']}\n</p>\n<div id="banauser">\n<form action="" method="POST">\n<label for="name" > {$data[\'name\']} <input type="textfield" name="name" /> </label>\n<br />\n<label for="id" > {$data[\'id\']} <input type="textfield" name="id" /> </label>\n<br />\n<input type="submit" value="{$data[\'submit_btn\']}" />\n</form>\n</div>\n<div id="banedlist">\n<h1> {$data[\'banlist_title\']} </h1>\n<table>\n<tr>\n<th> Id </th>\n<th> {$data[\'name_lbl\']} </th>\n<th> {$data[\'action_lbl\']} </th>\n</tr>\n {$data[\'ban_list\']}\n</table>\n</div>', 'admin-tpl_user_ban', 'Ban a user in Admin CP.', '18');

INSERT INTO `PREFIX|template` VALUES (113, 1, '<tr>\n<td>{$data[\'id\']}</td>\n<td>{$data[\'name\']}</td>\n<td><a href="admin.php?act=user&cmd=4&unban={$data[\'id\']}"> Unban </a> </td>\n</tr>', 'admin-tpl_user_ban_list', 'Banlist template for ADMIN CP', '18');

INSERT INTO `PREFIX|template` VALUES (114, 1, '<select name="{$data[\'name\']}">\n{$data[\'options\']}\n</select>', 'admin-tpl_user_select', 'Select for admin CP', '18');


##important: NEVER have a semicolon (;) followed by a linebreak at the end of this file. It will mess up everything. :)