<?php
/**
 * @package Vikingboard
 * @author Tor Henning Ueland <tor.henning@vikingboard.com>
 * @author Hotstian <hotstian@users.sourceforge.net>
 * @version 0.1
 * 
 * $Id: members.php,v 1.27 2006/05/22 16:22:26 jorgenboard Exp $
 */

//============
// Get the kernel file
//============
require_once('./inc/functions.php');


//=================
//  What to do?
//=================

switch(isset($_GET['act'])) {
	
	case 'online':
	print_list(TRUE);
	break;
	
	default:
	print_list();
	break;
}



//=================
//  Just print out the members list
//=================
function print_list($online = FALSE)
{
	
	//globalise
	global $db, $cache, $screen, $config, $user;
	
	//language
	$lang = new lang_members;
	
	//default
	$DESC = '';
	$orderby = 'registred';
	
	$orderby_list = array('id', 'name', 'posts', 'registred', 'homepage', 'title'); 
	
	if (isset($_POST['orderby'])) 
	{
		if (in_array($_POST['orderby'], $orderby_list))
		{
			$orderby = $_POST['orderby'];
			echo "<pre>";
			var_dump($orderby);
			echo "</pre>";
		}
	}
	
	if (empty($_POST['DESC']))
		$DESC = 'DESC';
	
	//fetch members
	$list = $cache->query("get_member_list", array($orderby, $DESC));
	
	$memberlist = '';
	
	//loop and add members to list
	foreach ($list as $row) {
		
		//formatting registred date
		$registered = date($config->timestamp2, $row->registred);
		

		//is this a guest? In that case, do not show on list
		if ($row->id == '1')
			break;
			
		// Check sessions to see when user session was last updated
		$status = $db->get_member_status($row->id);
		$statusrow = $status->row(1);
		
		//online or offline?
		if ($statusrow->time >= forumtime() - ($config->cut_time * 60)) 
		{
			$current_status = $lang->online;
		}
		else 
		{
			$current_status = $lang->offline;
			
			//are we only showing online users?
			if ($online)
				continue;
		}
			
		$userData =array(  'id'		     => $row->id,
						   'name' 	     => $row->name,
						   'posts' 	     => $row->posts,
						   'reg' 	     => $registered,
						   'homepage'    => $row->homepage,
						   'title' 	     => $row->title,
						   'group' 	     => $row->g_name,
						   'status'      => $current_status
						   );
						   
		$memberlist .= $screen->return_html('memberlist_data', $userData);
	}
	
	//Wrap page and print it
	$navigation['members.php']  =   $lang->memberlist_title;
	$tohtml = array(	'memberlist_title' => $lang->memberlist_title,
						'l_username'    => $lang->username,
						'l_email'       => $lang->email,
						'l_homepage'    => $lang->homepage,
						'l_posts'       => $lang->posts,
						'l_registred'   => $lang->registred,
						'l_title'	   => $lang->title,
						'l_group'	   => $lang->group,
						'l_up'          => $lang->up,
						'l_id'		   => $lang->id,
						'l_down'        => $lang->down,
						'l_sort'        => $lang->sort,
						'l_sort_after'  => $lang->sort_after,
						'l_sort_button' => $lang->sort_button,
						'l_status'	   => $lang->status,
						'memberlist'  => $memberlist);
	$screen->add_html('Memberlist', $tohtml);
	$screen->add_wrapper('Memberlist', $navigation);
	
	$screen->print_page();
	
}

?>