<?PHP
/**
 * user.php, User Profile View
 * This file is the user profile page, this shows a profile (and contact info) about a selected user.
 * Can also give the mods/admins the possibility to edit a members profile.
 * 
 * @package Vikingboard
 * @author Jørgen Tellnes <jorgis@jorgis.com>
 * @version 0.1
 * 
 * $Id: user.php,v 1.16 2006/06/19 17:26:14 ueland Exp $
 * 
 */



require_once('inc/functions.php');

//showing something. Currently this is just waste, but we are preparing for the future
switch($_GET['mode'])
{
	default:
	view_profile();
	break;
}

/**
 * Shows the profile for a selected user
 *
 * 
 * @return void
 */
function view_profile()
{
	global $config, $db, $screen, $user, $cache;

	// Get user id, and cast $u to integer
	$u	=	(int)$_GET['u'];

	// Get languange strings
	$lang_profile	=	new lang_profile;
	
	//Getting data about the user
	$db_udata = $db->get_profile_data($u);
	$db_udata = $db_udata->row();

	// If user does not exists, say it to viewer
	if (!$db_udata || $u == 1) 
		error_msg($lang_profile->pr_notexisting, 1);

	// Get total number of posts written by user
	$db_post = $db->get_user_postcount($u);
	$db_post = $db_post->row();
	
	// Get total number posts written in forum from cache
	$db_tot_posts   =   $cache->query('get_forum_stats');
	$db_tot_posts   =   $db_tot_posts[0]->total_posts;

	// Some default stuff	
	$tohtml = array(
		"username"			=>	$db_udata->name . $lang_profile->pr_profile,
		"title-signature"	=>	str_replace("%user%", $db_udata->name, $lang_profile->pr_signature),
		"signature"			=>	nl2br($db_udata->signature),
		"find-userposts"	=>	'<a href="search.php">' . str_replace("%user%", $db_udata->name, $lang_profile->pr_findposts) . '</a>',
		"find-userthreads"	=>	'<a href="search.php">' . str_replace("%user%", $db_udata->name, $lang_profile->pr_findthreads) . '</a>',
		"title-userphoto"	=>	str_replace("%user%", $db_udata->name, $lang_profile->pr_uphoto)
	);

	// Display users avatar?
	$tohtml["avatar"] = ($db_udata->avatar) ? $db_udata->avatar : 'design/viking/no-avatar.png';
	
	// If person viewing profile is logged in and not the owner of profile, let him ignore user
	if ($user->id != 1 && $user->id != $u) $tohtml["ignore-user"] = '<a href="cp.php?mode=9">' . $lang_profile->pr_ignore . '</a>';
	
	// Is person viewing owner of profile? In that case, let him into his profile.
	$tohtml["edit-self"] = ($user->id == $u) ? '<a href="cp.php?mode=1">' . $lang_profile->pr_edit . '</a>' : '';
	
	// If person viewing profile logged in and not the owner of profile, let him send user a PM
	if ($user->id != 1 && $user->id != $u)
	{
 		$tohtml["send-pm"]		=	'<a href="cp.php?mode=6&amp;to=' . @$u . '">' . str_replace("%user%", $db_udata->name, $lang_profile->pr_sendpm) . '</a>';
		//$tohtml["add-address"]  =   '<a href="cp.php?mode?=02">' . $lang_profile->pr_add . '</a>';
	}

	// Interests
	$tohtml['interests'] = $lang_profile->pr_interests;
	$tohtml['interests_data'] = ($db_udata->interests) ? $db_udata->interests : $lang_profile->pr_ns;
	
	// Location
	$tohtml['location']	=	$lang_profile->pr_location;
	$tohtml['location_data'] = ($db_udata->location) ? $db_udata->location : $lang_profile->pr_ns;
	
	// Registration date / number of days since registration
	$tohtml['regdate'] = $lang_profile->pr_regdate;
	$tohtml['regdate_data']	=	date($config->timestamp1, forumtime($db_udata->registred));
	
	
	$regdays			=	floor((time() - $db_udata->registred) / 86400);
	$tohtml['regdays']	=	str_replace('%days%', $regdays, $lang_profile->pr_regdays);

	// Email address
	$tohtml['email'] 		=	$lang_profile->pr_email;
	if ($db_udata->use_emailer)
		$tohtml['email_data']	=	'<a href="mailto:' . $db_udata->email . '">' . str_replace("%user%", $db_udata->name, $lang_profile->pr_send_email) . '</a>';
	// Email hidden (default)
	else
		$tohtml['email_data']	=	str_replace("%user%", $db_udata->name, $lang_profile->pr_no_email);

	// MSN address
	$tohtml['msn'] = $lang_profile->pr_msn;
	$tohtml['msn_data'] = ($db_udata->im_msn) ? $db_udata->im_msn : $lang_profile->pr_ns;
	
	// Homepage
	$tohtml['homepage']			= $lang_profile->pr_www;
	$tohtml['homepage_data']	= ($db_udata->homepage) ? '<a href="' . $db_udata->homepage . '">' . $db_udata->homepage . '</a>' : $lang_profile->pr_ns;

	// Title
	$tohtml['title_data']	=	$db_udata->title;
	

	if ($db_post)
	{
		
		
		// Percentage of total forum posts
		$percent	=	($db_post->posts / $db_tot_posts) * 100;
		$percent	=	number_format($percent, 2);
		
		// Average number of posts per day since date of registration
		@$daily		=	($db_post->posts / (floor(time() - $db_udata->registred) / 86400)); // @ to remove warning when user does not have any posts.
		$daily		=	number_format($daily, 2);
				
		
		//we do not need more posts per day than the total postcount, right? ;)
		if ($daily > $db_post->posts)
			$daily = $db_post->posts;
		
		$tohtml['totalposts'] = $lang_profile->pr_totposts;
		$tohtml['totalposts_data'] = $db_post->posts;
		$tohtml['totalposts_extra'] = str_replace('%percent%', $percent, $lang_profile->pr_percent) . ', ' . str_replace('%daily%', $daily, $lang_profile->pr_daily);

	}
	else
	{
		// User has not written any posts yet.
		$tohtml['totalposts'] = $lang_profile->pr_totposts;
		$tohtml['totalposts_data'] =  $lang_profile->pr_noposts;
	}
	
	// If person viewing profile is a moderator, give him some power
	$tohtml = $screen->add_html('profile', $tohtml);
	
	$navigation["user.php?u={$_GET['u']}"]	=	$db_udata->name . $lang_profile->pr_profile;
	$screen->add_wrapper($lang_profile->pr_profileview, $navigation);
	$screen->print_page();	
		
	return true;
}


?>